import{s as on,n as sn,o as rn}from"../chunks/scheduler.9bc65507.js";import{S as an,i as ln,g as o,s as r,u as f,A as dn,h as s,f as n,c as a,j as c,v as g,y as h,k as l,o as t,a as d,w as _,d as k,t as b,x as v}from"../chunks/index.78c82d43.js";import{D as H}from"../chunks/Docstring.4e7352e2.js";import{I as Ce}from"../chunks/IconCopyLink.bedaa44d.js";function cn(yt){let y,Ae,we,Pe,x,C,ye,M,tt,se,xt="BARThez",Ee,q,A,xe,N,nt,re,qt="Overview",De,O,$t=`The BARThez model was proposed in <a href="https://arxiv.org/abs/2010.12321" rel="nofollow">BARThez: a Skilled Pretrained French Sequence-to-Sequence Model</a> by Moussa Kamal Eddine, Antoine J.-P. Tixier, Michalis Vazirgiannis on 23 Oct,
2020.`,Fe,U,Bt="The abstract of the paper:",Ie,j,Lt=`<em>Inductive transfer learning, enabled by self-supervised learning, have taken the entire Natural Language Processing
(NLP) field by storm, with models such as BERT and BART setting new state of the art on countless natural language
understanding tasks. While there are some notable exceptions, most of the available models and research have been
conducted for the English language. In this work, we introduce BARThez, the first BART model for the French language
(to the best of our knowledge). BARThez was pretrained on a very large monolingual French corpus from past research
that we adapted to suit BART’s perturbation schemes. Unlike already existing BERT-based French language models such as
CamemBERT and FlauBERT, BARThez is particularly well-suited for generative tasks, since not only its encoder but also
its decoder is pretrained. In addition to discriminative tasks from the FLUE benchmark, we evaluate BARThez on a novel
summarization dataset, OrangeSum, that we release with this paper. We also continue the pretraining of an already
pretrained multilingual BART on BARThez’s corpus, and we show that the resulting model, which we call mBARTHez,
provides a significant boost over vanilla BARThez, and is on par with or outperforms CamemBERT and FlauBERT.</em>`,Se,V,Ct='This model was contributed by <a href="https://huggingface.co/moussakam" rel="nofollow">moussakam</a>. The Authors’ code can be found <a href="https://github.com/moussaKam/BARThez" rel="nofollow">here</a>.',Re,$,P,qe,W,ot,ae,At="Examples",He,J,Pt=`<li>BARThez can be fine-tuned on sequence-to-sequence tasks in a similar way as BART, check:
<a href="https://github.com/huggingface/transformers/tree/main/examples/pytorch/summarization/README.md" rel="nofollow">examples/pytorch/summarization/</a>.</li>`,Me,B,E,$e,K,st,ie,Et="BarthezTokenizer",Ne,p,X,rt,le,Dt=`Adapted from <a href="/docs/transformers/pr_21764/en/model_doc/camembert#transformers.CamembertTokenizer">CamembertTokenizer</a> and <a href="/docs/transformers/pr_21764/en/model_doc/bart#transformers.BartTokenizer">BartTokenizer</a>. Construct a BARThez tokenizer. Based on
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a>.`,at,de,Ft=`This tokenizer inherits from <a href="/docs/transformers/pr_21764/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`,it,z,G,lt,ce,It=`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. A BARThez sequence has the following format:`,dt,he,St="<li>single sequence: <code>&lt;s&gt; X &lt;/s&gt;</code></li> <li>pair of sequences: <code>&lt;s&gt; A &lt;/s&gt;&lt;/s&gt; B &lt;/s&gt;</code></li>",ct,D,Q,ht,pe,Rt="Converts a sequence of tokens (string) in a single string.",pt,F,Y,mt,me,Ht="Create a mask from the two sequences passed to be used in a sequence-pair classification task.",ut,I,Z,ft,ue,Mt=`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer <code>prepare_for_model</code> method.`,Oe,L,S,Be,ee,gt,fe,Nt="BarthezTokenizerFast",Ue,m,te,_t,ge,Ot=`Adapted from <a href="/docs/transformers/pr_21764/en/model_doc/camembert#transformers.CamembertTokenizer">CamembertTokenizer</a> and <a href="/docs/transformers/pr_21764/en/model_doc/bart#transformers.BartTokenizer">BartTokenizer</a>. Construct a “fast” BARThez tokenizer. Based on
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a>.`,kt,_e,Ut=`This tokenizer inherits from <a href="/docs/transformers/pr_21764/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a> which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`,bt,T,ne,vt,ke,jt=`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. A BARThez sequence has the following format:`,zt,be,Vt="<li>single sequence: <code>&lt;s&gt; X &lt;/s&gt;</code></li> <li>pair of sequences: <code>&lt;s&gt; A &lt;/s&gt;&lt;/s&gt; B &lt;/s&gt;</code></li>",Tt,R,oe,wt,ve,Wt="Create a mask from the two sequences passed to be used in a sequence-pair classification task.",je,Le,Ve;return M=new Ce({}),N=new Ce({}),W=new Ce({}),K=new Ce({}),X=new H({props:{name:"class transformers.BarthezTokenizer",anchor:"transformers.BarthezTokenizer",parameters:[{name:"vocab_file",val:""},{name:"bos_token",val:" = '<s>'"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"cls_token",val:" = '<s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"mask_token",val:" = '<mask>'"},{name:"sp_model_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.BarthezTokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a> file (generally has a <em>.spm</em> extension) that
contains the vocabulary necessary to instantiate a tokenizer.`,name:"vocab_file"},{anchor:"transformers.BarthezTokenizer.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The beginning of sequence token that was used during pretraining. Can be used a sequence classifier token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the beginning of
sequence. The token used is the <code>cls_token</code>.</p>

					</div>`,name:"bos_token"},{anchor:"transformers.BarthezTokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.BarthezTokenizer.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.BarthezTokenizer.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.BarthezTokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.BarthezTokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.BarthezTokenizer.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;mask&gt;&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"},{anchor:"transformers.BarthezTokenizer.additional_special_tokens",description:`<strong>additional_special_tokens</strong> (<code>List[str]</code>, <em>optional</em>, defaults to <code>[&quot;&lt;s&gt;NOTUSED&quot;, &quot;&lt;/s&gt;NOTUSED&quot;]</code>) &#x2014;
Additional special tokens used by the tokenizer.`,name:"additional_special_tokens"},{anchor:"transformers.BarthezTokenizer.sp_model_kwargs",description:`<strong>sp_model_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Will be passed to the <code>SentencePieceProcessor.__init__()</code> method. The <a href="https://github.com/google/sentencepiece/tree/master/python" rel="nofollow">Python wrapper for
SentencePiece</a> can be used, among other things,
to set:</p>
<ul>
<li>
<p><code>enable_sampling</code>: Enable subword regularization.</p>
</li>
<li>
<p><code>nbest_size</code>: Sampling parameters for unigram. Invalid for BPE-Dropout.</p>
<ul>
<li><code>nbest_size = {0,1}</code>: No sampling is performed.</li>
<li><code>nbest_size &gt; 1</code>: samples from the nbest_size results.</li>
<li><code>nbest_size &lt; 0</code>: assuming that nbest_size is infinite and samples from the all hypothesis (lattice)
using forward-filtering-and-backward-sampling algorithm.</li>
</ul>
</li>
<li>
<p><code>alpha</code>: Smoothing parameter for unigram sampling, and dropout probability of merge operations for
BPE-dropout.</p>
</li>
</ul>`,name:"sp_model_kwargs"},{anchor:"transformers.BarthezTokenizer.sp_model",description:`<strong>sp_model</strong> (<code>SentencePieceProcessor</code>) &#x2014;
The <em>SentencePiece</em> processor that is used for every conversion (string, tokens and IDs).`,name:"sp_model"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/models/barthez/tokenization_barthez.py#L53"}}),G=new H({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.BarthezTokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.BarthezTokenizer.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.BarthezTokenizer.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/models/barthez/tokenization_barthez.py#L161",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),Q=new H({props:{name:"convert_tokens_to_string",anchor:"transformers.BarthezTokenizer.convert_tokens_to_string",parameters:[{name:"tokens",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/models/barthez/tokenization_barthez.py#L256"}}),Y=new H({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.BarthezTokenizer.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.BarthezTokenizer.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.BarthezTokenizer.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/models/barthez/tokenization_barthez.py#L214",returnDescription:`
<p>List of zeros.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),Z=new H({props:{name:"get_special_tokens_mask",anchor:"transformers.BarthezTokenizer.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"},{name:"already_has_special_tokens",val:": bool = False"}],parametersDescription:[{anchor:"transformers.BarthezTokenizer.get_special_tokens_mask.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.BarthezTokenizer.get_special_tokens_mask.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"},{anchor:"transformers.BarthezTokenizer.get_special_tokens_mask.already_has_special_tokens",description:`<strong>already_has_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the token list is already formatted with special tokens for the model.`,name:"already_has_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/models/barthez/tokenization_barthez.py#L187",returnDescription:`
<p>A list of integers in the range [0, 1]: 1 for a special token, 0 for a sequence token.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ee=new Ce({}),te=new H({props:{name:"class transformers.BarthezTokenizerFast",anchor:"transformers.BarthezTokenizerFast",parameters:[{name:"vocab_file",val:" = None"},{name:"tokenizer_file",val:" = None"},{name:"bos_token",val:" = '<s>'"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"cls_token",val:" = '<s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"mask_token",val:" = '<mask>'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.BarthezTokenizerFast.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a> file (generally has a <em>.spm</em> extension) that
contains the vocabulary necessary to instantiate a tokenizer.`,name:"vocab_file"},{anchor:"transformers.BarthezTokenizerFast.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The beginning of sequence token that was used during pretraining. Can be used a sequence classifier token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the beginning of
sequence. The token used is the <code>cls_token</code>.</p>

					</div>`,name:"bos_token"},{anchor:"transformers.BarthezTokenizerFast.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.BarthezTokenizerFast.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.BarthezTokenizerFast.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.BarthezTokenizerFast.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.BarthezTokenizerFast.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.BarthezTokenizerFast.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;mask&gt;&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"},{anchor:"transformers.BarthezTokenizerFast.additional_special_tokens",description:`<strong>additional_special_tokens</strong> (<code>List[str]</code>, <em>optional</em>, defaults to <code>[&quot;&lt;s&gt;NOTUSED&quot;, &quot;&lt;/s&gt;NOTUSED&quot;]</code>) &#x2014;
Additional special tokens used by the tokenizer.`,name:"additional_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/models/barthez/tokenization_barthez_fast.py#L62"}}),ne=new H({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.BarthezTokenizerFast.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.BarthezTokenizerFast.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.BarthezTokenizerFast.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/models/barthez/tokenization_barthez_fast.py#L154",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),oe=new H({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.BarthezTokenizerFast.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.BarthezTokenizerFast.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.BarthezTokenizerFast.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/models/barthez/tokenization_barthez_fast.py#L180",returnDescription:`
<p>List of zeros.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),{c(){y=o("meta"),Ae=r(),we=o("p"),Pe=r(),x=o("h1"),C=o("a"),ye=o("span"),f(M.$$.fragment),tt=r(),se=o("span"),se.textContent=xt,Ee=r(),q=o("h2"),A=o("a"),xe=o("span"),f(N.$$.fragment),nt=r(),re=o("span"),re.textContent=qt,De=r(),O=o("p"),O.innerHTML=$t,Fe=r(),U=o("p"),U.textContent=Bt,Ie=r(),j=o("p"),j.innerHTML=Lt,Se=r(),V=o("p"),V.innerHTML=Ct,Re=r(),$=o("h3"),P=o("a"),qe=o("span"),f(W.$$.fragment),ot=r(),ae=o("span"),ae.textContent=At,He=r(),J=o("ul"),J.innerHTML=Pt,Me=r(),B=o("h2"),E=o("a"),$e=o("span"),f(K.$$.fragment),st=r(),ie=o("span"),ie.textContent=Et,Ne=r(),p=o("div"),f(X.$$.fragment),rt=r(),le=o("p"),le.innerHTML=Dt,at=r(),de=o("p"),de.innerHTML=Ft,it=r(),z=o("div"),f(G.$$.fragment),lt=r(),ce=o("p"),ce.textContent=It,dt=r(),he=o("ul"),he.innerHTML=St,ct=r(),D=o("div"),f(Q.$$.fragment),ht=r(),pe=o("p"),pe.textContent=Rt,pt=r(),F=o("div"),f(Y.$$.fragment),mt=r(),me=o("p"),me.textContent=Ht,ut=r(),I=o("div"),f(Z.$$.fragment),ft=r(),ue=o("p"),ue.innerHTML=Mt,Oe=r(),L=o("h2"),S=o("a"),Be=o("span"),f(ee.$$.fragment),gt=r(),fe=o("span"),fe.textContent=Nt,Ue=r(),m=o("div"),f(te.$$.fragment),_t=r(),ge=o("p"),ge.innerHTML=Ot,kt=r(),_e=o("p"),_e.innerHTML=Ut,bt=r(),T=o("div"),f(ne.$$.fragment),vt=r(),ke=o("p"),ke.textContent=jt,zt=r(),be=o("ul"),be.innerHTML=Vt,Tt=r(),R=o("div"),f(oe.$$.fragment),wt=r(),ve=o("p"),ve.textContent=Wt,je=r(),Le=o("p"),this.h()},l(e){const i=dn("svelte-1phssyn",document.head);y=s(i,"META",{name:!0,content:!0}),i.forEach(n),Ae=a(e),we=s(e,"P",{}),c(we).forEach(n),Pe=a(e),x=s(e,"H1",{class:!0});var We=c(x);C=s(We,"A",{id:!0,class:!0,href:!0});var Jt=c(C);ye=s(Jt,"SPAN",{});var Kt=c(ye);g(M.$$.fragment,Kt),Kt.forEach(n),Jt.forEach(n),tt=a(We),se=s(We,"SPAN",{"data-svelte-h":!0}),h(se)!=="svelte-zfjou9"&&(se.textContent=xt),We.forEach(n),Ee=a(e),q=s(e,"H2",{class:!0});var Je=c(q);A=s(Je,"A",{id:!0,class:!0,href:!0});var Xt=c(A);xe=s(Xt,"SPAN",{});var Gt=c(xe);g(N.$$.fragment,Gt),Gt.forEach(n),Xt.forEach(n),nt=a(Je),re=s(Je,"SPAN",{"data-svelte-h":!0}),h(re)!=="svelte-1jsw1pg"&&(re.textContent=qt),Je.forEach(n),De=a(e),O=s(e,"P",{"data-svelte-h":!0}),h(O)!=="svelte-6jqwe8"&&(O.innerHTML=$t),Fe=a(e),U=s(e,"P",{"data-svelte-h":!0}),h(U)!=="svelte-v8ud33"&&(U.textContent=Bt),Ie=a(e),j=s(e,"P",{"data-svelte-h":!0}),h(j)!=="svelte-libbyk"&&(j.innerHTML=Lt),Se=a(e),V=s(e,"P",{"data-svelte-h":!0}),h(V)!=="svelte-xolpee"&&(V.innerHTML=Ct),Re=a(e),$=s(e,"H3",{class:!0});var Ke=c($);P=s(Ke,"A",{id:!0,class:!0,href:!0});var Qt=c(P);qe=s(Qt,"SPAN",{});var Yt=c(qe);g(W.$$.fragment,Yt),Yt.forEach(n),Qt.forEach(n),ot=a(Ke),ae=s(Ke,"SPAN",{"data-svelte-h":!0}),h(ae)!=="svelte-byb5hs"&&(ae.textContent=At),Ke.forEach(n),He=a(e),J=s(e,"UL",{"data-svelte-h":!0}),h(J)!=="svelte-1m5bh03"&&(J.innerHTML=Pt),Me=a(e),B=s(e,"H2",{class:!0});var Xe=c(B);E=s(Xe,"A",{id:!0,class:!0,href:!0});var Zt=c(E);$e=s(Zt,"SPAN",{});var en=c($e);g(K.$$.fragment,en),en.forEach(n),Zt.forEach(n),st=a(Xe),ie=s(Xe,"SPAN",{"data-svelte-h":!0}),h(ie)!=="svelte-18mcx0w"&&(ie.textContent=Et),Xe.forEach(n),Ne=a(e),p=s(e,"DIV",{class:!0});var u=c(p);g(X.$$.fragment,u),rt=a(u),le=s(u,"P",{"data-svelte-h":!0}),h(le)!=="svelte-1j8qvnp"&&(le.innerHTML=Dt),at=a(u),de=s(u,"P",{"data-svelte-h":!0}),h(de)!=="svelte-1l9wl2a"&&(de.innerHTML=Ft),it=a(u),z=s(u,"DIV",{class:!0});var ze=c(z);g(G.$$.fragment,ze),lt=a(ze),ce=s(ze,"P",{"data-svelte-h":!0}),h(ce)!=="svelte-js8h2n"&&(ce.textContent=It),dt=a(ze),he=s(ze,"UL",{"data-svelte-h":!0}),h(he)!=="svelte-rq8uot"&&(he.innerHTML=St),ze.forEach(n),ct=a(u),D=s(u,"DIV",{class:!0});var Ge=c(D);g(Q.$$.fragment,Ge),ht=a(Ge),pe=s(Ge,"P",{"data-svelte-h":!0}),h(pe)!=="svelte-b3k2yi"&&(pe.textContent=Rt),Ge.forEach(n),pt=a(u),F=s(u,"DIV",{class:!0});var Qe=c(F);g(Y.$$.fragment,Qe),mt=a(Qe),me=s(Qe,"P",{"data-svelte-h":!0}),h(me)!=="svelte-sqjw56"&&(me.textContent=Ht),Qe.forEach(n),ut=a(u),I=s(u,"DIV",{class:!0});var Ye=c(I);g(Z.$$.fragment,Ye),ft=a(Ye),ue=s(Ye,"P",{"data-svelte-h":!0}),h(ue)!=="svelte-1f4f5kp"&&(ue.innerHTML=Mt),Ye.forEach(n),u.forEach(n),Oe=a(e),L=s(e,"H2",{class:!0});var Ze=c(L);S=s(Ze,"A",{id:!0,class:!0,href:!0});var tn=c(S);Be=s(tn,"SPAN",{});var nn=c(Be);g(ee.$$.fragment,nn),nn.forEach(n),tn.forEach(n),gt=a(Ze),fe=s(Ze,"SPAN",{"data-svelte-h":!0}),h(fe)!=="svelte-9jpqe6"&&(fe.textContent=Nt),Ze.forEach(n),Ue=a(e),m=s(e,"DIV",{class:!0});var w=c(m);g(te.$$.fragment,w),_t=a(w),ge=s(w,"P",{"data-svelte-h":!0}),h(ge)!=="svelte-zacb84"&&(ge.innerHTML=Ot),kt=a(w),_e=s(w,"P",{"data-svelte-h":!0}),h(_e)!=="svelte-15q63n2"&&(_e.innerHTML=Ut),bt=a(w),T=s(w,"DIV",{class:!0});var Te=c(T);g(ne.$$.fragment,Te),vt=a(Te),ke=s(Te,"P",{"data-svelte-h":!0}),h(ke)!=="svelte-js8h2n"&&(ke.textContent=jt),zt=a(Te),be=s(Te,"UL",{"data-svelte-h":!0}),h(be)!=="svelte-rq8uot"&&(be.innerHTML=Vt),Te.forEach(n),Tt=a(w),R=s(w,"DIV",{class:!0});var et=c(R);g(oe.$$.fragment,et),wt=a(et),ve=s(et,"P",{"data-svelte-h":!0}),h(ve)!=="svelte-sqjw56"&&(ve.textContent=Wt),et.forEach(n),w.forEach(n),je=a(e),Le=s(e,"P",{}),c(Le).forEach(n),this.h()},h(){l(y,"name","hf:doc:metadata"),l(y,"content",JSON.stringify(hn)),l(C,"id","barthez"),l(C,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(C,"href","#barthez"),l(x,"class","relative group"),l(A,"id","overview"),l(A,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(A,"href","#overview"),l(q,"class","relative group"),l(P,"id","examples"),l(P,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(P,"href","#examples"),l($,"class","relative group"),l(E,"id","transformers.BarthezTokenizer"),l(E,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(E,"href","#transformers.BarthezTokenizer"),l(B,"class","relative group"),l(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(p,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(S,"id","transformers.BarthezTokenizerFast"),l(S,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(S,"href","#transformers.BarthezTokenizerFast"),l(L,"class","relative group"),l(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(m,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,i){t(document.head,y),d(e,Ae,i),d(e,we,i),d(e,Pe,i),d(e,x,i),t(x,C),t(C,ye),_(M,ye,null),t(x,tt),t(x,se),d(e,Ee,i),d(e,q,i),t(q,A),t(A,xe),_(N,xe,null),t(q,nt),t(q,re),d(e,De,i),d(e,O,i),d(e,Fe,i),d(e,U,i),d(e,Ie,i),d(e,j,i),d(e,Se,i),d(e,V,i),d(e,Re,i),d(e,$,i),t($,P),t(P,qe),_(W,qe,null),t($,ot),t($,ae),d(e,He,i),d(e,J,i),d(e,Me,i),d(e,B,i),t(B,E),t(E,$e),_(K,$e,null),t(B,st),t(B,ie),d(e,Ne,i),d(e,p,i),_(X,p,null),t(p,rt),t(p,le),t(p,at),t(p,de),t(p,it),t(p,z),_(G,z,null),t(z,lt),t(z,ce),t(z,dt),t(z,he),t(p,ct),t(p,D),_(Q,D,null),t(D,ht),t(D,pe),t(p,pt),t(p,F),_(Y,F,null),t(F,mt),t(F,me),t(p,ut),t(p,I),_(Z,I,null),t(I,ft),t(I,ue),d(e,Oe,i),d(e,L,i),t(L,S),t(S,Be),_(ee,Be,null),t(L,gt),t(L,fe),d(e,Ue,i),d(e,m,i),_(te,m,null),t(m,_t),t(m,ge),t(m,kt),t(m,_e),t(m,bt),t(m,T),_(ne,T,null),t(T,vt),t(T,ke),t(T,zt),t(T,be),t(m,Tt),t(m,R),_(oe,R,null),t(R,wt),t(R,ve),d(e,je,i),d(e,Le,i),Ve=!0},p:sn,i(e){Ve||(k(M.$$.fragment,e),k(N.$$.fragment,e),k(W.$$.fragment,e),k(K.$$.fragment,e),k(X.$$.fragment,e),k(G.$$.fragment,e),k(Q.$$.fragment,e),k(Y.$$.fragment,e),k(Z.$$.fragment,e),k(ee.$$.fragment,e),k(te.$$.fragment,e),k(ne.$$.fragment,e),k(oe.$$.fragment,e),Ve=!0)},o(e){b(M.$$.fragment,e),b(N.$$.fragment,e),b(W.$$.fragment,e),b(K.$$.fragment,e),b(X.$$.fragment,e),b(G.$$.fragment,e),b(Q.$$.fragment,e),b(Y.$$.fragment,e),b(Z.$$.fragment,e),b(ee.$$.fragment,e),b(te.$$.fragment,e),b(ne.$$.fragment,e),b(oe.$$.fragment,e),Ve=!1},d(e){e&&(n(Ae),n(we),n(Pe),n(x),n(Ee),n(q),n(De),n(O),n(Fe),n(U),n(Ie),n(j),n(Se),n(V),n(Re),n($),n(He),n(J),n(Me),n(B),n(Ne),n(p),n(Oe),n(L),n(Ue),n(m),n(je),n(Le)),n(y),v(M),v(N),v(W),v(K),v(X),v(G),v(Q),v(Y),v(Z),v(ee),v(te),v(ne),v(oe)}}}const hn={local:"barthez",sections:[{local:"overview",sections:[{local:"examples",title:"Examples"}],title:"Overview"},{local:"transformers.BarthezTokenizer",title:"BarthezTokenizer"},{local:"transformers.BarthezTokenizerFast",title:"BarthezTokenizerFast"}],title:"BARThez"};function pn(yt){return rn(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class _n extends an{constructor(y){super(),ln(this,y,pn,cn,on,{})}}export{_n as component};
