import{s as gt,n as st,o as ht}from"../chunks/scheduler.987d3921.js";import{S as ct,i as ut,g as r,s as o,u as Q,A as ft,h as i,f as t,c as l,j as s,v as $,y as h,k as d,o as g,a,w as ee,d as te,t as ne,x as ae}from"../chunks/index.ab17fb05.js";import{I as re}from"../chunks/IconCopyLink.4b0dcf5a.js";function mt(Ne){let c,ie,X,oe,u,w,Z,M,Pe,z,De="🤗 Transformers",le,A,Fe="Maschinelles Lernen auf dem neuesten Stand der Technik für PyTorch, TensorFlow und JAX.",de,x,Ie="🤗 Transformers bietet APIs zum einfachen Herunterladen und Trainieren von vortrainierten Modellen auf dem neuesten Stand der Technik. Die Verwendung von vortrainierten Modellen kann Rechenkosten sparen und den CO2-Fußabdruck reduzieren und Zeit sparen, die für das Training eines Modells von Grund auf benötigt wird. Die Modelle können für verschiedene Modalitäten verwendet werden, wie z. B.:",ge,R,We="<li>📝 Text: Textklassifizierung, Informationsextrahierung, Beantwortung von Fragen, Zusammenfassung, Übersetzung und Texterstellung in über 100 Sprachen.</li> <li>🖼️ Bilder: Bildklassifizierung, Objekterkennung und Segmentierung.</li> <li>🗣️ Audio: Spracherkennung und Audioklassifizierung.</li> <li>🐙 Multimodal: Beantwortung von Tabellenfragen, optische Zeichenerkennung, Informationsextraktion aus gescannten Dokumenten, Videoklassifizierung und Beantwortung visueller Fragen.</li>",se,k,ze='Unsere Bibliothek unterstützt die nahtlose Integration von drei der beliebtesten Deep-Learning-Bibliotheken: <a href="https://pytorch.org/" rel="nofollow">PyTorch</a>, <a href="https://www.tensorflow.org/" rel="nofollow">TensorFlow</a> und <a href="https://jax.readthedocs.io/en/latest/" rel="nofollow">JAX</a>. Trainieren Sie Ihr Modell in drei Codezeilen in einem Framework und laden Sie es zur Inferenz mit einem anderen.',he,C,Ve="Jede 🤗 Transformers-Architektur ist in einem eigenständigen Python-Modul definiert, so dass sie leicht für Forschung und Experimente angepasst werden kann.",ce,f,y,K,P,Ee,V,Ye="Wenn Sie auf der Suche nach individueller Unterstützung durch das Hugging Face-Team sind",ue,m,Je='<img alt="HuggingFace Expert Acceleration Program" src="https://cdn-media.huggingface.co/marketing/transformers/new-support-improved.png" style="width: 100%; max-width: 600px; border: 1px solid #eee; border-radius: 4px; box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);"/>',fe,p,T,U,E,_e,Y,He="Inhalt",me,_,Xe="Die Dokumentation ist in fünf Teile gegliedert:",pe,B,Ze="<li><p><strong>GET STARTED</strong> enthält eine kurze Tour und Installationsanweisungen, um mit 🤗 Transformers loszulegen.</p></li> <li><p><strong>TUTORIALS</strong> sind ein hervorragender Ausgangspunkt, wenn Sie neu in unserer Bibliothek sind. Dieser Abschnitt hilft Ihnen, die grundlegenden Fähigkeiten zu erlangen, die Sie benötigen, um mit 🤗 Transformers zu arbeiten.</p></li> <li><p><strong>HOW-TO GUIDES</strong> zeigen Ihnen, wie Sie ein bestimmtes Ziel erreichen können, z. B. die Feinabstimmung eines vortrainierten Modells für die Sprachmodellierung oder die Erstellung eines benutzerdefinierten Modellkopfs.</p></li> <li><p><strong>KONZEPTUELLE ANLEITUNGEN</strong> bietet weitere Diskussionen und Erklärungen zu den zugrunde liegenden Konzepten und Ideen hinter Modellen, Aufgaben und der Designphilosophie von 🤗 Transformers.</p></li> <li><p><strong>API</strong> beschreibt jede Klasse und Funktion, gruppiert in:</p> <ul><li><strong>MAIN CLASSES</strong> für die Hauptklassen, die die wichtigsten APIs der Bibliothek darstellen.</li> <li>MODELLE** für die Klassen und Funktionen, die zu jedem in der Bibliothek implementierten Modell gehören.</li> <li><strong>INTERNAL HELPERS</strong> für die Klassen und Funktionen, die wir intern verwenden.</li></ul></li>",be,G,Ke="Die Bibliothek enthält derzeit JAX-, PyTorch- und TensorFlow-Implementierungen, vortrainierte Modellgewichte, Nutzungsskripte und Konvertierungsprogramme für die folgenden Modelle.",ve,b,L,O,N,Be,J,Ue="Unterstütze Modelle",we,D,Oe='<li><strong><a href="model_doc/albert">ALBERT</a></strong> (from Google Research and the Toyota Technological Institute at Chicago) released with the paper <a href="https://arxiv.org/abs/1909.11942" rel="nofollow">ALBERT: A Lite BERT for Self-supervised Learning of Language Representations</a>, by Zhenzhong Lan, Mingda Chen, Sebastian Goodman, Kevin Gimpel, Piyush Sharma, Radu Soricut.</li> <li><strong><a href="model_doc/align">ALIGN</a></strong> (from Google Research) released with the paper <a href="https://arxiv.org/abs/2102.05918" rel="nofollow">Scaling Up Visual and Vision-Language Representation Learning With Noisy Text Supervision</a> by Chao Jia, Yinfei Yang, Ye Xia, Yi-Ting Chen, Zarana Parekh, Hieu Pham, Quoc V. Le, Yunhsuan Sung, Zhen Li, Tom Duerig.</li> <li><strong><a href="model_doc/bart">BART</a></strong> (from Facebook) released with the paper <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">BART: Denoising Sequence-to-Sequence Pre-training for Natural Language Generation, Translation, and Comprehension</a> by Mike Lewis, Yinhan Liu, Naman Goyal, Marjan Ghazvininejad, Abdelrahman Mohamed, Omer Levy, Ves Stoyanov and Luke Zettlemoyer.</li> <li><strong><a href="model_doc/barthez">BARThez</a></strong> (from École polytechnique) released with the paper <a href="https://arxiv.org/abs/2010.12321" rel="nofollow">BARThez: a Skilled Pretrained French Sequence-to-Sequence Model</a> by Moussa Kamal Eddine, Antoine J.-P. Tixier, Michalis Vazirgiannis.</li> <li><strong><a href="model_doc/bartpho">BARTpho</a></strong> (from VinAI Research) released with the paper <a href="https://arxiv.org/abs/2109.09701" rel="nofollow">BARTpho: Pre-trained Sequence-to-Sequence Models for Vietnamese</a> by Nguyen Luong Tran, Duong Minh Le and Dat Quoc Nguyen.</li> <li><strong><a href="model_doc/beit">BEiT</a></strong> (from Microsoft) released with the paper <a href="https://arxiv.org/abs/2106.08254" rel="nofollow">BEiT: BERT Pre-Training of Image Transformers</a> by Hangbo Bao, Li Dong, Furu Wei.</li> <li><strong><a href="model_doc/bert">BERT</a></strong> (from Google) released with the paper <a href="https://arxiv.org/abs/1810.04805" rel="nofollow">BERT: Pre-training of Deep Bidirectional Transformers for Language Understanding</a> by Jacob Devlin, Ming-Wei Chang, Kenton Lee and Kristina Toutanova.</li> <li><strong><a href="model_doc/bert-generation">BERT For Sequence Generation</a></strong> (from Google) released with the paper <a href="https://arxiv.org/abs/1907.12461" rel="nofollow">Leveraging Pre-trained Checkpoints for Sequence Generation Tasks</a> by Sascha Rothe, Shashi Narayan, Aliaksei Severyn.</li> <li><strong><a href="model_doc/bertweet">BERTweet</a></strong> (from VinAI Research) released with the paper <a href="https://aclanthology.org/2020.emnlp-demos.2/" rel="nofollow">BERTweet: A pre-trained language model for English Tweets</a> by Dat Quoc Nguyen, Thanh Vu and Anh Tuan Nguyen.</li> <li><strong><a href="model_doc/bigbird_pegasus">BigBird-Pegasus</a></strong> (from Google Research) released with the paper <a href="https://arxiv.org/abs/2007.14062" rel="nofollow">Big Bird: Transformers for Longer Sequences</a> by Manzil Zaheer, Guru Guruganesh, Avinava Dubey, Joshua Ainslie, Chris Alberti, Santiago Ontanon, Philip Pham, Anirudh Ravula, Qifan Wang, Li Yang, Amr Ahmed.</li> <li><strong><a href="model_doc/big_bird">BigBird-RoBERTa</a></strong> (from Google Research) released with the paper <a href="https://arxiv.org/abs/2007.14062" rel="nofollow">Big Bird: Transformers for Longer Sequences</a> by Manzil Zaheer, Guru Guruganesh, Avinava Dubey, Joshua Ainslie, Chris Alberti, Santiago Ontanon, Philip Pham, Anirudh Ravula, Qifan Wang, Li Yang, Amr Ahmed.</li> <li><strong><a href="model_doc/blenderbot">Blenderbot</a></strong> (from Facebook) released with the paper <a href="https://arxiv.org/abs/2004.13637" rel="nofollow">Recipes for building an open-domain chatbot</a> by Stephen Roller, Emily Dinan, Naman Goyal, Da Ju, Mary Williamson, Yinhan Liu, Jing Xu, Myle Ott, Kurt Shuster, Eric M. Smith, Y-Lan Boureau, Jason Weston.</li> <li><strong><a href="model_doc/blenderbot-small">BlenderbotSmall</a></strong> (from Facebook) released with the paper <a href="https://arxiv.org/abs/2004.13637" rel="nofollow">Recipes for building an open-domain chatbot</a> by Stephen Roller, Emily Dinan, Naman Goyal, Da Ju, Mary Williamson, Yinhan Liu, Jing Xu, Myle Ott, Kurt Shuster, Eric M. Smith, Y-Lan Boureau, Jason Weston.</li> <li><strong><a href="model_doc/bloom">BLOOM</a></strong> (from BigScience workshop) released by the <a href="https://bigscience.huggingface.co/" rel="nofollow">BigScience Workshop</a>.</li> <li><strong><a href="model_doc/bort">BORT</a></strong> (from Alexa) released with the paper <a href="https://arxiv.org/abs/2010.10499" rel="nofollow">Optimal Subarchitecture Extraction For BERT</a> by Adrian de Wynter and Daniel J. Perry.</li> <li><strong><a href="model_doc/byt5">ByT5</a></strong> (from Google Research) released with the paper <a href="https://arxiv.org/abs/2105.13626" rel="nofollow">ByT5: Towards a token-free future with pre-trained byte-to-byte models</a> by Linting Xue, Aditya Barua, Noah Constant, Rami Al-Rfou, Sharan Narang, Mihir Kale, Adam Roberts, Colin Raffel.</li> <li><strong><a href="model_doc/camembert">CamemBERT</a></strong> (from Inria/Facebook/Sorbonne) released with the paper <a href="https://arxiv.org/abs/1911.03894" rel="nofollow">CamemBERT: a Tasty French Language Model</a> by Louis Martin<em>, Benjamin Muller</em>, Pedro Javier Ortiz Suárez*, Yoann Dupont, Laurent Romary, Éric Villemonte de la Clergerie, Djamé Seddah and Benoît Sagot.</li> <li><strong><a href="model_doc/canine">CANINE</a></strong> (from Google Research) released with the paper <a href="https://arxiv.org/abs/2103.06874" rel="nofollow">CANINE: Pre-training an Efficient Tokenization-Free Encoder for Language Representation</a> by Jonathan H. Clark, Dan Garrette, Iulia Turc, John Wieting.</li> <li><strong><a href="model_doc/clip">CLIP</a></strong> (from OpenAI) released with the paper <a href="https://arxiv.org/abs/2103.00020" rel="nofollow">Learning Transferable Visual Models From Natural Language Supervision</a> by Alec Radford, Jong Wook Kim, Chris Hallacy, Aditya Ramesh, Gabriel Goh, Sandhini Agarwal, Girish Sastry, Amanda Askell, Pamela Mishkin, Jack Clark, Gretchen Krueger, Ilya Sutskever.</li> <li><strong><a href="model_doc/codegen">CodeGen</a></strong> (from Salesforce) released with the paper <a href="https://arxiv.org/abs/2203.13474" rel="nofollow">A Conversational Paradigm for Program Synthesis</a> by Erik Nijkamp, Bo Pang, Hiroaki Hayashi, Lifu Tu, Huan Wang, Yingbo Zhou, Silvio Savarese, Caiming Xiong.</li> <li><strong><a href="model_doc/convbert">ConvBERT</a></strong> (from YituTech) released with the paper <a href="https://arxiv.org/abs/2008.02496" rel="nofollow">ConvBERT: Improving BERT with Span-based Dynamic Convolution</a> by Zihang Jiang, Weihao Yu, Daquan Zhou, Yunpeng Chen, Jiashi Feng, Shuicheng Yan.</li> <li><strong><a href="model_doc/convnext">ConvNeXT</a></strong> (from Facebook AI) released with the paper <a href="https://arxiv.org/abs/2201.03545" rel="nofollow">A ConvNet for the 2020s</a> by Zhuang Liu, Hanzi Mao, Chao-Yuan Wu, Christoph Feichtenhofer, Trevor Darrell, Saining Xie.</li> <li><strong><a href="model_doc/convnextv2">ConvNeXTV2</a></strong> (from Facebook AI) released with the paper <a href="https://arxiv.org/abs/2301.00808" rel="nofollow">ConvNeXt V2: Co-designing and Scaling ConvNets with Masked Autoencoders</a> by Sanghyun Woo, Shoubhik Debnath, Ronghang Hu, Xinlei Chen, Zhuang Liu, In So Kweon, Saining Xie.</li> <li><strong><a href="model_doc/cpm">CPM</a></strong> (from Tsinghua University) released with the paper <a href="https://arxiv.org/abs/2012.00413" rel="nofollow">CPM: A Large-scale Generative Chinese Pre-trained Language Model</a> by Zhengyan Zhang, Xu Han, Hao Zhou, Pei Ke, Yuxian Gu, Deming Ye, Yujia Qin, Yusheng Su, Haozhe Ji, Jian Guan, Fanchao Qi, Xiaozhi Wang, Yanan Zheng, Guoyang Zeng, Huanqi Cao, Shengqi Chen, Daixuan Li, Zhenbo Sun, Zhiyuan Liu, Minlie Huang, Wentao Han, Jie Tang, Juanzi Li, Xiaoyan Zhu, Maosong Sun.</li> <li><strong><a href="model_doc/ctrl">CTRL</a></strong> (from Salesforce) released with the paper <a href="https://arxiv.org/abs/1909.05858" rel="nofollow">CTRL: A Conditional Transformer Language Model for Controllable Generation</a> by Nitish Shirish Keskar<em>, Bryan McCann</em>, Lav R. Varshney, Caiming Xiong and Richard Socher.</li> <li><strong><a href="model_doc/cvt">CvT</a></strong> (from Microsoft) released with the paper <a href="https://arxiv.org/abs/2103.15808" rel="nofollow">CvT: Introducing Convolutions to Vision Transformers</a> by Haiping Wu, Bin Xiao, Noel Codella, Mengchen Liu, Xiyang Dai, Lu Yuan, Lei Zhang.</li> <li><strong><a href="model_doc/data2vec">Data2Vec</a></strong> (from Facebook) released with the paper <a href="https://arxiv.org/abs/2202.03555" rel="nofollow">Data2Vec:  A General Framework for Self-supervised Learning in Speech, Vision and Language</a> by Alexei Baevski, Wei-Ning Hsu, Qiantong Xu, Arun Babu, Jiatao Gu, Michael Auli.</li> <li><strong><a href="model_doc/deberta">DeBERTa</a></strong> (from Microsoft) released with the paper <a href="https://arxiv.org/abs/2006.03654" rel="nofollow">DeBERTa: Decoding-enhanced BERT with Disentangled Attention</a> by Pengcheng He, Xiaodong Liu, Jianfeng Gao, Weizhu Chen.</li> <li><strong><a href="model_doc/deberta-v2">DeBERTa-v2</a></strong> (from Microsoft) released with the paper <a href="https://arxiv.org/abs/2006.03654" rel="nofollow">DeBERTa: Decoding-enhanced BERT with Disentangled Attention</a> by Pengcheng He, Xiaodong Liu, Jianfeng Gao, Weizhu Chen.</li> <li><strong><a href="model_doc/decision_transformer">Decision Transformer</a></strong> (from Berkeley/Facebook/Google) released with the paper <a href="https://arxiv.org/abs/2106.01345" rel="nofollow">Decision Transformer: Reinforcement Learning via Sequence Modeling</a> by Lili Chen, Kevin Lu, Aravind Rajeswaran, Kimin Lee, Aditya Grover, Michael Laskin, Pieter Abbeel, Aravind Srinivas, Igor Mordatch.</li> <li><strong><a href="model_doc/deit">DeiT</a></strong> (from Facebook) released with the paper <a href="https://arxiv.org/abs/2012.12877" rel="nofollow">Training data-efficient image transformers &amp; distillation through attention</a> by Hugo Touvron, Matthieu Cord, Matthijs Douze, Francisco Massa, Alexandre Sablayrolles, Hervé Jégou.</li> <li><strong><a href="model_doc/detr">DETR</a></strong> (from Facebook) released with the paper <a href="https://arxiv.org/abs/2005.12872" rel="nofollow">End-to-End Object Detection with Transformers</a> by Nicolas Carion, Francisco Massa, Gabriel Synnaeve, Nicolas Usunier, Alexander Kirillov, Sergey Zagoruyko.</li> <li><strong><a href="model_doc/dialogpt">DialoGPT</a></strong> (from Microsoft Research) released with the paper <a href="https://arxiv.org/abs/1911.00536" rel="nofollow">DialoGPT: Large-Scale Generative Pre-training for Conversational Response Generation</a> by Yizhe Zhang, Siqi Sun, Michel Galley, Yen-Chun Chen, Chris Brockett, Xiang Gao, Jianfeng Gao, Jingjing Liu, Bill Dolan.</li> <li><strong><a href="model_doc/distilbert">DistilBERT</a></strong> (from HuggingFace), released together with the paper <a href="https://arxiv.org/abs/1910.01108" rel="nofollow">DistilBERT, a distilled version of BERT: smaller, faster, cheaper and lighter</a> by Victor Sanh, Lysandre Debut and Thomas Wolf. The same method has been applied to compress GPT2 into <a href="https://github.com/huggingface/transformers/tree/main/examples/research_projects/distillation" rel="nofollow">DistilGPT2</a>, RoBERTa into <a href="https://github.com/huggingface/transformers/tree/main/examples/research_projects/distillation" rel="nofollow">DistilRoBERTa</a>, Multilingual BERT into <a href="https://github.com/huggingface/transformers/tree/main/examples/research_projects/distillation" rel="nofollow">DistilmBERT</a> and a German version of DistilBERT.</li> <li><strong><a href="model_doc/dit">DiT</a></strong> (from Microsoft Research) released with the paper <a href="https://arxiv.org/abs/2203.02378" rel="nofollow">DiT: Self-supervised Pre-training for Document Image Transformer</a> by Junlong Li, Yiheng Xu, Tengchao Lv, Lei Cui, Cha Zhang, Furu Wei.</li> <li><strong><a href="model_doc/dpr">DPR</a></strong> (from Facebook) released with the paper <a href="https://arxiv.org/abs/2004.04906" rel="nofollow">Dense Passage Retrieval for Open-Domain Question Answering</a> by Vladimir Karpukhin, Barlas Oğuz, Sewon Min, Patrick Lewis, Ledell Wu, Sergey Edunov, Danqi Chen, and Wen-tau Yih.</li> <li><strong><a href="master/model_doc/dpt">DPT</a></strong> (from Intel Labs) released with the paper <a href="https://arxiv.org/abs/2103.13413" rel="nofollow">Vision Transformers for Dense Prediction</a> by René Ranftl, Alexey Bochkovskiy, Vladlen Koltun.</li> <li><strong><a href="model_doc/efficientnet">EfficientNet</a></strong> (from Google Research) released with the paper <a href="https://arxiv.org/abs/1905.11946" rel="nofollow">EfficientNet: Rethinking Model Scaling for Convolutional Neural Networks</a>  by Mingxing Tan and Quoc V. Le.</li> <li><strong><a href="model_doc/electra">ELECTRA</a></strong> (from Google Research/Stanford University) released with the paper <a href="https://arxiv.org/abs/2003.10555" rel="nofollow">ELECTRA: Pre-training text encoders as discriminators rather than generators</a> by Kevin Clark, Minh-Thang Luong, Quoc V. Le, Christopher D. Manning.</li> <li><strong><a href="model_doc/encoder-decoder">EncoderDecoder</a></strong> (from Google Research) released with the paper <a href="https://arxiv.org/abs/1907.12461" rel="nofollow">Leveraging Pre-trained Checkpoints for Sequence Generation Tasks</a> by Sascha Rothe, Shashi Narayan, Aliaksei Severyn.</li> <li><strong><a href="model_doc/flaubert">FlauBERT</a></strong> (from CNRS) released with the paper <a href="https://arxiv.org/abs/1912.05372" rel="nofollow">FlauBERT: Unsupervised Language Model Pre-training for French</a> by Hang Le, Loïc Vial, Jibril Frej, Vincent Segonne, Maximin Coavoux, Benjamin Lecouteux, Alexandre Allauzen, Benoît Crabbé, Laurent Besacier, Didier Schwab.</li> <li><strong><a href="model_doc/flava">FLAVA</a></strong> (from Facebook AI) released with the paper <a href="https://arxiv.org/abs/2112.04482" rel="nofollow">FLAVA: A Foundational Language And Vision Alignment Model</a> by Amanpreet Singh, Ronghang Hu, Vedanuj Goswami, Guillaume Couairon, Wojciech Galuba, Marcus Rohrbach, and Douwe Kiela.</li> <li><strong><a href="model_doc/fnet">FNet</a></strong> (from Google Research) released with the paper <a href="https://arxiv.org/abs/2105.03824" rel="nofollow">FNet: Mixing Tokens with Fourier Transforms</a> by James Lee-Thorp, Joshua Ainslie, Ilya Eckstein, Santiago Ontanon.</li> <li><strong><a href="model_doc/funnel">Funnel Transformer</a></strong> (from CMU/Google Brain) released with the paper <a href="https://arxiv.org/abs/2006.03236" rel="nofollow">Funnel-Transformer: Filtering out Sequential Redundancy for Efficient Language Processing</a> by Zihang Dai, Guokun Lai, Yiming Yang, Quoc V. Le.</li> <li><strong><a href="model_doc/glpn">GLPN</a></strong> (from KAIST) released with the paper <a href="https://arxiv.org/abs/2201.07436" rel="nofollow">Global-Local Path Networks for Monocular Depth Estimation with Vertical CutDepth</a> by Doyeon Kim, Woonghyun Ga, Pyungwhan Ahn, Donggyu Joo, Sehwan Chun, Junmo Kim.</li> <li><strong><a href="model_doc/openai-gpt">GPT</a></strong> (from OpenAI) released with the paper <a href="https://blog.openai.com/language-unsupervised/" rel="nofollow">Improving Language Understanding by Generative Pre-Training</a> by Alec Radford, Karthik Narasimhan, Tim Salimans and Ilya Sutskever.</li> <li><strong><a href="model_doc/gpt_neo">GPT Neo</a></strong> (from EleutherAI) released in the repository <a href="https://github.com/EleutherAI/gpt-neo" rel="nofollow">EleutherAI/gpt-neo</a> by Sid Black, Stella Biderman, Leo Gao, Phil Wang and Connor Leahy.</li> <li><strong><a href="model_doc/gpt_neox">GPT NeoX</a></strong> (from EleutherAI) released with the paper <a href="https://arxiv.org/abs/2204.06745" rel="nofollow">GPT-NeoX-20B: An Open-Source Autoregressive Language Model</a> by Sid Black, Stella Biderman, Eric Hallahan, Quentin Anthony, Leo Gao, Laurence Golding, Horace He, Connor Leahy, Kyle McDonell, Jason Phang, Michael Pieler, USVSN Sai Prashanth, Shivanshu Purohit, Laria Reynolds, Jonathan Tow, Ben Wang, Samuel Weinbach</li> <li><strong><a href="model_doc/gpt2">GPT-2</a></strong> (from OpenAI) released with the paper <a href="https://blog.openai.com/better-language-models/" rel="nofollow">Language Models are Unsupervised Multitask Learners</a> by Alec Radford<em>, Jeffrey Wu</em>, Rewon Child, David Luan, Dario Amodei<strong>and Ilya Sutskever</strong>.</li> <li><strong><a href="model_doc/gptj">GPT-J</a></strong> (from EleutherAI) released in the repository <a href="https://github.com/kingoflolz/mesh-transformer-jax/" rel="nofollow">kingoflolz/mesh-transformer-jax</a> by Ben Wang and Aran Komatsuzaki.</li> <li><strong><a href="model_doc/gptsan-japanese">GPTSAN-japanese</a></strong> released in the repository <a href="https://github.com/tanreinama/GPTSAN/blob/main/report/model.md" rel="nofollow">tanreinama/GPTSAN</a> by Toshiyuki Sakamoto(tanreinama).</li> <li><strong><a href="model_doc/groupvit">GroupViT</a></strong> (from UCSD, NVIDIA) released with the paper <a href="https://arxiv.org/abs/2202.11094" rel="nofollow">GroupViT: Semantic Segmentation Emerges from Text Supervision</a> by Jiarui Xu, Shalini De Mello, Sifei Liu, Wonmin Byeon, Thomas Breuel, Jan Kautz, Xiaolong Wang.</li> <li><strong><a href="model_doc/hubert">Hubert</a></strong> (from Facebook) released with the paper <a href="https://arxiv.org/abs/2106.07447" rel="nofollow">HuBERT: Self-Supervised Speech Representation Learning by Masked Prediction of Hidden Units</a> by Wei-Ning Hsu, Benjamin Bolte, Yao-Hung Hubert Tsai, Kushal Lakhotia, Ruslan Salakhutdinov, Abdelrahman Mohamed.</li> <li><strong><a href="model_doc/ibert">I-BERT</a></strong> (from Berkeley) released with the paper <a href="https://arxiv.org/abs/2101.01321" rel="nofollow">I-BERT: Integer-only BERT Quantization</a> by Sehoon Kim, Amir Gholami, Zhewei Yao, Michael W. Mahoney, Kurt Keutzer.</li> <li><strong><a href="model_doc/imagegpt">ImageGPT</a></strong> (from OpenAI) released with the paper <a href="https://openai.com/blog/image-gpt/" rel="nofollow">Generative Pretraining from Pixels</a> by Mark Chen, Alec Radford, Rewon Child, Jeffrey Wu, Heewoo Jun, David Luan, Ilya Sutskever.</li> <li><strong><a href="model_doc/layoutlm">LayoutLM</a></strong> (from Microsoft Research Asia) released with the paper <a href="https://arxiv.org/abs/1912.13318" rel="nofollow">LayoutLM: Pre-training of Text and Layout for Document Image Understanding</a> by Yiheng Xu, Minghao Li, Lei Cui, Shaohan Huang, Furu Wei, Ming Zhou.</li> <li><strong><a href="model_doc/layoutlmv2">LayoutLMv2</a></strong> (from Microsoft Research Asia) released with the paper <a href="https://arxiv.org/abs/2012.14740" rel="nofollow">LayoutLMv2: Multi-modal Pre-training for Visually-Rich Document Understanding</a> by Yang Xu, Yiheng Xu, Tengchao Lv, Lei Cui, Furu Wei, Guoxin Wang, Yijuan Lu, Dinei Florencio, Cha Zhang, Wanxiang Che, Min Zhang, Lidong Zhou.</li> <li><strong><a href="model_doc/layoutlmv3">LayoutLMv3</a></strong> (from Microsoft Research Asia) released with the paper <a href="https://arxiv.org/abs/2204.08387" rel="nofollow">LayoutLMv3: Pre-training for Document AI with Unified Text and Image Masking</a> by Yupan Huang, Tengchao Lv, Lei Cui, Yutong Lu, Furu Wei.</li> <li><strong><a href="model_doc/layoutxlm">LayoutXLM</a></strong> (from Microsoft Research Asia) released with the paper <a href="https://arxiv.org/abs/2104.08836" rel="nofollow">LayoutXLM: Multimodal Pre-training for Multilingual Visually-rich Document Understanding</a> by Yiheng Xu, Tengchao Lv, Lei Cui, Guoxin Wang, Yijuan Lu, Dinei Florencio, Cha Zhang, Furu Wei.</li> <li><strong><a href="model_doc/led">LED</a></strong> (from AllenAI) released with the paper <a href="https://arxiv.org/abs/2004.05150" rel="nofollow">Longformer: The Long-Document Transformer</a> by Iz Beltagy, Matthew E. Peters, Arman Cohan.</li> <li><strong><a href="model_doc/levit">LeViT</a></strong> (from Meta AI) released with the paper <a href="https://arxiv.org/abs/2104.01136" rel="nofollow">LeViT: A Vision Transformer in ConvNet’s Clothing for Faster Inference</a> by Ben Graham, Alaaeldin El-Nouby, Hugo Touvron, Pierre Stock, Armand Joulin, Hervé Jégou, Matthijs Douze.</li> <li><strong><a href="model_doc/longformer">Longformer</a></strong> (from AllenAI) released with the paper <a href="https://arxiv.org/abs/2004.05150" rel="nofollow">Longformer: The Long-Document Transformer</a> by Iz Beltagy, Matthew E. Peters, Arman Cohan.</li> <li><strong><a href="model_doc/longt5">LongT5</a></strong> (from Google AI) released with the paper <a href="https://arxiv.org/abs/2112.07916" rel="nofollow">LongT5: Efficient Text-To-Text Transformer for Long Sequences</a> by Mandy Guo, Joshua Ainslie, David Uthus, Santiago Ontanon, Jianmo Ni, Yun-Hsuan Sung, Yinfei Yang.</li> <li><strong><a href="model_doc/luke">LUKE</a></strong> (from Studio Ousia) released with the paper <a href="https://arxiv.org/abs/2010.01057" rel="nofollow">LUKE: Deep Contextualized Entity Representations with Entity-aware Self-attention</a> by Ikuya Yamada, Akari Asai, Hiroyuki Shindo, Hideaki Takeda, Yuji Matsumoto.</li> <li><strong><a href="model_doc/lxmert">LXMERT</a></strong> (from UNC Chapel Hill) released with the paper <a href="https://arxiv.org/abs/1908.07490" rel="nofollow">LXMERT: Learning Cross-Modality Encoder Representations from Transformers for Open-Domain Question Answering</a> by Hao Tan and Mohit Bansal.</li> <li><strong><a href="model_doc/mctct">M-CTC-T</a></strong> (from Facebook) released with the paper <a href="https://arxiv.org/abs/2111.00161" rel="nofollow">Pseudo-Labeling For Massively Multilingual Speech Recognition</a> by Loren Lugosch, Tatiana Likhomanenko, Gabriel Synnaeve, and Ronan Collobert.</li> <li><strong><a href="model_doc/m2m_100">M2M100</a></strong> (from Facebook) released with the paper <a href="https://arxiv.org/abs/2010.11125" rel="nofollow">Beyond English-Centric Multilingual Machine Translation</a> by Angela Fan, Shruti Bhosale, Holger Schwenk, Zhiyi Ma, Ahmed El-Kishky, Siddharth Goyal, Mandeep Baines, Onur Celebi, Guillaume Wenzek, Vishrav Chaudhary, Naman Goyal, Tom Birch, Vitaliy Liptchinsky, Sergey Edunov, Edouard Grave, Michael Auli, Armand Joulin.</li> <li><strong><a href="model_doc/marian">MarianMT</a></strong> Machine translation models trained using <a href="http://opus.nlpl.eu/" rel="nofollow">OPUS</a> data by Jörg Tiedemann. The <a href="https://marian-nmt.github.io/" rel="nofollow">Marian Framework</a> is being developed by the Microsoft Translator Team.</li> <li><strong><a href="model_doc/mask2former">Mask2Former</a></strong> (from FAIR and UIUC) released with the paper <a href="https://arxiv.org/abs/2112.01527" rel="nofollow">Masked-attention Mask Transformer for Universal Image Segmentation</a> by Bowen Cheng, Ishan Misra, Alexander G. Schwing, Alexander Kirillov, Rohit Girdhar.</li> <li><strong><a href="model_doc/maskformer">MaskFormer</a></strong> (from Meta and UIUC) released with the paper <a href="https://arxiv.org/abs/2107.06278" rel="nofollow">Per-Pixel Classification is Not All You Need for Semantic Segmentation</a> by Bowen Cheng, Alexander G. Schwing, Alexander Kirillov.</li> <li><strong><a href="model_doc/mbart">mBART</a></strong> (from Facebook) released with the paper <a href="https://arxiv.org/abs/2001.08210" rel="nofollow">Multilingual Denoising Pre-training for Neural Machine Translation</a> by Yinhan Liu, Jiatao Gu, Naman Goyal, Xian Li, Sergey Edunov, Marjan Ghazvininejad, Mike Lewis, Luke Zettlemoyer.</li> <li><strong><a href="model_doc/mbart">mBART-50</a></strong> (from Facebook) released with the paper <a href="https://arxiv.org/abs/2008.00401" rel="nofollow">Multilingual Translation with Extensible Multilingual Pretraining and Finetuning</a> by Yuqing Tang, Chau Tran, Xian Li, Peng-Jen Chen, Naman Goyal, Vishrav Chaudhary, Jiatao Gu, Angela Fan.</li> <li><strong><a href="model_doc/megatron-bert">Megatron-BERT</a></strong> (from NVIDIA) released with the paper <a href="https://arxiv.org/abs/1909.08053" rel="nofollow">Megatron-LM: Training Multi-Billion Parameter Language Models Using Model Parallelism</a> by Mohammad Shoeybi, Mostofa Patwary, Raul Puri, Patrick LeGresley, Jared Casper and Bryan Catanzaro.</li> <li><strong><a href="model_doc/megatron_gpt2">Megatron-GPT2</a></strong> (from NVIDIA) released with the paper <a href="https://arxiv.org/abs/1909.08053" rel="nofollow">Megatron-LM: Training Multi-Billion Parameter Language Models Using Model Parallelism</a> by Mohammad Shoeybi, Mostofa Patwary, Raul Puri, Patrick LeGresley, Jared Casper and Bryan Catanzaro.</li> <li><strong><a href="model_doc/mluke">mLUKE</a></strong> (from Studio Ousia) released with the paper <a href="https://arxiv.org/abs/2110.08151" rel="nofollow">mLUKE: The Power of Entity Representations in Multilingual Pretrained Language Models</a> by Ryokan Ri, Ikuya Yamada, and Yoshimasa Tsuruoka.</li> <li><strong><a href="model_doc/mobilebert">MobileBERT</a></strong> (from CMU/Google Brain) released with the paper <a href="https://arxiv.org/abs/2004.02984" rel="nofollow">MobileBERT: a Compact Task-Agnostic BERT for Resource-Limited Devices</a> by Zhiqing Sun, Hongkun Yu, Xiaodan Song, Renjie Liu, Yiming Yang, and Denny Zhou.</li> <li><strong><a href="model_doc/mobilevit">MobileViT</a></strong> (from Apple) released with the paper <a href="https://arxiv.org/abs/2110.02178" rel="nofollow">MobileViT: Light-weight, General-purpose, and Mobile-friendly Vision Transformer</a> by Sachin Mehta and Mohammad Rastegari.</li> <li><strong><a href="model_doc/mpnet">MPNet</a></strong> (from Microsoft Research) released with the paper <a href="https://arxiv.org/abs/2004.09297" rel="nofollow">MPNet: Masked and Permuted Pre-training for Language Understanding</a> by Kaitao Song, Xu Tan, Tao Qin, Jianfeng Lu, Tie-Yan Liu.</li> <li><strong><a href="model_doc/mt5">MT5</a></strong> (from Google AI) released with the paper <a href="https://arxiv.org/abs/2010.11934" rel="nofollow">mT5: A massively multilingual pre-trained text-to-text transformer</a> by Linting Xue, Noah Constant, Adam Roberts, Mihir Kale, Rami Al-Rfou, Aditya Siddhant, Aditya Barua, Colin Raffel.</li> <li><strong><a href="model_doc/mvp">MVP</a></strong> (from RUC AI Box) released with the paper <a href="https://arxiv.org/abs/2206.12131" rel="nofollow">MVP: Multi-task Supervised Pre-training for Natural Language Generation</a> by Tianyi Tang, Junyi Li, Wayne Xin Zhao and Ji-Rong Wen.</li> <li><strong><a href="model_doc/nezha">Nezha</a></strong> (from Huawei Noah’s Ark Lab) released with the paper <a href="https://arxiv.org/abs/1909.00204" rel="nofollow">NEZHA: Neural Contextualized Representation for Chinese Language Understanding</a> by Junqiu Wei, Xiaozhe Ren, Xiaoguang Li, Wenyong Huang, Yi Liao, Yasheng Wang, Jiashu Lin, Xin Jiang, Xiao Chen and Qun Liu.</li> <li><strong><a href="model_doc/nllb">NLLB</a></strong> (from Meta) released with the paper <a href="https://arxiv.org/abs/2207.04672" rel="nofollow">No Language Left Behind: Scaling Human-Centered Machine Translation</a> by the NLLB team.</li> <li><strong><a href="model_doc/nystromformer">Nyströmformer</a></strong> (from the University of Wisconsin - Madison) released with the paper <a href="https://arxiv.org/abs/2102.03902" rel="nofollow">Nyströmformer: A Nyström-Based Algorithm for Approximating Self-Attention</a> by Yunyang Xiong, Zhanpeng Zeng, Rudrasis Chakraborty, Mingxing Tan, Glenn Fung, Yin Li, Vikas Singh.</li> <li><strong><a href="model_doc/oneformer">OneFormer</a></strong> (from SHI Labs) released with the paper <a href="https://arxiv.org/abs/2211.06220" rel="nofollow">OneFormer: One Transformer to Rule Universal Image Segmentation</a> by Jitesh Jain, Jiachen Li, MangTik Chiu, Ali Hassani, Nikita Orlov, Humphrey Shi.</li> <li><strong><a href="master/model_doc/opt">OPT</a></strong> (from Meta AI) released with the paper <a href="https://arxiv.org/abs/2205.01068" rel="nofollow">OPT: Open Pre-trained Transformer Language Models</a> by Susan Zhang, Stephen Roller, Naman Goyal, Mikel Artetxe, Moya Chen, Shuohui Chen et al.</li> <li><strong><a href="model_doc/owlvit">OWL-ViT</a></strong> (from Google AI) released with the paper <a href="https://arxiv.org/abs/2205.06230" rel="nofollow">Simple Open-Vocabulary Object Detection with Vision Transformers</a> by Matthias Minderer, Alexey Gritsenko, Austin Stone, Maxim Neumann, Dirk Weissenborn, Alexey Dosovitskiy, Aravindh Mahendran, Anurag Arnab, Mostafa Dehghani, Zhuoran Shen, Xiao Wang, Xiaohua Zhai, Thomas Kipf, and Neil Houlsby.</li> <li><strong><a href="model_doc/pegasus">Pegasus</a></strong> (from Google) released with the paper <a href="https://arxiv.org/abs/1912.08777" rel="nofollow">PEGASUS: Pre-training with Extracted Gap-sentences for Abstractive Summarization</a> by Jingqing Zhang, Yao Zhao, Mohammad Saleh and Peter J. Liu.</li> <li><strong><a href="model_doc/perceiver">Perceiver IO</a></strong> (from Deepmind) released with the paper <a href="https://arxiv.org/abs/2107.14795" rel="nofollow">Perceiver IO: A General Architecture for Structured Inputs &amp; Outputs</a> by Andrew Jaegle, Sebastian Borgeaud, Jean-Baptiste Alayrac, Carl Doersch, Catalin Ionescu, David Ding, Skanda Koppula, Daniel Zoran, Andrew Brock, Evan Shelhamer, Olivier Hénaff, Matthew M. Botvinick, Andrew Zisserman, Oriol Vinyals, João Carreira.</li> <li><strong><a href="model_doc/phobert">PhoBERT</a></strong> (from VinAI Research) released with the paper <a href="https://www.aclweb.org/anthology/2020.findings-emnlp.92/" rel="nofollow">PhoBERT: Pre-trained language models for Vietnamese</a> by Dat Quoc Nguyen and Anh Tuan Nguyen.</li> <li><strong><a href="model_doc/plbart">PLBart</a></strong> (from UCLA NLP) released with the paper <a href="https://arxiv.org/abs/2103.06333" rel="nofollow">Unified Pre-training for Program Understanding and Generation</a> by Wasi Uddin Ahmad, Saikat Chakraborty, Baishakhi Ray, Kai-Wei Chang.</li> <li><strong><a href="model_doc/poolformer">PoolFormer</a></strong> (from Sea AI Labs) released with the paper <a href="https://arxiv.org/abs/2111.11418" rel="nofollow">MetaFormer is Actually What You Need for Vision</a> by Yu, Weihao and Luo, Mi and Zhou, Pan and Si, Chenyang and Zhou, Yichen and Wang, Xinchao and Feng, Jiashi and Yan, Shuicheng.</li> <li><strong><a href="model_doc/prophetnet">ProphetNet</a></strong> (from Microsoft Research) released with the paper <a href="https://arxiv.org/abs/2001.04063" rel="nofollow">ProphetNet: Predicting Future N-gram for Sequence-to-Sequence Pre-training</a> by Yu Yan, Weizhen Qi, Yeyun Gong, Dayiheng Liu, Nan Duan, Jiusheng Chen, Ruofei Zhang and Ming Zhou.</li> <li><strong><a href="model_doc/qdqbert">QDQBert</a></strong> (from NVIDIA) released with the paper <a href="https://arxiv.org/abs/2004.09602" rel="nofollow">Integer Quantization for Deep Learning Inference: Principles and Empirical Evaluation</a> by Hao Wu, Patrick Judd, Xiaojie Zhang, Mikhail Isaev and Paulius Micikevicius.</li> <li><strong><a href="model_doc/rag">RAG</a></strong> (from Facebook) released with the paper <a href="https://arxiv.org/abs/2005.11401" rel="nofollow">Retrieval-Augmented Generation for Knowledge-Intensive NLP Tasks</a> by Patrick Lewis, Ethan Perez, Aleksandara Piktus, Fabio Petroni, Vladimir Karpukhin, Naman Goyal, Heinrich Küttler, Mike Lewis, Wen-tau Yih, Tim Rocktäschel, Sebastian Riedel, Douwe Kiela.</li> <li><strong><a href="model_doc/realm.html">REALM</a></strong> (from Google Research) released with the paper <a href="https://arxiv.org/abs/2002.08909" rel="nofollow">REALM: Retrieval-Augmented Language Model Pre-Training</a> by Kelvin Guu, Kenton Lee, Zora Tung, Panupong Pasupat and Ming-Wei Chang.</li> <li><strong><a href="model_doc/reformer">Reformer</a></strong> (from Google Research) released with the paper <a href="https://arxiv.org/abs/2001.04451" rel="nofollow">Reformer: The Efficient Transformer</a> by Nikita Kitaev, Łukasz Kaiser, Anselm Levskaya.</li> <li><strong><a href="model_doc/regnet">RegNet</a></strong> (from META Platforms) released with the paper <a href="https://arxiv.org/abs/2003.13678" rel="nofollow">Designing Network Design Space</a> by Ilija Radosavovic, Raj Prateek Kosaraju, Ross Girshick, Kaiming He, Piotr Dollár.</li> <li><strong><a href="model_doc/rembert">RemBERT</a></strong> (from Google Research) released with the paper <a href="https://arxiv.org/abs/2010.12821" rel="nofollow">Rethinking embedding coupling in pre-trained language models</a> by Hyung Won Chung, Thibault Févry, Henry Tsai, M. Johnson, Sebastian Ruder.</li> <li><strong><a href="model_doc/resnet">ResNet</a></strong> (from Microsoft Research) released with the paper <a href="https://arxiv.org/abs/1512.03385" rel="nofollow">Deep Residual Learning for Image Recognition</a> by Kaiming He, Xiangyu Zhang, Shaoqing Ren, Jian Sun.</li> <li><strong><a href="model_doc/roberta">RoBERTa</a></strong> (from Facebook), released together with the paper <a href="https://arxiv.org/abs/1907.11692" rel="nofollow">RoBERTa: A Robustly Optimized BERT Pretraining Approach</a> by Yinhan Liu, Myle Ott, Naman Goyal, Jingfei Du, Mandar Joshi, Danqi Chen, Omer Levy, Mike Lewis, Luke Zettlemoyer, Veselin Stoyanov.</li> <li><strong><a href="model_doc/roformer">RoFormer</a></strong> (from ZhuiyiTechnology), released together with the paper <a href="https://arxiv.org/abs/2104.09864" rel="nofollow">RoFormer: Enhanced Transformer with Rotary Position Embedding</a> by Jianlin Su and Yu Lu and Shengfeng Pan and Bo Wen and Yunfeng Liu.</li> <li><strong><a href="model_doc/segformer">SegFormer</a></strong> (from NVIDIA) released with the paper <a href="https://arxiv.org/abs/2105.15203" rel="nofollow">SegFormer: Simple and Efficient Design for Semantic Segmentation with Transformers</a> by Enze Xie, Wenhai Wang, Zhiding Yu, Anima Anandkumar, Jose M. Alvarez, Ping Luo.</li> <li><strong><a href="model_doc/sew">SEW</a></strong> (from ASAPP) released with the paper <a href="https://arxiv.org/abs/2109.06870" rel="nofollow">Performance-Efficiency Trade-offs in Unsupervised Pre-training for Speech Recognition</a> by Felix Wu, Kwangyoun Kim, Jing Pan, Kyu Han, Kilian Q. Weinberger, Yoav Artzi.</li> <li><strong><a href="model_doc/sew_d">SEW-D</a></strong> (from ASAPP) released with the paper <a href="https://arxiv.org/abs/2109.06870" rel="nofollow">Performance-Efficiency Trade-offs in Unsupervised Pre-training for Speech Recognition</a> by Felix Wu, Kwangyoun Kim, Jing Pan, Kyu Han, Kilian Q. Weinberger, Yoav Artzi.</li> <li><strong><a href="model_doc/speech_to_text">SpeechToTextTransformer</a></strong> (from Facebook), released together with the paper <a href="https://arxiv.org/abs/2010.05171" rel="nofollow">fairseq S2T: Fast Speech-to-Text Modeling with fairseq</a> by Changhan Wang, Yun Tang, Xutai Ma, Anne Wu, Dmytro Okhonko, Juan Pino.</li> <li><strong><a href="model_doc/speech_to_text_2">SpeechToTextTransformer2</a></strong> (from Facebook), released together with the paper <a href="https://arxiv.org/abs/2104.06678" rel="nofollow">Large-Scale Self- and Semi-Supervised Learning for Speech Translation</a> by Changhan Wang, Anne Wu, Juan Pino, Alexei Baevski, Michael Auli, Alexis Conneau.</li> <li><strong><a href="model_doc/splinter">Splinter</a></strong> (from Tel Aviv University), released together with the paper <a href="https://arxiv.org/abs/2101.00438" rel="nofollow">Few-Shot Question Answering by Pretraining Span Selection</a> by Ori Ram, Yuval Kirstain, Jonathan Berant, Amir Globerson, Omer Levy.</li> <li><strong><a href="model_doc/squeezebert">SqueezeBERT</a></strong> (from Berkeley) released with the paper <a href="https://arxiv.org/abs/2006.11316" rel="nofollow">SqueezeBERT: What can computer vision teach NLP about efficient neural networks?</a> by Forrest N. Iandola, Albert E. Shaw, Ravi Krishna, and Kurt W. Keutzer.</li> <li><strong><a href="model_doc/swin">Swin Transformer</a></strong> (from Microsoft) released with the paper <a href="https://arxiv.org/abs/2103.14030" rel="nofollow">Swin Transformer: Hierarchical Vision Transformer using Shifted Windows</a> by Ze Liu, Yutong Lin, Yue Cao, Han Hu, Yixuan Wei, Zheng Zhang, Stephen Lin, Baining Guo.</li> <li><strong><a href="model_doc/swinv2">Swin Transformer V2</a></strong> (from Microsoft) released with the paper <a href="https://arxiv.org/abs/2111.09883" rel="nofollow">Swin Transformer V2: Scaling Up Capacity and Resolution</a> by Ze Liu, Han Hu, Yutong Lin, Zhuliang Yao, Zhenda Xie, Yixuan Wei, Jia Ning, Yue Cao, Zheng Zhang, Li Dong, Furu Wei, Baining Guo.</li> <li><strong><a href="model_doc/t5">T5</a></strong> (from Google AI) released with the paper <a href="https://arxiv.org/abs/1910.10683" rel="nofollow">Exploring the Limits of Transfer Learning with a Unified Text-to-Text Transformer</a> by Colin Raffel and Noam Shazeer and Adam Roberts and Katherine Lee and Sharan Narang and Michael Matena and Yanqi Zhou and Wei Li and Peter J. Liu.</li> <li><strong><a href="model_doc/t5v1.1">T5v1.1</a></strong> (from Google AI) released in the repository <a href="https://github.com/google-research/text-to-text-transfer-transformer/blob/main/released_checkpoints.md#t511" rel="nofollow">google-research/text-to-text-transfer-transformer</a> by Colin Raffel and Noam Shazeer and Adam Roberts and Katherine Lee and Sharan Narang and Michael Matena and Yanqi Zhou and Wei Li and Peter J. Liu.</li> <li><strong><a href="model_doc/tapas">TAPAS</a></strong> (from Google AI) released with the paper <a href="https://arxiv.org/abs/2004.02349" rel="nofollow">TAPAS: Weakly Supervised Table Parsing via Pre-training</a> by Jonathan Herzig, Paweł Krzysztof Nowak, Thomas Müller, Francesco Piccinno and Julian Martin Eisenschlos.</li> <li><strong><a href="model_doc/tapex">TAPEX</a></strong> (from Microsoft Research) released with the paper <a href="https://arxiv.org/abs/2107.07653" rel="nofollow">TAPEX: Table Pre-training via Learning a Neural SQL Executor</a> by Qian Liu, Bei Chen, Jiaqi Guo, Morteza Ziyadi, Zeqi Lin, Weizhu Chen, Jian-Guang Lou.</li> <li><strong><a href="model_doc/trajectory_transformers">Trajectory Transformer</a></strong> (from the University of California at Berkeley) released with the paper <a href="https://arxiv.org/abs/2106.02039" rel="nofollow">Offline Reinforcement Learning as One Big Sequence Modeling Problem</a> by Michael Janner, Qiyang Li, Sergey Levine</li> <li><strong><a href="model_doc/transfo-xl">Transformer-XL</a></strong> (from Google/CMU) released with the paper <a href="https://arxiv.org/abs/1901.02860" rel="nofollow">Transformer-XL: Attentive Language Models Beyond a Fixed-Length Context</a> by Zihang Dai<em>, Zhilin Yang</em>, Yiming Yang, Jaime Carbonell, Quoc V. Le, Ruslan Salakhutdinov.</li> <li><strong><a href="model_doc/trocr">TrOCR</a></strong> (from Microsoft), released together with the paper <a href="https://arxiv.org/abs/2109.10282" rel="nofollow">TrOCR: Transformer-based Optical Character Recognition with Pre-trained Models</a> by Minghao Li, Tengchao Lv, Lei Cui, Yijuan Lu, Dinei Florencio, Cha Zhang, Zhoujun Li, Furu Wei.</li> <li><strong><a href="model_doc/ul2">UL2</a></strong> (from Google Research) released with the paper <a href="https://arxiv.org/abs/2205.05131v1" rel="nofollow">Unifying Language Learning Paradigms</a> by Yi Tay, Mostafa Dehghani, Vinh Q. Tran, Xavier Garcia, Dara Bahri, Tal Schuster, Huaixiu Steven Zheng, Neil Houlsby, Donald Metzler</li> <li><strong><a href="model_doc/umt5">UMT5</a></strong> (from Google Research) released with the paper <a href="https://openreview.net/forum?id=kXwdL1cWOAi" rel="nofollow">UniMax: Fairer and More Effective Language Sampling for Large-Scale Multilingual Pretraining</a> by Hyung Won Chung, Xavier Garcia, Adam Roberts, Yi Tay, Orhan Firat, Sharan Narang, Noah Constant.</li> <li><strong><a href="model_doc/unispeech">UniSpeech</a></strong> (from Microsoft Research) released with the paper <a href="https://arxiv.org/abs/2101.07597" rel="nofollow">UniSpeech: Unified Speech Representation Learning with Labeled and Unlabeled Data</a> by Chengyi Wang, Yu Wu, Yao Qian, Kenichi Kumatani, Shujie Liu, Furu Wei, Michael Zeng, Xuedong Huang.</li> <li><strong><a href="model_doc/unispeech-sat">UniSpeechSat</a></strong> (from Microsoft Research) released with the paper <a href="https://arxiv.org/abs/2110.05752" rel="nofollow">UNISPEECH-SAT: UNIVERSAL SPEECH REPRESENTATION LEARNING WITH SPEAKER AWARE PRE-TRAINING</a> by Sanyuan Chen, Yu Wu, Chengyi Wang, Zhengyang Chen, Zhuo Chen, Shujie Liu, Jian Wu, Yao Qian, Furu Wei, Jinyu Li, Xiangzhan Yu.</li> <li><strong><a href="model_doc/van">VAN</a></strong> (from Tsinghua University and Nankai University) released with the paper <a href="https://arxiv.org/abs/2202.09741" rel="nofollow">Visual Attention Network</a> by Meng-Hao Guo, Cheng-Ze Lu, Zheng-Ning Liu, Ming-Ming Cheng, Shi-Min Hu.</li> <li><strong><a href="model_doc/videomae">VideoMAE</a></strong> (from Multimedia Computing Group, Nanjing University) released with the paper <a href="https://arxiv.org/abs/2203.12602" rel="nofollow">VideoMAE: Masked Autoencoders are Data-Efficient Learners for Self-Supervised Video Pre-Training</a> by Zhan Tong, Yibing Song, Jue Wang, Limin Wang.</li> <li><strong><a href="model_doc/vilt">ViLT</a></strong> (from NAVER AI Lab/Kakao Enterprise/Kakao Brain) released with the paper <a href="https://arxiv.org/abs/2102.03334" rel="nofollow">ViLT: Vision-and-Language Transformer Without Convolution or Region Supervision</a> by Wonjae Kim, Bokyung Son, Ildoo Kim.</li> <li><strong><a href="model_doc/vit">Vision Transformer (ViT)</a></strong> (from Google AI) released with the paper <a href="https://arxiv.org/abs/2010.11929" rel="nofollow">An Image is Worth 16x16 Words: Transformers for Image Recognition at Scale</a> by Alexey Dosovitskiy, Lucas Beyer, Alexander Kolesnikov, Dirk Weissenborn, Xiaohua Zhai, Thomas Unterthiner, Mostafa Dehghani, Matthias Minderer, Georg Heigold, Sylvain Gelly, Jakob Uszkoreit, Neil Houlsby.</li> <li><strong><a href="model_doc/visual_bert">VisualBERT</a></strong> (from UCLA NLP) released with the paper <a href="https://arxiv.org/pdf/1908.03557" rel="nofollow">VisualBERT: A Simple and Performant Baseline for Vision and Language</a> by Liunian Harold Li, Mark Yatskar, Da Yin, Cho-Jui Hsieh, Kai-Wei Chang.</li> <li><strong><a href="model_doc/vit_mae">ViTMAE</a></strong> (from Meta AI) released with the paper <a href="https://arxiv.org/abs/2111.06377" rel="nofollow">Masked Autoencoders Are Scalable Vision Learners</a> by Kaiming He, Xinlei Chen, Saining Xie, Yanghao Li, Piotr Dollár, Ross Girshick.</li> <li><strong><a href="model_doc/wav2vec2">Wav2Vec2</a></strong> (from Facebook AI) released with the paper <a href="https://arxiv.org/abs/2006.11477" rel="nofollow">wav2vec 2.0: A Framework for Self-Supervised Learning of Speech Representations</a> by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael Auli.</li> <li><strong><a href="model_doc/wav2vec2-conformer">Wav2Vec2-Conformer</a></strong> (from Facebook AI) released with the paper <a href="https://arxiv.org/abs/2010.05171" rel="nofollow">FAIRSEQ S2T: Fast Speech-to-Text Modeling with FAIRSEQ</a> by Changhan Wang, Yun Tang, Xutai Ma, Anne Wu, Sravya Popuri, Dmytro Okhonko, Juan Pino.</li> <li><strong><a href="model_doc/wav2vec2_phoneme">Wav2Vec2Phoneme</a></strong> (from Facebook AI) released with the paper <a href="https://arxiv.org/abs/2109.11680" rel="nofollow">Simple and Effective Zero-shot Cross-lingual Phoneme Recognition</a> by Qiantong Xu, Alexei Baevski, Michael Auli.</li> <li><strong><a href="model_doc/wavlm">WavLM</a></strong> (from Microsoft Research) released with the paper <a href="https://arxiv.org/abs/2110.13900" rel="nofollow">WavLM: Large-Scale Self-Supervised Pre-Training for Full Stack Speech Processing</a> by Sanyuan Chen, Chengyi Wang, Zhengyang Chen, Yu Wu, Shujie Liu, Zhuo Chen, Jinyu Li, Naoyuki Kanda, Takuya Yoshioka, Xiong Xiao, Jian Wu, Long Zhou, Shuo Ren, Yanmin Qian, Yao Qian, Jian Wu, Michael Zeng, Furu Wei.</li> <li><strong><a href="model_doc/xglm">XGLM</a></strong> (From Facebook AI) released with the paper <a href="https://arxiv.org/abs/2112.10668" rel="nofollow">Few-shot Learning with Multilingual Language Models</a> by Xi Victoria Lin, Todor Mihaylov, Mikel Artetxe, Tianlu Wang, Shuohui Chen, Daniel Simig, Myle Ott, Naman Goyal, Shruti Bhosale, Jingfei Du, Ramakanth Pasunuru, Sam Shleifer, Punit Singh Koura, Vishrav Chaudhary, Brian O’Horo, Jeff Wang, Luke Zettlemoyer, Zornitsa Kozareva, Mona Diab, Veselin Stoyanov, Xian Li.</li> <li><strong><a href="model_doc/xlm">XLM</a></strong> (from Facebook) released together with the paper <a href="https://arxiv.org/abs/1901.07291" rel="nofollow">Cross-lingual Language Model Pretraining</a> by Guillaume Lample and Alexis Conneau.</li> <li><strong><a href="model_doc/xlm-prophetnet">XLM-ProphetNet</a></strong> (from Microsoft Research) released with the paper <a href="https://arxiv.org/abs/2001.04063" rel="nofollow">ProphetNet: Predicting Future N-gram for Sequence-to-Sequence Pre-training</a> by Yu Yan, Weizhen Qi, Yeyun Gong, Dayiheng Liu, Nan Duan, Jiusheng Chen, Ruofei Zhang and Ming Zhou.</li> <li><strong><a href="model_doc/xlm-roberta">XLM-RoBERTa</a></strong> (from Facebook AI), released together with the paper <a href="https://arxiv.org/abs/1911.02116" rel="nofollow">Unsupervised Cross-lingual Representation Learning at Scale</a> by Alexis Conneau<em>, Kartikay Khandelwal</em>, Naman Goyal, Vishrav Chaudhary, Guillaume Wenzek, Francisco Guzmán, Edouard Grave, Myle Ott, Luke Zettlemoyer and Veselin Stoyanov.</li> <li><strong><a href="model_doc/xlm-roberta-xl">XLM-RoBERTa-XL</a></strong> (from Facebook AI), released together with the paper <a href="https://arxiv.org/abs/2105.00572" rel="nofollow">Larger-Scale Transformers for Multilingual Masked Language Modeling</a> by Naman Goyal, Jingfei Du, Myle Ott, Giri Anantharaman, Alexis Conneau.</li> <li><strong><a href="model_doc/xlm-v">XLM-V</a></strong> (from Meta AI) released with the paper <a href="https://arxiv.org/abs/2301.10472" rel="nofollow">XLM-V: Overcoming the Vocabulary Bottleneck in Multilingual Masked Language Models</a> by Davis Liang, Hila Gonen, Yuning Mao, Rui Hou, Naman Goyal, Marjan Ghazvininejad, Luke Zettlemoyer, Madian Khabsa.</li> <li><strong><a href="model_doc/xlnet">XLNet</a></strong> (from Google/CMU) released with the paper <a href="https://arxiv.org/abs/1906.08237" rel="nofollow">​XLNet: Generalized Autoregressive Pretraining for Language Understanding</a> by Zhilin Yang<em>, Zihang Dai</em>, Yiming Yang, Jaime Carbonell, Ruslan Salakhutdinov, Quoc V. Le.</li> <li><strong><a href="model_doc/xls_r">XLS-R</a></strong> (from Facebook AI) released with the paper <a href="https://arxiv.org/abs/2111.09296" rel="nofollow">XLS-R: Self-supervised Cross-lingual Speech Representation Learning at Scale</a> by Arun Babu, Changhan Wang, Andros Tjandra, Kushal Lakhotia, Qiantong Xu, Naman Goyal, Kritika Singh, Patrick von Platen, Yatharth Saraf, Juan Pino, Alexei Baevski, Alexis Conneau, Michael Auli.</li> <li><strong><a href="model_doc/xlsr_wav2vec2">XLSR-Wav2Vec2</a></strong> (from Facebook AI) released with the paper <a href="https://arxiv.org/abs/2006.13979" rel="nofollow">Unsupervised Cross-Lingual Representation Learning For Speech Recognition</a> by Alexis Conneau, Alexei Baevski, Ronan Collobert, Abdelrahman Mohamed, Michael Auli.</li> <li><strong><a href="model_doc/yolos">YOLOS</a></strong> (from Huazhong University of Science &amp; Technology) released with the paper <a href="https://arxiv.org/abs/2106.00666" rel="nofollow">You Only Look at One Sequence: Rethinking Transformer in Vision through Object Detection</a> by Yuxin Fang, Bencheng Liao, Xinggang Wang, Jiemin Fang, Jiyang Qi, Rui Wu, Jianwei Niu, Wenyu Liu.</li> <li><strong><a href="model_doc/yoso">YOSO</a></strong> (from the University of Wisconsin - Madison) released with the paper <a href="https://arxiv.org/abs/2111.09714" rel="nofollow">You Only Sample (Almost) Once: Linear Cost Self-Attention Via Bernoulli Sampling</a> by Zhanpeng Zeng, Yunyang Xiong, Sathya N. Ravi, Shailesh Acharya, Glenn Fung, Vikas Singh.</li>',ye,v,S,j,F,Ge,H,je="Unterstützte Frameworks",Te,I,qe=`Die folgende Tabelle zeigt die derzeitige Unterstützung in der Bibliothek für jedes dieser Modelle, unabhängig davon, ob sie einen Python
Tokenizer haben (als “langsam” bezeichnet), ein “schneller” Tokenizer, der von der 🤗 Tokenizers Bibliothek unterstützt wird, ob sie Unterstützung in Jax (via
Flax), PyTorch, und/oder TensorFlow haben.`,Le,W,Qe='<thead><tr><th align="center">Model</th> <th align="center">Tokenizer slow</th> <th align="center">Tokenizer fast</th> <th align="center">PyTorch support</th> <th align="center">TensorFlow support</th> <th align="center">Flax Support</th></tr></thead> <tbody><tr><td align="center">ALBERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">BART</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">BEiT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center">BERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">Bert Generation</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">BigBird</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center">BigBird-Pegasus</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Blenderbot</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">BlenderbotSmall</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">BLOOM</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center">CamemBERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">CANINE</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">CLIP</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">CodeGen</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">ConvBERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">ConvNeXT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">CTRL</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">CvT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Data2VecAudio</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Data2VecText</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Data2VecVision</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">DeBERTa</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">DeBERTa-v2</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">Decision Transformer</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">DeiT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">DETR</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">DistilBERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">DPR</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">DPT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">ELECTRA</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">Encoder decoder</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">FairSeq Machine-Translation</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">FlauBERT</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">FLAVA</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">FNet</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Funnel Transformer</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">GLPN</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">GPT Neo</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center">GPT NeoX</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">GPT-J</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">GroupViT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Hubert</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">I-BERT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">ImageGPT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">LayoutLM</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">LayoutLMv2</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">LayoutLMv3</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">LED</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">LeViT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Longformer</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">LongT5</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center">LUKE</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">LXMERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">M-CTC-T</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">M2M100</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Marian</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">MaskFormer</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">mBART</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">Megatron-BERT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">MobileBERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">MobileViT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">MPNet</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">MT5</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">MVP</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Nezha</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Nyströmformer</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">OpenAI GPT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">OpenAI GPT-2</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">OPT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">OWL-ViT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Pegasus</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">Perceiver</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">PLBart</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">PoolFormer</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">ProphetNet</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">QDQBert</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">RAG</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">REALM</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Reformer</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">RegNet</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">RemBERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">ResNet</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">RetriBERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">RoBERTa</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">RoFormer</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">SegFormer</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">SEW</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">SEW-D</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Speech Encoder decoder</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center">Speech2Text</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">Speech2Text2</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Splinter</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">SqueezeBERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Swin Transformer</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">Swin Transformer V2</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">T5</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">TAPAS</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">Trajectory Transformer</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Transformer-XL</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">TrOCR</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">UniSpeech</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">UniSpeechSat</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">VAN</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">VideoMAE</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">ViLT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Vision Encoder decoder</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">VisionTextDualEncoder</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center">VisualBERT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">ViT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">ViTMAE</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">Wav2Vec2</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">Wav2Vec2-Conformer</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">WavLM</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">XGLM</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center">XLM</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">XLM-ProphetNet</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">XLM-RoBERTa</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">XLM-RoBERTa-XL</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">XLNet</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">YOLOS</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">YOSO</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr></tbody>',Se,q,Me;return M=new re({}),P=new re({}),E=new re({}),N=new re({}),F=new re({}),{c(){c=r("meta"),ie=o(),X=r("p"),oe=o(),u=r("h1"),w=r("a"),Z=r("span"),Q(M.$$.fragment),Pe=o(),z=r("span"),z.textContent=De,le=o(),A=r("p"),A.textContent=Fe,de=o(),x=r("p"),x.textContent=Ie,ge=o(),R=r("ul"),R.innerHTML=We,se=o(),k=r("p"),k.innerHTML=ze,he=o(),C=r("p"),C.textContent=Ve,ce=o(),f=r("h2"),y=r("a"),K=r("span"),Q(P.$$.fragment),Ee=o(),V=r("span"),V.textContent=Ye,ue=o(),m=r("a"),m.innerHTML=Je,fe=o(),p=r("h2"),T=r("a"),U=r("span"),Q(E.$$.fragment),_e=o(),Y=r("span"),Y.textContent=He,me=o(),_=r("p"),_.textContent=Xe,pe=o(),B=r("ul"),B.innerHTML=Ze,be=o(),G=r("p"),G.textContent=Ke,ve=o(),b=r("h3"),L=r("a"),O=r("span"),Q(N.$$.fragment),Be=o(),J=r("span"),J.textContent=Ue,we=o(),D=r("ol"),D.innerHTML=Oe,ye=o(),v=r("h3"),S=r("a"),j=r("span"),Q(F.$$.fragment),Ge=o(),H=r("span"),H.textContent=je,Te=o(),I=r("p"),I.textContent=qe,Le=o(),W=r("table"),W.innerHTML=Qe,Se=o(),q=r("p"),this.h()},l(e){const n=ft("svelte-1phssyn",document.head);c=i(n,"META",{name:!0,content:!0}),n.forEach(t),ie=l(e),X=i(e,"P",{}),s(X).forEach(t),oe=l(e),u=i(e,"H1",{class:!0});var Ae=s(u);w=i(Ae,"A",{id:!0,class:!0,href:!0});var $e=s(w);Z=i($e,"SPAN",{});var et=s(Z);$(M.$$.fragment,et),et.forEach(t),$e.forEach(t),Pe=l(Ae),z=i(Ae,"SPAN",{"data-svelte-h":!0}),h(z)!=="svelte-dl5awu"&&(z.textContent=De),Ae.forEach(t),le=l(e),A=i(e,"P",{"data-svelte-h":!0}),h(A)!=="svelte-rv1bec"&&(A.textContent=Fe),de=l(e),x=i(e,"P",{"data-svelte-h":!0}),h(x)!=="svelte-nrtg82"&&(x.textContent=Ie),ge=l(e),R=i(e,"UL",{"data-svelte-h":!0}),h(R)!=="svelte-1qlzgiw"&&(R.innerHTML=We),se=l(e),k=i(e,"P",{"data-svelte-h":!0}),h(k)!=="svelte-whjabg"&&(k.innerHTML=ze),he=l(e),C=i(e,"P",{"data-svelte-h":!0}),h(C)!=="svelte-1ysrl47"&&(C.textContent=Ve),ce=l(e),f=i(e,"H2",{class:!0});var xe=s(f);y=i(xe,"A",{id:!0,class:!0,href:!0});var tt=s(y);K=i(tt,"SPAN",{});var nt=s(K);$(P.$$.fragment,nt),nt.forEach(t),tt.forEach(t),Ee=l(xe),V=i(xe,"SPAN",{"data-svelte-h":!0}),h(V)!=="svelte-1s8ldwk"&&(V.textContent=Ye),xe.forEach(t),ue=l(e),m=i(e,"A",{target:!0,href:!0,"data-svelte-h":!0}),h(m)!=="svelte-16714py"&&(m.innerHTML=Je),fe=l(e),p=i(e,"H2",{class:!0});var Re=s(p);T=i(Re,"A",{id:!0,class:!0,href:!0});var at=s(T);U=i(at,"SPAN",{});var rt=s(U);$(E.$$.fragment,rt),rt.forEach(t),at.forEach(t),_e=l(Re),Y=i(Re,"SPAN",{"data-svelte-h":!0}),h(Y)!=="svelte-93u5up"&&(Y.textContent=He),Re.forEach(t),me=l(e),_=i(e,"P",{"data-svelte-h":!0}),h(_)!=="svelte-1szfwnw"&&(_.textContent=Xe),pe=l(e),B=i(e,"UL",{"data-svelte-h":!0}),h(B)!=="svelte-1g8o7sj"&&(B.innerHTML=Ze),be=l(e),G=i(e,"P",{"data-svelte-h":!0}),h(G)!=="svelte-u8rau8"&&(G.textContent=Ke),ve=l(e),b=i(e,"H3",{class:!0});var ke=s(b);L=i(ke,"A",{id:!0,class:!0,href:!0});var it=s(L);O=i(it,"SPAN",{});var ot=s(O);$(N.$$.fragment,ot),ot.forEach(t),it.forEach(t),Be=l(ke),J=i(ke,"SPAN",{"data-svelte-h":!0}),h(J)!=="svelte-16nl891"&&(J.textContent=Ue),ke.forEach(t),we=l(e),D=i(e,"OL",{"data-svelte-h":!0}),h(D)!=="svelte-1vg3hsx"&&(D.innerHTML=Oe),ye=l(e),v=i(e,"H3",{class:!0});var Ce=s(v);S=i(Ce,"A",{id:!0,class:!0,href:!0});var lt=s(S);j=i(lt,"SPAN",{});var dt=s(j);$(F.$$.fragment,dt),dt.forEach(t),lt.forEach(t),Ge=l(Ce),H=i(Ce,"SPAN",{"data-svelte-h":!0}),h(H)!=="svelte-11jir5g"&&(H.textContent=je),Ce.forEach(t),Te=l(e),I=i(e,"P",{"data-svelte-h":!0}),h(I)!=="svelte-2mn67z"&&(I.textContent=qe),Le=l(e),W=i(e,"TABLE",{"data-svelte-h":!0}),h(W)!=="svelte-hz93cn"&&(W.innerHTML=Qe),Se=l(e),q=i(e,"P",{}),s(q).forEach(t),this.h()},h(){d(c,"name","hf:doc:metadata"),d(c,"content",JSON.stringify(pt)),d(w,"id","transformers"),d(w,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(w,"href","#transformers"),d(u,"class","relative group"),d(y,"id","wenn-sie-auf-der-suche-nach-individueller-untersttzung-durch-das-hugging-faceteam-sind"),d(y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(y,"href","#wenn-sie-auf-der-suche-nach-individueller-untersttzung-durch-das-hugging-faceteam-sind"),d(f,"class","relative group"),d(m,"target","_blank"),d(m,"href","https://huggingface.co/support"),d(T,"id","inhalt"),d(T,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(T,"href","#inhalt"),d(p,"class","relative group"),d(L,"id","untersttze-modelle"),d(L,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(L,"href","#untersttze-modelle"),d(b,"class","relative group"),d(S,"id","untersttzte-frameworks"),d(S,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(S,"href","#untersttzte-frameworks"),d(v,"class","relative group")},m(e,n){g(document.head,c),a(e,ie,n),a(e,X,n),a(e,oe,n),a(e,u,n),g(u,w),g(w,Z),ee(M,Z,null),g(u,Pe),g(u,z),a(e,le,n),a(e,A,n),a(e,de,n),a(e,x,n),a(e,ge,n),a(e,R,n),a(e,se,n),a(e,k,n),a(e,he,n),a(e,C,n),a(e,ce,n),a(e,f,n),g(f,y),g(y,K),ee(P,K,null),g(f,Ee),g(f,V),a(e,ue,n),a(e,m,n),a(e,fe,n),a(e,p,n),g(p,T),g(T,U),ee(E,U,null),g(p,_e),g(p,Y),a(e,me,n),a(e,_,n),a(e,pe,n),a(e,B,n),a(e,be,n),a(e,G,n),a(e,ve,n),a(e,b,n),g(b,L),g(L,O),ee(N,O,null),g(b,Be),g(b,J),a(e,we,n),a(e,D,n),a(e,ye,n),a(e,v,n),g(v,S),g(S,j),ee(F,j,null),g(v,Ge),g(v,H),a(e,Te,n),a(e,I,n),a(e,Le,n),a(e,W,n),a(e,Se,n),a(e,q,n),Me=!0},p:st,i(e){Me||(te(M.$$.fragment,e),te(P.$$.fragment,e),te(E.$$.fragment,e),te(N.$$.fragment,e),te(F.$$.fragment,e),Me=!0)},o(e){ne(M.$$.fragment,e),ne(P.$$.fragment,e),ne(E.$$.fragment,e),ne(N.$$.fragment,e),ne(F.$$.fragment,e),Me=!1},d(e){e&&(t(ie),t(X),t(oe),t(u),t(le),t(A),t(de),t(x),t(ge),t(R),t(se),t(k),t(he),t(C),t(ce),t(f),t(ue),t(m),t(fe),t(p),t(me),t(_),t(pe),t(B),t(be),t(G),t(ve),t(b),t(we),t(D),t(ye),t(v),t(Te),t(I),t(Le),t(W),t(Se),t(q)),t(c),ae(M),ae(P),ae(E),ae(N),ae(F)}}}const pt={local:"transformers",sections:[{local:"wenn-sie-auf-der-suche-nach-individueller-untersttzung-durch-das-hugging-faceteam-sind",title:"Wenn Sie auf der Suche nach individueller Unterstützung durch das Hugging Face-Team sind"},{local:"inhalt",sections:[{local:"untersttze-modelle",title:"Unterstütze Modelle"},{local:"untersttzte-frameworks",title:"Unterstützte Frameworks"}],title:"Inhalt"}],title:"🤗 Transformers"};function bt(Ne){return ht(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Tt extends ct{constructor(c){super(),ut(this,c,bt,mt,gt,{})}}export{Tt as component};
