import{s as we,n as _e,o as Ce}from"../chunks/scheduler.9bc65507.js";import{S as be,i as ye,g as o,s as l,u as de,A as Ge,h as i,f as t,c as s,j as v,v as me,y as r,k as h,o as f,a,w as ve,d as ge,t as xe,x as Te}from"../chunks/index.78c82d43.js";import{I as Pe}from"../chunks/IconCopyLink.bedaa44d.js";function Me(Q){let p,E,D,A,u,d,k,g,Z,L,V="DialoGPT",N,c,m,H,x,K,$,ee="Overview",j,T,te=`DialoGPT was proposed in <a href="https://arxiv.org/abs/1911.00536" rel="nofollow">DialoGPT: Large-Scale Generative Pre-training for Conversational Response Generation</a> by Yizhe Zhang, Siqi Sun, Michel Galley, Yen-Chun Chen, Chris Brockett, Xiang Gao,
Jianfeng Gao, Jingjing Liu, Bill Dolan. It’s a GPT2 Model trained on 147M conversation-like exchanges extracted from
Reddit.`,I,P,ne="The abstract from the paper is the following:",q,w,ae=`<em>We present a large, tunable neural conversational response generation model, DialoGPT (dialogue generative pre-trained
transformer). Trained on 147M conversation-like exchanges extracted from Reddit comment chains over a period spanning
from 2005 through 2017, DialoGPT extends the Hugging Face PyTorch transformer to attain a performance close to human
both in terms of automatic and human evaluation in single-turn dialogue settings. We show that conversational systems
that leverage DialoGPT generate more relevant, contentful and context-consistent responses than strong baseline
systems. The pre-trained model and training pipeline are publicly released to facilitate research into neural response
generation and the development of more intelligent open-domain dialogue systems.</em>`,O,_,oe="Tips:",R,C,ie=`<li>DialoGPT is a model with absolute position embeddings so it’s usually advised to pad the inputs on the right rather
than the left.</li> <li>DialoGPT was trained with a causal language modeling (CLM) objective on conversational data and is therefore powerful
at response generation in open-domain dialogue systems.</li> <li>DialoGPT enables the user to create a chat bot in just 10 lines of code as shown on <a href="https://huggingface.co/microsoft/DialoGPT-medium" rel="nofollow">DialoGPT’s model card</a>.</li>`,W,b,le="Training:",z,y,se=`In order to train or fine-tune DialoGPT, one can use causal language modeling training. To cite the official paper: <em>We
follow the OpenAI GPT-2 to model a multiturn dialogue session as a long text and frame the generation task as language
modeling. We first concatenate all dialog turns within a dialogue session into a long text x_1,…, x_N (N is the
sequence length), ended by the end-of-text token.</em> For more information please confer to the original paper.`,J,G,re='DialoGPT’s architecture is based on the GPT2 model, so one can refer to <a href="gpt2">GPT2’s documentation page</a>.',B,M,he='The original code can be found <a href="https://github.com/microsoft/DialoGPT" rel="nofollow">here</a>.',F,S,U;return g=new Pe({}),x=new Pe({}),{c(){p=o("meta"),E=l(),D=o("p"),A=l(),u=o("h1"),d=o("a"),k=o("span"),de(g.$$.fragment),Z=l(),L=o("span"),L.textContent=V,N=l(),c=o("h2"),m=o("a"),H=o("span"),de(x.$$.fragment),K=l(),$=o("span"),$.textContent=ee,j=l(),T=o("p"),T.innerHTML=te,I=l(),P=o("p"),P.textContent=ne,q=l(),w=o("p"),w.innerHTML=ae,O=l(),_=o("p"),_.textContent=oe,R=l(),C=o("ul"),C.innerHTML=ie,W=l(),b=o("p"),b.textContent=le,z=l(),y=o("p"),y.innerHTML=se,J=l(),G=o("p"),G.innerHTML=re,B=l(),M=o("p"),M.innerHTML=he,F=l(),S=o("p"),this.h()},l(e){const n=Ge("svelte-1phssyn",document.head);p=i(n,"META",{name:!0,content:!0}),n.forEach(t),E=s(e),D=i(e,"P",{}),v(D).forEach(t),A=s(e),u=i(e,"H1",{class:!0});var Y=v(u);d=i(Y,"A",{id:!0,class:!0,href:!0});var pe=v(d);k=i(pe,"SPAN",{});var ue=v(k);me(g.$$.fragment,ue),ue.forEach(t),pe.forEach(t),Z=s(Y),L=i(Y,"SPAN",{"data-svelte-h":!0}),r(L)!=="svelte-g92069"&&(L.textContent=V),Y.forEach(t),N=s(e),c=i(e,"H2",{class:!0});var X=v(c);m=i(X,"A",{id:!0,class:!0,href:!0});var ce=v(m);H=i(ce,"SPAN",{});var fe=v(H);me(x.$$.fragment,fe),fe.forEach(t),ce.forEach(t),K=s(X),$=i(X,"SPAN",{"data-svelte-h":!0}),r($)!=="svelte-1jsw1pg"&&($.textContent=ee),X.forEach(t),j=s(e),T=i(e,"P",{"data-svelte-h":!0}),r(T)!=="svelte-1r5vgq6"&&(T.innerHTML=te),I=s(e),P=i(e,"P",{"data-svelte-h":!0}),r(P)!=="svelte-vfdo9a"&&(P.textContent=ne),q=s(e),w=i(e,"P",{"data-svelte-h":!0}),r(w)!=="svelte-7bhez3"&&(w.innerHTML=ae),O=s(e),_=i(e,"P",{"data-svelte-h":!0}),r(_)!=="svelte-axv494"&&(_.textContent=oe),R=s(e),C=i(e,"UL",{"data-svelte-h":!0}),r(C)!=="svelte-1kdkvca"&&(C.innerHTML=ie),W=s(e),b=i(e,"P",{"data-svelte-h":!0}),r(b)!=="svelte-1igpel8"&&(b.textContent=le),z=s(e),y=i(e,"P",{"data-svelte-h":!0}),r(y)!=="svelte-1yc28b0"&&(y.innerHTML=se),J=s(e),G=i(e,"P",{"data-svelte-h":!0}),r(G)!=="svelte-1m6wzbj"&&(G.innerHTML=re),B=s(e),M=i(e,"P",{"data-svelte-h":!0}),r(M)!=="svelte-17b2666"&&(M.innerHTML=he),F=s(e),S=i(e,"P",{}),v(S).forEach(t),this.h()},h(){h(p,"name","hf:doc:metadata"),h(p,"content",JSON.stringify(Le)),h(d,"id","dialogpt"),h(d,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(d,"href","#dialogpt"),h(u,"class","relative group"),h(m,"id","overview"),h(m,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(m,"href","#overview"),h(c,"class","relative group")},m(e,n){f(document.head,p),a(e,E,n),a(e,D,n),a(e,A,n),a(e,u,n),f(u,d),f(d,k),ve(g,k,null),f(u,Z),f(u,L),a(e,N,n),a(e,c,n),f(c,m),f(m,H),ve(x,H,null),f(c,K),f(c,$),a(e,j,n),a(e,T,n),a(e,I,n),a(e,P,n),a(e,q,n),a(e,w,n),a(e,O,n),a(e,_,n),a(e,R,n),a(e,C,n),a(e,W,n),a(e,b,n),a(e,z,n),a(e,y,n),a(e,J,n),a(e,G,n),a(e,B,n),a(e,M,n),a(e,F,n),a(e,S,n),U=!0},p:_e,i(e){U||(ge(g.$$.fragment,e),ge(x.$$.fragment,e),U=!0)},o(e){xe(g.$$.fragment,e),xe(x.$$.fragment,e),U=!1},d(e){e&&(t(E),t(D),t(A),t(u),t(N),t(c),t(j),t(T),t(I),t(P),t(q),t(w),t(O),t(_),t(R),t(C),t(W),t(b),t(z),t(y),t(J),t(G),t(B),t(M),t(F),t(S)),t(p),Te(g),Te(x)}}}const Le={local:"dialogpt",sections:[{local:"overview",title:"Overview"}],title:"DialoGPT"};function $e(Q){return Ce(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Se extends be{constructor(p){super(),ye(this,p,$e,Me,we,{})}}export{Se as component};
