import{s as jt,n as Bt,o as Ot}from"../chunks/scheduler.9bc65507.js";import{S as Gt,i as Ft,g as r,s as i,u as c,A as Jt,h as a,f as t,c as m,j as d,v as u,y as g,k as l,o,a as n,w as p,d as f,t as h,x as v}from"../chunks/index.78c82d43.js";import{D as $}from"../chunks/Docstring.4e7352e2.js";import{I as we}from"../chunks/IconCopyLink.bedaa44d.js";function Kt(ct){let b,Ee,ve,Ne,y,S,ge,z,Ze,se,ut="General Utilities",Ce,V,pt="This page lists all of Transformers general utility functions that are found in the file <code>utils.py</code>.",Pe,H,ft="Most of those are only useful if you are studying the general code in the library.",ke,x,T,_e,q,et,ne,ht="Enums and namedtuples",Le,w,U,tt,oe,vt="Enum with more explicit error message for missing values.",Se,E,j,rt,le,gt=`Possible values for the <code>padding</code> argument in <a href="/docs/transformers/pr_21764/en/model_doc/vits#transformers.VitsTokenizer.__call__">PreTrainedTokenizerBase.<strong>call</strong>()</a>. Useful for tab-completion in an
IDE.`,Te,N,B,at,ie,_t=`Possible values for the <code>return_tensors</code> argument in <a href="/docs/transformers/pr_21764/en/model_doc/vits#transformers.VitsTokenizer.__call__">PreTrainedTokenizerBase.<strong>call</strong>()</a>. Useful for
tab-completion in an IDE.`,Ae,C,A,$e,O,st,me,$t="Special Decorators",De,G,F,Me,J,K,Ie,R,Q,ze,W,X,Ve,Y,Z,He,P,D,be,ee,nt,de,bt="Special Properties",qe,_,te,ot,ce,yt="Descriptor that mimics @property but caches output in member variable.",lt,ue,xt="From tensorflow_datasets",it,pe,wt="Built-in in functools from Python 3.8.",Ue,k,M,ye,re,mt,fe,Et="Other Utilities",je,L,ae,dt,he,Nt="Module class that surfaces all objects but only performs associated imports when the objects are requested.",Be,xe,Oe;return z=new we({}),q=new we({}),U=new $({props:{name:"class transformers.utils.ExplicitEnum",anchor:"transformers.utils.ExplicitEnum",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/utils/generic.py#L426"}}),j=new $({props:{name:"class transformers.utils.PaddingStrategy",anchor:"transformers.utils.PaddingStrategy",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/utils/generic.py#L438"}}),B=new $({props:{name:"class transformers.TensorType",anchor:"transformers.TensorType",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/utils/generic.py#L449"}}),O=new we({}),F=new $({props:{name:"transformers.add_start_docstrings",anchor:"transformers.add_start_docstrings",parameters:[{name:"*docstr",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/utils/doc.py#L23"}}),K=new $({props:{name:"transformers.utils.add_start_docstrings_to_model_forward",anchor:"transformers.utils.add_start_docstrings_to_model_forward",parameters:[{name:"*docstr",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/utils/doc.py#L31"}}),Q=new $({props:{name:"transformers.add_end_docstrings",anchor:"transformers.add_end_docstrings",parameters:[{name:"*docstr",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/utils/doc.py#L53"}}),X=new $({props:{name:"transformers.utils.add_code_sample_docstrings",anchor:"transformers.utils.add_code_sample_docstrings",parameters:[{name:"*docstr",val:""},{name:"processor_class",val:" = None"},{name:"checkpoint",val:" = None"},{name:"output_type",val:" = None"},{name:"config_class",val:" = None"},{name:"mask",val:" = '[MASK]'"},{name:"qa_target_start_index",val:" = 14"},{name:"qa_target_end_index",val:" = 15"},{name:"model_cls",val:" = None"},{name:"modality",val:" = None"},{name:"expected_output",val:" = None"},{name:"expected_loss",val:" = None"},{name:"real_checkpoint",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/utils/doc.py#L1064"}}),Z=new $({props:{name:"transformers.utils.replace_return_docstrings",anchor:"transformers.utils.replace_return_docstrings",parameters:[{name:"output_type",val:" = None"},{name:"config_class",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/utils/doc.py#L1152"}}),ee=new we({}),te=new $({props:{name:"class transformers.utils.cached_property",anchor:"transformers.utils.cached_property",parameters:[{name:"fget",val:" = None"},{name:"fset",val:" = None"},{name:"fdel",val:" = None"},{name:"doc",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/utils/generic.py#L36"}}),re=new we({}),ae=new $({props:{name:"class transformers.utils._LazyModule",anchor:"transformers.utils._LazyModule",parameters:[{name:"name",val:""},{name:"module_file",val:""},{name:"import_structure",val:""},{name:"module_spec",val:" = None"},{name:"extra_objects",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/utils/import_utils.py#L1233"}}),{c(){b=r("meta"),Ee=i(),ve=r("p"),Ne=i(),y=r("h1"),S=r("a"),ge=r("span"),c(z.$$.fragment),Ze=i(),se=r("span"),se.textContent=ut,Ce=i(),V=r("p"),V.innerHTML=pt,Pe=i(),H=r("p"),H.textContent=ft,ke=i(),x=r("h2"),T=r("a"),_e=r("span"),c(q.$$.fragment),et=i(),ne=r("span"),ne.textContent=ht,Le=i(),w=r("div"),c(U.$$.fragment),tt=i(),oe=r("p"),oe.textContent=vt,Se=i(),E=r("div"),c(j.$$.fragment),rt=i(),le=r("p"),le.innerHTML=gt,Te=i(),N=r("div"),c(B.$$.fragment),at=i(),ie=r("p"),ie.innerHTML=_t,Ae=i(),C=r("h2"),A=r("a"),$e=r("span"),c(O.$$.fragment),st=i(),me=r("span"),me.textContent=$t,De=i(),G=r("div"),c(F.$$.fragment),Me=i(),J=r("div"),c(K.$$.fragment),Ie=i(),R=r("div"),c(Q.$$.fragment),ze=i(),W=r("div"),c(X.$$.fragment),Ve=i(),Y=r("div"),c(Z.$$.fragment),He=i(),P=r("h2"),D=r("a"),be=r("span"),c(ee.$$.fragment),nt=i(),de=r("span"),de.textContent=bt,qe=i(),_=r("div"),c(te.$$.fragment),ot=i(),ce=r("p"),ce.textContent=yt,lt=i(),ue=r("p"),ue.textContent=xt,it=i(),pe=r("p"),pe.textContent=wt,Ue=i(),k=r("h2"),M=r("a"),ye=r("span"),c(re.$$.fragment),mt=i(),fe=r("span"),fe.textContent=Et,je=i(),L=r("div"),c(ae.$$.fragment),dt=i(),he=r("p"),he.textContent=Nt,Be=i(),xe=r("p"),this.h()},l(e){const s=Jt("svelte-1phssyn",document.head);b=a(s,"META",{name:!0,content:!0}),s.forEach(t),Ee=m(e),ve=a(e,"P",{}),d(ve).forEach(t),Ne=m(e),y=a(e,"H1",{class:!0});var Ge=d(y);S=a(Ge,"A",{id:!0,class:!0,href:!0});var Ct=d(S);ge=a(Ct,"SPAN",{});var Pt=d(ge);u(z.$$.fragment,Pt),Pt.forEach(t),Ct.forEach(t),Ze=m(Ge),se=a(Ge,"SPAN",{"data-svelte-h":!0}),g(se)!=="svelte-m2h6zr"&&(se.textContent=ut),Ge.forEach(t),Ce=m(e),V=a(e,"P",{"data-svelte-h":!0}),g(V)!=="svelte-1d4d2gz"&&(V.innerHTML=pt),Pe=m(e),H=a(e,"P",{"data-svelte-h":!0}),g(H)!=="svelte-11r0tff"&&(H.textContent=ft),ke=m(e),x=a(e,"H2",{class:!0});var Fe=d(x);T=a(Fe,"A",{id:!0,class:!0,href:!0});var kt=d(T);_e=a(kt,"SPAN",{});var Lt=d(_e);u(q.$$.fragment,Lt),Lt.forEach(t),kt.forEach(t),et=m(Fe),ne=a(Fe,"SPAN",{"data-svelte-h":!0}),g(ne)!=="svelte-1w4w8ze"&&(ne.textContent=ht),Fe.forEach(t),Le=m(e),w=a(e,"DIV",{class:!0});var Je=d(w);u(U.$$.fragment,Je),tt=m(Je),oe=a(Je,"P",{"data-svelte-h":!0}),g(oe)!=="svelte-u4x3ci"&&(oe.textContent=vt),Je.forEach(t),Se=m(e),E=a(e,"DIV",{class:!0});var Ke=d(E);u(j.$$.fragment,Ke),rt=m(Ke),le=a(Ke,"P",{"data-svelte-h":!0}),g(le)!=="svelte-nsb4tk"&&(le.innerHTML=gt),Ke.forEach(t),Te=m(e),N=a(e,"DIV",{class:!0});var Re=d(N);u(B.$$.fragment,Re),at=m(Re),ie=a(Re,"P",{"data-svelte-h":!0}),g(ie)!=="svelte-18ug52y"&&(ie.innerHTML=_t),Re.forEach(t),Ae=m(e),C=a(e,"H2",{class:!0});var Qe=d(C);A=a(Qe,"A",{id:!0,class:!0,href:!0});var St=d(A);$e=a(St,"SPAN",{});var Tt=d($e);u(O.$$.fragment,Tt),Tt.forEach(t),St.forEach(t),st=m(Qe),me=a(Qe,"SPAN",{"data-svelte-h":!0}),g(me)!=="svelte-1gb66g4"&&(me.textContent=$t),Qe.forEach(t),De=m(e),G=a(e,"DIV",{class:!0});var At=d(G);u(F.$$.fragment,At),At.forEach(t),Me=m(e),J=a(e,"DIV",{class:!0});var Dt=d(J);u(K.$$.fragment,Dt),Dt.forEach(t),Ie=m(e),R=a(e,"DIV",{class:!0});var Mt=d(R);u(Q.$$.fragment,Mt),Mt.forEach(t),ze=m(e),W=a(e,"DIV",{class:!0});var It=d(W);u(X.$$.fragment,It),It.forEach(t),Ve=m(e),Y=a(e,"DIV",{class:!0});var zt=d(Y);u(Z.$$.fragment,zt),zt.forEach(t),He=m(e),P=a(e,"H2",{class:!0});var We=d(P);D=a(We,"A",{id:!0,class:!0,href:!0});var Vt=d(D);be=a(Vt,"SPAN",{});var Ht=d(be);u(ee.$$.fragment,Ht),Ht.forEach(t),Vt.forEach(t),nt=m(We),de=a(We,"SPAN",{"data-svelte-h":!0}),g(de)!=="svelte-1cym0yx"&&(de.textContent=bt),We.forEach(t),qe=m(e),_=a(e,"DIV",{class:!0});var I=d(_);u(te.$$.fragment,I),ot=m(I),ce=a(I,"P",{"data-svelte-h":!0}),g(ce)!=="svelte-4cuoeh"&&(ce.textContent=yt),lt=m(I),ue=a(I,"P",{"data-svelte-h":!0}),g(ue)!=="svelte-1mfkm3t"&&(ue.textContent=xt),it=m(I),pe=a(I,"P",{"data-svelte-h":!0}),g(pe)!=="svelte-1x2w0p5"&&(pe.textContent=wt),I.forEach(t),Ue=m(e),k=a(e,"H2",{class:!0});var Xe=d(k);M=a(Xe,"A",{id:!0,class:!0,href:!0});var qt=d(M);ye=a(qt,"SPAN",{});var Ut=d(ye);u(re.$$.fragment,Ut),Ut.forEach(t),qt.forEach(t),mt=m(Xe),fe=a(Xe,"SPAN",{"data-svelte-h":!0}),g(fe)!=="svelte-1brocpd"&&(fe.textContent=Et),Xe.forEach(t),je=m(e),L=a(e,"DIV",{class:!0});var Ye=d(L);u(ae.$$.fragment,Ye),dt=m(Ye),he=a(Ye,"P",{"data-svelte-h":!0}),g(he)!=="svelte-tjmjug"&&(he.textContent=Nt),Ye.forEach(t),Be=m(e),xe=a(e,"P",{}),d(xe).forEach(t),this.h()},h(){l(b,"name","hf:doc:metadata"),l(b,"content",JSON.stringify(Rt)),l(S,"id","general-utilities"),l(S,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(S,"href","#general-utilities"),l(y,"class","relative group"),l(T,"id","transformers.utils.ExplicitEnum"),l(T,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(T,"href","#transformers.utils.ExplicitEnum"),l(x,"class","relative group"),l(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(A,"id","transformers.add_start_docstrings"),l(A,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(A,"href","#transformers.add_start_docstrings"),l(C,"class","relative group"),l(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(D,"id","transformers.utils.cached_property"),l(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(D,"href","#transformers.utils.cached_property"),l(P,"class","relative group"),l(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(M,"id","transformers.utils._LazyModule"),l(M,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(M,"href","#transformers.utils._LazyModule"),l(k,"class","relative group"),l(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,s){o(document.head,b),n(e,Ee,s),n(e,ve,s),n(e,Ne,s),n(e,y,s),o(y,S),o(S,ge),p(z,ge,null),o(y,Ze),o(y,se),n(e,Ce,s),n(e,V,s),n(e,Pe,s),n(e,H,s),n(e,ke,s),n(e,x,s),o(x,T),o(T,_e),p(q,_e,null),o(x,et),o(x,ne),n(e,Le,s),n(e,w,s),p(U,w,null),o(w,tt),o(w,oe),n(e,Se,s),n(e,E,s),p(j,E,null),o(E,rt),o(E,le),n(e,Te,s),n(e,N,s),p(B,N,null),o(N,at),o(N,ie),n(e,Ae,s),n(e,C,s),o(C,A),o(A,$e),p(O,$e,null),o(C,st),o(C,me),n(e,De,s),n(e,G,s),p(F,G,null),n(e,Me,s),n(e,J,s),p(K,J,null),n(e,Ie,s),n(e,R,s),p(Q,R,null),n(e,ze,s),n(e,W,s),p(X,W,null),n(e,Ve,s),n(e,Y,s),p(Z,Y,null),n(e,He,s),n(e,P,s),o(P,D),o(D,be),p(ee,be,null),o(P,nt),o(P,de),n(e,qe,s),n(e,_,s),p(te,_,null),o(_,ot),o(_,ce),o(_,lt),o(_,ue),o(_,it),o(_,pe),n(e,Ue,s),n(e,k,s),o(k,M),o(M,ye),p(re,ye,null),o(k,mt),o(k,fe),n(e,je,s),n(e,L,s),p(ae,L,null),o(L,dt),o(L,he),n(e,Be,s),n(e,xe,s),Oe=!0},p:Bt,i(e){Oe||(f(z.$$.fragment,e),f(q.$$.fragment,e),f(U.$$.fragment,e),f(j.$$.fragment,e),f(B.$$.fragment,e),f(O.$$.fragment,e),f(F.$$.fragment,e),f(K.$$.fragment,e),f(Q.$$.fragment,e),f(X.$$.fragment,e),f(Z.$$.fragment,e),f(ee.$$.fragment,e),f(te.$$.fragment,e),f(re.$$.fragment,e),f(ae.$$.fragment,e),Oe=!0)},o(e){h(z.$$.fragment,e),h(q.$$.fragment,e),h(U.$$.fragment,e),h(j.$$.fragment,e),h(B.$$.fragment,e),h(O.$$.fragment,e),h(F.$$.fragment,e),h(K.$$.fragment,e),h(Q.$$.fragment,e),h(X.$$.fragment,e),h(Z.$$.fragment,e),h(ee.$$.fragment,e),h(te.$$.fragment,e),h(re.$$.fragment,e),h(ae.$$.fragment,e),Oe=!1},d(e){e&&(t(Ee),t(ve),t(Ne),t(y),t(Ce),t(V),t(Pe),t(H),t(ke),t(x),t(Le),t(w),t(Se),t(E),t(Te),t(N),t(Ae),t(C),t(De),t(G),t(Me),t(J),t(Ie),t(R),t(ze),t(W),t(Ve),t(Y),t(He),t(P),t(qe),t(_),t(Ue),t(k),t(je),t(L),t(Be),t(xe)),t(b),v(z),v(q),v(U),v(j),v(B),v(O),v(F),v(K),v(Q),v(X),v(Z),v(ee),v(te),v(re),v(ae)}}}const Rt={local:"general-utilities",sections:[{local:"transformers.utils.ExplicitEnum",title:"Enums and namedtuples"},{local:"transformers.add_start_docstrings",title:"Special Decorators"},{local:"transformers.utils.cached_property",title:"Special Properties"},{local:"transformers.utils._LazyModule",title:"Other Utilities"}],title:"General Utilities"};function Qt(ct){return Ot(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class er extends Gt{constructor(b){super(),Ft(this,b,Qt,Kt,jt,{})}}export{er as component};
