import{s as we,n as xe,o as _e}from"../chunks/scheduler.9bc65507.js";import{S as Le,i as Ce,g as o,s as l,u as ce,A as Se,h as r,f as t,c as s,j as d,v as ue,y as i,k as h,o as f,a as n,w as fe,d as ve,t as me,x as de}from"../chunks/index.78c82d43.js";import{I as ge}from"../chunks/IconCopyLink.bedaa44d.js";function ye(Q){let p,H,$,R,c,v,M,g,F,k,Y="XLS-R",X,u,m,E,w,G,P,D="Overview",V,x,Z=`The XLS-R model was proposed in <a href="https://arxiv.org/abs/2111.09296" rel="nofollow">XLS-R: Self-supervised Cross-lingual Speech Representation Learning at Scale</a> by Arun Babu, Changhan Wang, Andros Tjandra, Kushal Lakhotia, Qiantong Xu, Naman
Goyal, Kritika Singh, Patrick von Platen, Yatharth Saraf, Juan Pino, Alexei Baevski, Alexis Conneau, Michael Auli.`,W,_,ee="The abstract from the paper is the following:",B,L,te=`<em>This paper presents XLS-R, a large-scale model for cross-lingual speech representation learning based on wav2vec 2.0.
We train models with up to 2B parameters on nearly half a million hours of publicly available speech audio in 128
languages, an order of magnitude more public data than the largest known prior work. Our evaluation covers a wide range
of tasks, domains, data regimes and languages, both high and low-resource. On the CoVoST-2 speech translation
benchmark, we improve the previous state of the art by an average of 7.4 BLEU over 21 translation directions into
English. For speech recognition, XLS-R improves over the best known prior work on BABEL, MLS, CommonVoice as well as
VoxPopuli, lowering error rates by 14-34% relative on average. XLS-R also sets a new state of the art on VoxLingua107
language identification. Moreover, we show that with sufficient model size, cross-lingual pretraining can outperform
English-only pretraining when translating English speech into other languages, a setting which favors monolingual
pretraining. We hope XLS-R can help to improve speech processing tasks for many more languages of the world.</em>`,N,C,ae="Tips:",q,S,ne=`<li>XLS-R is a speech model that accepts a float array corresponding to the raw waveform of the speech signal.</li> <li>XLS-R model was trained using connectionist temporal classification (CTC) so the model output has to be decoded using
<a href="/docs/transformers/pr_21764/en/model_doc/wav2vec2#transformers.Wav2Vec2CTCTokenizer">Wav2Vec2CTCTokenizer</a>.</li>`,O,y,oe='Relevant checkpoints can be found under <a href="https://huggingface.co/models?other=xls_r" rel="nofollow">https://huggingface.co/models?other=xls_r</a>.',j,T,re='XLS-R’s architecture is based on the Wav2Vec2 model, so one can refer to <a href="wav2vec2">Wav2Vec2’s documentation page</a>.',z,b,le='The original code can be found <a href="https://github.com/pytorch/fairseq/tree/master/fairseq/models/wav2vec" rel="nofollow">here</a>.',U,A,I;return g=new ge({}),w=new ge({}),{c(){p=o("meta"),H=l(),$=o("p"),R=l(),c=o("h1"),v=o("a"),M=o("span"),ce(g.$$.fragment),F=l(),k=o("span"),k.textContent=Y,X=l(),u=o("h2"),m=o("a"),E=o("span"),ce(w.$$.fragment),G=l(),P=o("span"),P.textContent=D,V=l(),x=o("p"),x.innerHTML=Z,W=l(),_=o("p"),_.textContent=ee,B=l(),L=o("p"),L.innerHTML=te,N=l(),C=o("p"),C.textContent=ae,q=l(),S=o("ul"),S.innerHTML=ne,O=l(),y=o("p"),y.innerHTML=oe,j=l(),T=o("p"),T.innerHTML=re,z=l(),b=o("p"),b.innerHTML=le,U=l(),A=o("p"),this.h()},l(e){const a=Se("svelte-1phssyn",document.head);p=r(a,"META",{name:!0,content:!0}),a.forEach(t),H=s(e),$=r(e,"P",{}),d($).forEach(t),R=s(e),c=r(e,"H1",{class:!0});var J=d(c);v=r(J,"A",{id:!0,class:!0,href:!0});var se=d(v);M=r(se,"SPAN",{});var ie=d(M);ue(g.$$.fragment,ie),ie.forEach(t),se.forEach(t),F=s(J),k=r(J,"SPAN",{"data-svelte-h":!0}),i(k)!=="svelte-xlu39p"&&(k.textContent=Y),J.forEach(t),X=s(e),u=r(e,"H2",{class:!0});var K=d(u);m=r(K,"A",{id:!0,class:!0,href:!0});var he=d(m);E=r(he,"SPAN",{});var pe=d(E);ue(w.$$.fragment,pe),pe.forEach(t),he.forEach(t),G=s(K),P=r(K,"SPAN",{"data-svelte-h":!0}),i(P)!=="svelte-1jsw1pg"&&(P.textContent=D),K.forEach(t),V=s(e),x=r(e,"P",{"data-svelte-h":!0}),i(x)!=="svelte-1nyy59j"&&(x.innerHTML=Z),W=s(e),_=r(e,"P",{"data-svelte-h":!0}),i(_)!=="svelte-vfdo9a"&&(_.textContent=ee),B=s(e),L=r(e,"P",{"data-svelte-h":!0}),i(L)!=="svelte-ul075o"&&(L.innerHTML=te),N=s(e),C=r(e,"P",{"data-svelte-h":!0}),i(C)!=="svelte-axv494"&&(C.textContent=ae),q=s(e),S=r(e,"UL",{"data-svelte-h":!0}),i(S)!=="svelte-ubtqhq"&&(S.innerHTML=ne),O=s(e),y=r(e,"P",{"data-svelte-h":!0}),i(y)!=="svelte-p0mu8e"&&(y.innerHTML=oe),j=s(e),T=r(e,"P",{"data-svelte-h":!0}),i(T)!=="svelte-fxuwrw"&&(T.innerHTML=re),z=s(e),b=r(e,"P",{"data-svelte-h":!0}),i(b)!=="svelte-12gzw10"&&(b.innerHTML=le),U=s(e),A=r(e,"P",{}),d(A).forEach(t),this.h()},h(){h(p,"name","hf:doc:metadata"),h(p,"content",JSON.stringify(Te)),h(v,"id","xlsr"),h(v,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(v,"href","#xlsr"),h(c,"class","relative group"),h(m,"id","overview"),h(m,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(m,"href","#overview"),h(u,"class","relative group")},m(e,a){f(document.head,p),n(e,H,a),n(e,$,a),n(e,R,a),n(e,c,a),f(c,v),f(v,M),fe(g,M,null),f(c,F),f(c,k),n(e,X,a),n(e,u,a),f(u,m),f(m,E),fe(w,E,null),f(u,G),f(u,P),n(e,V,a),n(e,x,a),n(e,W,a),n(e,_,a),n(e,B,a),n(e,L,a),n(e,N,a),n(e,C,a),n(e,q,a),n(e,S,a),n(e,O,a),n(e,y,a),n(e,j,a),n(e,T,a),n(e,z,a),n(e,b,a),n(e,U,a),n(e,A,a),I=!0},p:xe,i(e){I||(ve(g.$$.fragment,e),ve(w.$$.fragment,e),I=!0)},o(e){me(g.$$.fragment,e),me(w.$$.fragment,e),I=!1},d(e){e&&(t(H),t($),t(R),t(c),t(X),t(u),t(V),t(x),t(W),t(_),t(B),t(L),t(N),t(C),t(q),t(S),t(O),t(y),t(j),t(T),t(z),t(b),t(U),t(A)),t(p),de(g),de(w)}}}const Te={local:"xlsr",sections:[{local:"overview",title:"Overview"}],title:"XLS-R"};function be(Q){return _e(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Me extends Le{constructor(p){super(),Ce(this,p,be,ye,we,{})}}export{Me as component};
