import{s as Dr,n as Cr,o as Fr}from"../chunks/scheduler.9bc65507.js";import{S as Er,i as Lr,g as a,s as o,u,A as Tr,h as n,f as r,c as s,j as m,v as h,y as d,k as l,o as t,a as p,w as f,d as g,t as v,x as _}from"../chunks/index.78c82d43.js";import{D as $}from"../chunks/Docstring.4e7352e2.js";import{I as vt}from"../chunks/IconCopyLink.bedaa44d.js";function kr(Qt){let D,Ne,Me,Je,C,A,Ie,U,_t,me,Rt="Utilities for pipelines",je,z,Bt="This page lists all the utility functions the library provides for pipelines.",Ue,Q,Zt="Most of those are only useful if you are studying the code of the models in the library.",ze,F,S,Oe,R,bt,de,Gt="Argument handling",Qe,E,B,$t,ce,Kt='Base interface for handling arguments for each <a href="/docs/transformers/pr_21764/en/main_classes/pipelines#transformers.Pipeline">Pipeline</a>.',Re,L,Z,xt,ue,Xt=`Handles arguments for zero-shot for text classification by turning each possible label into an NLI
premise/hypothesis pair.`,Be,P,G,Pt,he,Yt=`QuestionAnsweringPipeline requires the user to provide multiple arguments (i.e. question &amp; context) to be mapped to
internal <code>SquadExample</code>.`,yt,fe,er=`QuestionAnsweringArgumentHandler manages all the possible to create a <code>SquadExample</code> from the command-line
supplied arguments.`,Ze,T,M,Ve,K,wt,ge,tr="Data format",Ge,c,X,Dt,ve,rr=`Base class for all the pipeline supported data format both for reading and writing. Supported data formats
currently includes:`,Ct,_e,ar="<li>JSON</li> <li>CSV</li> <li>stdin/stdout (pipe)</li>",Ft,be,nr=`<code>PipelineDataFormat</code> also includes some utilities to work with multi-columns like mapping from datasets columns to
pipelines keyword arguments through the <code>dataset_kwarg_1=dataset_column_1</code> format.`,Et,I,Y,Lt,$e,or='Creates an instance of the right subclass of <a href="/docs/transformers/pr_21764/en/internal/pipelines_utils#transformers.PipelineDataFormat">PipelineDataFormat</a> depending on <code>format</code>.',Tt,O,ee,kt,xe,sr='Save the provided data object with the representation for the current <a href="/docs/transformers/pr_21764/en/internal/pipelines_utils#transformers.PipelineDataFormat">PipelineDataFormat</a>.',Ht,V,te,At,Pe,ir="Save the provided data object as a pickle-formatted binary data on the disk.",Ke,y,re,St,ye,lr="Support for pipelines using CSV data format.",Mt,W,ae,It,we,pr='Save the provided data object with the representation for the current <a href="/docs/transformers/pr_21764/en/internal/pipelines_utils#transformers.PipelineDataFormat">PipelineDataFormat</a>.',Xe,w,ne,Ot,De,mr="Support for pipelines using JSON file format.",Vt,q,oe,Wt,Ce,dr="Save the provided data object in a json file.",Ye,x,se,qt,Fe,cr="Read data from piped input to the python process. For multi columns data, columns should separated by",Nt,Ee,ur="If columns are provided, then the output will be a dictionary with {column_x: value_x}",Jt,N,ie,jt,Le,hr="Print the data.",et,k,J,We,le,Ut,Te,fr="Utilities",tt,H,pe,zt,ke,gr='Raised by a <a href="/docs/transformers/pr_21764/en/main_classes/pipelines#transformers.Pipeline">Pipeline</a> when handling <strong>call</strong>.',rt,qe,at;return U=new vt({}),R=new vt({}),B=new $({props:{name:"class transformers.pipelines.ArgumentHandler",anchor:"transformers.pipelines.ArgumentHandler",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/pipelines/base.py#L425"}}),Z=new $({props:{name:"class transformers.pipelines.ZeroShotClassificationArgumentHandler",anchor:"transformers.pipelines.ZeroShotClassificationArgumentHandler",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/pipelines/zero_shot_classification.py#L14"}}),G=new $({props:{name:"class transformers.pipelines.QuestionAnsweringArgumentHandler",anchor:"transformers.pipelines.QuestionAnsweringArgumentHandler",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/pipelines/question_answering.py#L150"}}),K=new vt({}),X=new $({props:{name:"class transformers.PipelineDataFormat",anchor:"transformers.PipelineDataFormat",parameters:[{name:"output_path",val:": typing.Optional[str]"},{name:"input_path",val:": typing.Optional[str]"},{name:"column",val:": typing.Optional[str]"},{name:"overwrite",val:": bool = False"}],parametersDescription:[{anchor:"transformers.PipelineDataFormat.output_path",description:"<strong>output_path</strong> (<code>str</code>, <em>optional</em>) &#x2014; Where to save the outgoing data.",name:"output_path"},{anchor:"transformers.PipelineDataFormat.input_path",description:"<strong>input_path</strong> (<code>str</code>, <em>optional</em>) &#x2014; Where to look for the input data.",name:"input_path"},{anchor:"transformers.PipelineDataFormat.column",description:"<strong>column</strong> (<code>str</code>, <em>optional</em>) &#x2014; The column to read.",name:"column"},{anchor:"transformers.PipelineDataFormat.overwrite",description:`<strong>overwrite</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to overwrite the <code>output_path</code>.`,name:"overwrite"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/pipelines/base.py#L435"}}),Y=new $({props:{name:"from_str",anchor:"transformers.PipelineDataFormat.from_str",parameters:[{name:"format",val:": str"},{name:"output_path",val:": typing.Optional[str]"},{name:"input_path",val:": typing.Optional[str]"},{name:"column",val:": typing.Optional[str]"},{name:"overwrite",val:" = False"}],parametersDescription:[{anchor:"transformers.PipelineDataFormat.from_str.format",description:`<strong>format</strong> (<code>str</code>) &#x2014;
The format of the desired pipeline. Acceptable values are <code>&quot;json&quot;</code>, <code>&quot;csv&quot;</code> or <code>&quot;pipe&quot;</code>.`,name:"format"},{anchor:"transformers.PipelineDataFormat.from_str.output_path",description:`<strong>output_path</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Where to save the outgoing data.`,name:"output_path"},{anchor:"transformers.PipelineDataFormat.from_str.input_path",description:`<strong>input_path</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Where to look for the input data.`,name:"input_path"},{anchor:"transformers.PipelineDataFormat.from_str.column",description:`<strong>column</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The column to read.`,name:"column"},{anchor:"transformers.PipelineDataFormat.from_str.overwrite",description:`<strong>overwrite</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to overwrite the <code>output_path</code>.`,name:"overwrite"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/pipelines/base.py#L512",returnDescription:`
<p>The proper data format.</p>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21764/en/internal/pipelines_utils#transformers.PipelineDataFormat"
>PipelineDataFormat</a></p>
`}}),ee=new $({props:{name:"save",anchor:"transformers.PipelineDataFormat.save",parameters:[{name:"data",val:": typing.Union[dict, typing.List[dict]]"}],parametersDescription:[{anchor:"transformers.PipelineDataFormat.save.data",description:"<strong>data</strong> (<code>dict</code> or list of <code>dict</code>) &#x2014; The data to store.",name:"data"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/pipelines/base.py#L484"}}),te=new $({props:{name:"save_binary",anchor:"transformers.PipelineDataFormat.save_binary",parameters:[{name:"data",val:": typing.Union[dict, typing.List[dict]]"}],parametersDescription:[{anchor:"transformers.PipelineDataFormat.save_binary.data",description:"<strong>data</strong> (<code>dict</code> or list of <code>dict</code>) &#x2014; The data to store.",name:"data"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/pipelines/base.py#L494",returnDescription:`
<p>Path where the data has been saved.</p>
`,returnType:`
<p><code>str</code></p>
`}}),re=new $({props:{name:"class transformers.CsvPipelineDataFormat",anchor:"transformers.CsvPipelineDataFormat",parameters:[{name:"output_path",val:": typing.Optional[str]"},{name:"input_path",val:": typing.Optional[str]"},{name:"column",val:": typing.Optional[str]"},{name:"overwrite",val:" = False"}],parametersDescription:[{anchor:"transformers.CsvPipelineDataFormat.output_path",description:"<strong>output_path</strong> (<code>str</code>, <em>optional</em>) &#x2014; Where to save the outgoing data.",name:"output_path"},{anchor:"transformers.CsvPipelineDataFormat.input_path",description:"<strong>input_path</strong> (<code>str</code>, <em>optional</em>) &#x2014; Where to look for the input data.",name:"input_path"},{anchor:"transformers.CsvPipelineDataFormat.column",description:"<strong>column</strong> (<code>str</code>, <em>optional</em>) &#x2014; The column to read.",name:"column"},{anchor:"transformers.CsvPipelineDataFormat.overwrite",description:`<strong>overwrite</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to overwrite the <code>output_path</code>.`,name:"overwrite"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/pipelines/base.py#L548"}}),ae=new $({props:{name:"save",anchor:"transformers.CsvPipelineDataFormat.save",parameters:[{name:"data",val:": typing.List[dict]"}],parametersDescription:[{anchor:"transformers.CsvPipelineDataFormat.save.data",description:"<strong>data</strong> (<code>List[dict]</code>) &#x2014; The data to store.",name:"data"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/pipelines/base.py#L578"}}),ne=new $({props:{name:"class transformers.JsonPipelineDataFormat",anchor:"transformers.JsonPipelineDataFormat",parameters:[{name:"output_path",val:": typing.Optional[str]"},{name:"input_path",val:": typing.Optional[str]"},{name:"column",val:": typing.Optional[str]"},{name:"overwrite",val:" = False"}],parametersDescription:[{anchor:"transformers.JsonPipelineDataFormat.output_path",description:"<strong>output_path</strong> (<code>str</code>, <em>optional</em>) &#x2014; Where to save the outgoing data.",name:"output_path"},{anchor:"transformers.JsonPipelineDataFormat.input_path",description:"<strong>input_path</strong> (<code>str</code>, <em>optional</em>) &#x2014; Where to look for the input data.",name:"input_path"},{anchor:"transformers.JsonPipelineDataFormat.column",description:"<strong>column</strong> (<code>str</code>, <em>optional</em>) &#x2014; The column to read.",name:"column"},{anchor:"transformers.JsonPipelineDataFormat.overwrite",description:`<strong>overwrite</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to overwrite the <code>output_path</code>.`,name:"overwrite"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/pipelines/base.py#L592"}}),oe=new $({props:{name:"save",anchor:"transformers.JsonPipelineDataFormat.save",parameters:[{name:"data",val:": dict"}],parametersDescription:[{anchor:"transformers.JsonPipelineDataFormat.save.data",description:"<strong>data</strong> (<code>dict</code>) &#x2014; The data to store.",name:"data"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/pipelines/base.py#L623"}}),se=new $({props:{name:"class transformers.PipedPipelineDataFormat",anchor:"transformers.PipedPipelineDataFormat",parameters:[{name:"output_path",val:": typing.Optional[str]"},{name:"input_path",val:": typing.Optional[str]"},{name:"column",val:": typing.Optional[str]"},{name:"overwrite",val:": bool = False"}],parametersDescription:[{anchor:"transformers.PipedPipelineDataFormat.output_path",description:"<strong>output_path</strong> (<code>str</code>, <em>optional</em>) &#x2014; Where to save the outgoing data.",name:"output_path"},{anchor:"transformers.PipedPipelineDataFormat.input_path",description:"<strong>input_path</strong> (<code>str</code>, <em>optional</em>) &#x2014; Where to look for the input data.",name:"input_path"},{anchor:"transformers.PipedPipelineDataFormat.column",description:"<strong>column</strong> (<code>str</code>, <em>optional</em>) &#x2014; The column to read.",name:"column"},{anchor:"transformers.PipedPipelineDataFormat.overwrite",description:`<strong>overwrite</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to overwrite the <code>output_path</code>.`,name:"overwrite"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/pipelines/base.py#L634"}}),ie=new $({props:{name:"save",anchor:"transformers.PipedPipelineDataFormat.save",parameters:[{name:"data",val:": dict"}],parametersDescription:[{anchor:"transformers.PipedPipelineDataFormat.save.data",description:"<strong>data</strong> (<code>dict</code>) &#x2014; The data to store.",name:"data"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/pipelines/base.py#L663"}}),le=new vt({}),pe=new $({props:{name:"class transformers.pipelines.PipelineException",anchor:"transformers.pipelines.PipelineException",parameters:[{name:"task",val:": str"},{name:"model",val:": str"},{name:"reason",val:": str"}],parametersDescription:[{anchor:"transformers.pipelines.PipelineException.task",description:"<strong>task</strong> (<code>str</code>) &#x2014; The task of the pipeline.",name:"task"},{anchor:"transformers.pipelines.PipelineException.model",description:"<strong>model</strong> (<code>str</code>) &#x2014; The model used by the pipeline.",name:"model"},{anchor:"transformers.pipelines.PipelineException.reason",description:"<strong>reason</strong> (<code>str</code>) &#x2014; The error message to display.",name:"reason"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/pipelines/base.py#L408"}}),{c(){D=a("meta"),Ne=o(),Me=a("p"),Je=o(),C=a("h1"),A=a("a"),Ie=a("span"),u(U.$$.fragment),_t=o(),me=a("span"),me.textContent=Rt,je=o(),z=a("p"),z.textContent=Bt,Ue=o(),Q=a("p"),Q.textContent=Zt,ze=o(),F=a("h2"),S=a("a"),Oe=a("span"),u(R.$$.fragment),bt=o(),de=a("span"),de.textContent=Gt,Qe=o(),E=a("div"),u(B.$$.fragment),$t=o(),ce=a("p"),ce.innerHTML=Kt,Re=o(),L=a("div"),u(Z.$$.fragment),xt=o(),ue=a("p"),ue.textContent=Xt,Be=o(),P=a("div"),u(G.$$.fragment),Pt=o(),he=a("p"),he.innerHTML=Yt,yt=o(),fe=a("p"),fe.innerHTML=er,Ze=o(),T=a("h2"),M=a("a"),Ve=a("span"),u(K.$$.fragment),wt=o(),ge=a("span"),ge.textContent=tr,Ge=o(),c=a("div"),u(X.$$.fragment),Dt=o(),ve=a("p"),ve.textContent=rr,Ct=o(),_e=a("ul"),_e.innerHTML=ar,Ft=o(),be=a("p"),be.innerHTML=nr,Et=o(),I=a("div"),u(Y.$$.fragment),Lt=o(),$e=a("p"),$e.innerHTML=or,Tt=o(),O=a("div"),u(ee.$$.fragment),kt=o(),xe=a("p"),xe.innerHTML=sr,Ht=o(),V=a("div"),u(te.$$.fragment),At=o(),Pe=a("p"),Pe.textContent=ir,Ke=o(),y=a("div"),u(re.$$.fragment),St=o(),ye=a("p"),ye.textContent=lr,Mt=o(),W=a("div"),u(ae.$$.fragment),It=o(),we=a("p"),we.innerHTML=pr,Xe=o(),w=a("div"),u(ne.$$.fragment),Ot=o(),De=a("p"),De.textContent=mr,Vt=o(),q=a("div"),u(oe.$$.fragment),Wt=o(),Ce=a("p"),Ce.textContent=dr,Ye=o(),x=a("div"),u(se.$$.fragment),qt=o(),Fe=a("p"),Fe.textContent=cr,Nt=o(),Ee=a("p"),Ee.textContent=ur,Jt=o(),N=a("div"),u(ie.$$.fragment),jt=o(),Le=a("p"),Le.textContent=hr,et=o(),k=a("h2"),J=a("a"),We=a("span"),u(le.$$.fragment),Ut=o(),Te=a("span"),Te.textContent=fr,tt=o(),H=a("div"),u(pe.$$.fragment),zt=o(),ke=a("p"),ke.innerHTML=gr,rt=o(),qe=a("p"),this.h()},l(e){const i=Tr("svelte-1phssyn",document.head);D=n(i,"META",{name:!0,content:!0}),i.forEach(r),Ne=s(e),Me=n(e,"P",{}),m(Me).forEach(r),Je=s(e),C=n(e,"H1",{class:!0});var nt=m(C);A=n(nt,"A",{id:!0,class:!0,href:!0});var vr=m(A);Ie=n(vr,"SPAN",{});var _r=m(Ie);h(U.$$.fragment,_r),_r.forEach(r),vr.forEach(r),_t=s(nt),me=n(nt,"SPAN",{"data-svelte-h":!0}),d(me)!=="svelte-1t7uu8r"&&(me.textContent=Rt),nt.forEach(r),je=s(e),z=n(e,"P",{"data-svelte-h":!0}),d(z)!=="svelte-wr9t4b"&&(z.textContent=Bt),Ue=s(e),Q=n(e,"P",{"data-svelte-h":!0}),d(Q)!=="svelte-1ui7w53"&&(Q.textContent=Zt),ze=s(e),F=n(e,"H2",{class:!0});var ot=m(F);S=n(ot,"A",{id:!0,class:!0,href:!0});var br=m(S);Oe=n(br,"SPAN",{});var $r=m(Oe);h(R.$$.fragment,$r),$r.forEach(r),br.forEach(r),bt=s(ot),de=n(ot,"SPAN",{"data-svelte-h":!0}),d(de)!=="svelte-1ipmwff"&&(de.textContent=Gt),ot.forEach(r),Qe=s(e),E=n(e,"DIV",{class:!0});var st=m(E);h(B.$$.fragment,st),$t=s(st),ce=n(st,"P",{"data-svelte-h":!0}),d(ce)!=="svelte-ewcmze"&&(ce.innerHTML=Kt),st.forEach(r),Re=s(e),L=n(e,"DIV",{class:!0});var it=m(L);h(Z.$$.fragment,it),xt=s(it),ue=n(it,"P",{"data-svelte-h":!0}),d(ue)!=="svelte-1hjf3sf"&&(ue.textContent=Xt),it.forEach(r),Be=s(e),P=n(e,"DIV",{class:!0});var He=m(P);h(G.$$.fragment,He),Pt=s(He),he=n(He,"P",{"data-svelte-h":!0}),d(he)!=="svelte-12i18ng"&&(he.innerHTML=Yt),yt=s(He),fe=n(He,"P",{"data-svelte-h":!0}),d(fe)!=="svelte-z2nze2"&&(fe.innerHTML=er),He.forEach(r),Ze=s(e),T=n(e,"H2",{class:!0});var lt=m(T);M=n(lt,"A",{id:!0,class:!0,href:!0});var xr=m(M);Ve=n(xr,"SPAN",{});var Pr=m(Ve);h(K.$$.fragment,Pr),Pr.forEach(r),xr.forEach(r),wt=s(lt),ge=n(lt,"SPAN",{"data-svelte-h":!0}),d(ge)!=="svelte-1fbhbgg"&&(ge.textContent=tr),lt.forEach(r),Ge=s(e),c=n(e,"DIV",{class:!0});var b=m(c);h(X.$$.fragment,b),Dt=s(b),ve=n(b,"P",{"data-svelte-h":!0}),d(ve)!=="svelte-1mb1edh"&&(ve.textContent=rr),Ct=s(b),_e=n(b,"UL",{"data-svelte-h":!0}),d(_e)!=="svelte-1uf4n4e"&&(_e.innerHTML=ar),Ft=s(b),be=n(b,"P",{"data-svelte-h":!0}),d(be)!=="svelte-u9lis0"&&(be.innerHTML=nr),Et=s(b),I=n(b,"DIV",{class:!0});var pt=m(I);h(Y.$$.fragment,pt),Lt=s(pt),$e=n(pt,"P",{"data-svelte-h":!0}),d($e)!=="svelte-k5x6ga"&&($e.innerHTML=or),pt.forEach(r),Tt=s(b),O=n(b,"DIV",{class:!0});var mt=m(O);h(ee.$$.fragment,mt),kt=s(mt),xe=n(mt,"P",{"data-svelte-h":!0}),d(xe)!=="svelte-1gmplgi"&&(xe.innerHTML=sr),mt.forEach(r),Ht=s(b),V=n(b,"DIV",{class:!0});var dt=m(V);h(te.$$.fragment,dt),At=s(dt),Pe=n(dt,"P",{"data-svelte-h":!0}),d(Pe)!=="svelte-i36752"&&(Pe.textContent=ir),dt.forEach(r),b.forEach(r),Ke=s(e),y=n(e,"DIV",{class:!0});var Ae=m(y);h(re.$$.fragment,Ae),St=s(Ae),ye=n(Ae,"P",{"data-svelte-h":!0}),d(ye)!=="svelte-jm6p0u"&&(ye.textContent=lr),Mt=s(Ae),W=n(Ae,"DIV",{class:!0});var ct=m(W);h(ae.$$.fragment,ct),It=s(ct),we=n(ct,"P",{"data-svelte-h":!0}),d(we)!=="svelte-1gmplgi"&&(we.innerHTML=pr),ct.forEach(r),Ae.forEach(r),Xe=s(e),w=n(e,"DIV",{class:!0});var Se=m(w);h(ne.$$.fragment,Se),Ot=s(Se),De=n(Se,"P",{"data-svelte-h":!0}),d(De)!=="svelte-jpmp8k"&&(De.textContent=mr),Vt=s(Se),q=n(Se,"DIV",{class:!0});var ut=m(q);h(oe.$$.fragment,ut),Wt=s(ut),Ce=n(ut,"P",{"data-svelte-h":!0}),d(Ce)!=="svelte-1ly8fsk"&&(Ce.textContent=dr),ut.forEach(r),Se.forEach(r),Ye=s(e),x=n(e,"DIV",{class:!0});var j=m(x);h(se.$$.fragment,j),qt=s(j),Fe=n(j,"P",{"data-svelte-h":!0}),d(Fe)!=="svelte-vxtild"&&(Fe.textContent=cr),Nt=s(j),Ee=n(j,"P",{"data-svelte-h":!0}),d(Ee)!=="svelte-83moxo"&&(Ee.textContent=ur),Jt=s(j),N=n(j,"DIV",{class:!0});var ht=m(N);h(ie.$$.fragment,ht),jt=s(ht),Le=n(ht,"P",{"data-svelte-h":!0}),d(Le)!=="svelte-v6konq"&&(Le.textContent=hr),ht.forEach(r),j.forEach(r),et=s(e),k=n(e,"H2",{class:!0});var ft=m(k);J=n(ft,"A",{id:!0,class:!0,href:!0});var yr=m(J);We=n(yr,"SPAN",{});var wr=m(We);h(le.$$.fragment,wr),wr.forEach(r),yr.forEach(r),Ut=s(ft),Te=n(ft,"SPAN",{"data-svelte-h":!0}),d(Te)!=="svelte-z6eyrf"&&(Te.textContent=fr),ft.forEach(r),tt=s(e),H=n(e,"DIV",{class:!0});var gt=m(H);h(pe.$$.fragment,gt),zt=s(gt),ke=n(gt,"P",{"data-svelte-h":!0}),d(ke)!=="svelte-1a5oo1y"&&(ke.innerHTML=gr),gt.forEach(r),rt=s(e),qe=n(e,"P",{}),m(qe).forEach(r),this.h()},h(){l(D,"name","hf:doc:metadata"),l(D,"content",JSON.stringify(Hr)),l(A,"id","utilities-for-pipelines"),l(A,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(A,"href","#utilities-for-pipelines"),l(C,"class","relative group"),l(S,"id","transformers.pipelines.ArgumentHandler"),l(S,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(S,"href","#transformers.pipelines.ArgumentHandler"),l(F,"class","relative group"),l(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(M,"id","transformers.PipelineDataFormat"),l(M,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(M,"href","#transformers.PipelineDataFormat"),l(T,"class","relative group"),l(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(c,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(J,"id","transformers.pipelines.PipelineException"),l(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(J,"href","#transformers.pipelines.PipelineException"),l(k,"class","relative group"),l(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,i){t(document.head,D),p(e,Ne,i),p(e,Me,i),p(e,Je,i),p(e,C,i),t(C,A),t(A,Ie),f(U,Ie,null),t(C,_t),t(C,me),p(e,je,i),p(e,z,i),p(e,Ue,i),p(e,Q,i),p(e,ze,i),p(e,F,i),t(F,S),t(S,Oe),f(R,Oe,null),t(F,bt),t(F,de),p(e,Qe,i),p(e,E,i),f(B,E,null),t(E,$t),t(E,ce),p(e,Re,i),p(e,L,i),f(Z,L,null),t(L,xt),t(L,ue),p(e,Be,i),p(e,P,i),f(G,P,null),t(P,Pt),t(P,he),t(P,yt),t(P,fe),p(e,Ze,i),p(e,T,i),t(T,M),t(M,Ve),f(K,Ve,null),t(T,wt),t(T,ge),p(e,Ge,i),p(e,c,i),f(X,c,null),t(c,Dt),t(c,ve),t(c,Ct),t(c,_e),t(c,Ft),t(c,be),t(c,Et),t(c,I),f(Y,I,null),t(I,Lt),t(I,$e),t(c,Tt),t(c,O),f(ee,O,null),t(O,kt),t(O,xe),t(c,Ht),t(c,V),f(te,V,null),t(V,At),t(V,Pe),p(e,Ke,i),p(e,y,i),f(re,y,null),t(y,St),t(y,ye),t(y,Mt),t(y,W),f(ae,W,null),t(W,It),t(W,we),p(e,Xe,i),p(e,w,i),f(ne,w,null),t(w,Ot),t(w,De),t(w,Vt),t(w,q),f(oe,q,null),t(q,Wt),t(q,Ce),p(e,Ye,i),p(e,x,i),f(se,x,null),t(x,qt),t(x,Fe),t(x,Nt),t(x,Ee),t(x,Jt),t(x,N),f(ie,N,null),t(N,jt),t(N,Le),p(e,et,i),p(e,k,i),t(k,J),t(J,We),f(le,We,null),t(k,Ut),t(k,Te),p(e,tt,i),p(e,H,i),f(pe,H,null),t(H,zt),t(H,ke),p(e,rt,i),p(e,qe,i),at=!0},p:Cr,i(e){at||(g(U.$$.fragment,e),g(R.$$.fragment,e),g(B.$$.fragment,e),g(Z.$$.fragment,e),g(G.$$.fragment,e),g(K.$$.fragment,e),g(X.$$.fragment,e),g(Y.$$.fragment,e),g(ee.$$.fragment,e),g(te.$$.fragment,e),g(re.$$.fragment,e),g(ae.$$.fragment,e),g(ne.$$.fragment,e),g(oe.$$.fragment,e),g(se.$$.fragment,e),g(ie.$$.fragment,e),g(le.$$.fragment,e),g(pe.$$.fragment,e),at=!0)},o(e){v(U.$$.fragment,e),v(R.$$.fragment,e),v(B.$$.fragment,e),v(Z.$$.fragment,e),v(G.$$.fragment,e),v(K.$$.fragment,e),v(X.$$.fragment,e),v(Y.$$.fragment,e),v(ee.$$.fragment,e),v(te.$$.fragment,e),v(re.$$.fragment,e),v(ae.$$.fragment,e),v(ne.$$.fragment,e),v(oe.$$.fragment,e),v(se.$$.fragment,e),v(ie.$$.fragment,e),v(le.$$.fragment,e),v(pe.$$.fragment,e),at=!1},d(e){e&&(r(Ne),r(Me),r(Je),r(C),r(je),r(z),r(Ue),r(Q),r(ze),r(F),r(Qe),r(E),r(Re),r(L),r(Be),r(P),r(Ze),r(T),r(Ge),r(c),r(Ke),r(y),r(Xe),r(w),r(Ye),r(x),r(et),r(k),r(tt),r(H),r(rt),r(qe)),r(D),_(U),_(R),_(B),_(Z),_(G),_(K),_(X),_(Y),_(ee),_(te),_(re),_(ae),_(ne),_(oe),_(se),_(ie),_(le),_(pe)}}}const Hr={local:"utilities-for-pipelines",sections:[{local:"transformers.pipelines.ArgumentHandler",title:"Argument handling"},{local:"transformers.PipelineDataFormat",title:"Data format"},{local:"transformers.pipelines.PipelineException",title:"Utilities"}],title:"Utilities for pipelines"};function Ar(Qt){return Fr(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Vr extends Er{constructor(D){super(),Lr(this,D,Ar,kr,Dr,{})}}export{Vr as component};
