import{s as xo,o as $o,n as ko}from"../chunks/scheduler.9bc65507.js";import{S as Co,i as yo,g as r,s as n,u as c,A as wo,h as o,f as a,c as l,j as d,v as h,y as p,k as s,o as t,a as m,w as f,d as g,t as u,x as _}from"../chunks/index.78c82d43.js";import{T as bo}from"../chunks/Tip.87d55b76.js";import{D as C}from"../chunks/Docstring.4e7352e2.js";import{I as K}from"../chunks/IconCopyLink.bedaa44d.js";function Do(Ue){let v,S=`For best performance, this data collator should be used with a dataset having items that are dictionaries or
BatchEncoding, with the <code>&quot;special_tokens_mask&quot;</code> key, as returned by a <a href="/docs/transformers/pr_21764/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or a
<a href="/docs/transformers/pr_21764/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a> with the argument <code>return_special_tokens_mask=True</code>.`;return{c(){v=r("p"),v.innerHTML=S},l(k){v=o(k,"P",{"data-svelte-h":!0}),p(v)!=="svelte-k48yku"&&(v.innerHTML=S)},m(k,R){m(k,v,R)},p:ko,d(k){k&&a(v)}}}function To(Ue){let v,S=`This collator relies on details of the implementation of subword tokenization by <a href="/docs/transformers/pr_21764/en/model_doc/bert#transformers.BertTokenizer">BertTokenizer</a>, specifically
that subword tokens are prefixed with <em>##</em>. For tokenizers that do not adhere to this scheme, this collator will
produce an output that is roughly equivalent to <code>.DataCollatorForLanguageModeling</code>.`;return{c(){v=r("p"),v.innerHTML=S},l(k){v=o(k,"P",{"data-svelte-h":!0}),p(v)!=="svelte-8sd6bl"&&(v.innerHTML=S)},m(k,R){m(k,v,R)},p:ko,d(k){k&&a(v)}}}function Po(Ue){let v,S,k,R,z,J,Pt,ce,Ca,Ke,ur="Data Collator",Ht,he,_r=`Data collators are objects that will form a batch by using a list of dataset elements as input. These elements are of
the same type as the elements of <code>train_dataset</code> or <code>eval_dataset</code>.`,Wt,fe,vr=`To be able to build batches, data collators may apply some processing (like padding). Some of them (like
<a href="/docs/transformers/pr_21764/en/main_classes/data_collator#transformers.DataCollatorForLanguageModeling">DataCollatorForLanguageModeling</a>) also apply some random data augmentation (like random masking)
on the formed batch.`,Vt,ge,br='Examples of use can be found in the <a href="../examples">example scripts</a> or <a href="../notebooks">example notebooks</a>.',jt,A,X,St,ue,ya,Re,kr="Default data collator",Ot,D,_e,wa,Je,xr=`Very simple data collator that simply collates batches of dict-like objects and performs special handling for
potential keys named:`,Da,Xe,$r="<li><code>label</code>: handles a single value (int or float) per object</li> <li><code>label_ids</code>: handles a list of values per object</li>",Ta,Ge,Cr=`Does not do any additional preprocessing: property names of the input object will be used as corresponding inputs
to the model. See glue and ner for example of how it’s useful.`,Bt,E,G,Ft,ve,Pa,Qe,yr="DefaultDataCollator",Ut,y,be,Sa,Ye,wr=`Very simple data collator that simply collates batches of dict-like objects and performs special handling for
potential keys named:`,Fa,Ze,Dr="<li><code>label</code>: handles a single value (int or float) per object</li> <li><code>label_ids</code>: handles a list of values per object</li>",La,et,Tr=`Does not do any additional preprocessing: property names of the input object will be used as corresponding inputs
to the model. See glue and ner for example of how it’s useful.`,Ma,tt,Pr=`This is an object (like other data collators) rather than a pure function like default_data_collator. This can be
helpful if you need to set a return_tensors value at initialization.`,Kt,N,Q,Lt,ke,qa,at,Sr="DataCollatorWithPadding",Rt,I,xe,za,rt,Fr="Data collator that will dynamically pad the inputs received.",Jt,H,Y,Mt,$e,Aa,ot,Lr="DataCollatorForTokenClassification",Xt,W,Ce,Ea,nt,Mr="Data collator that will dynamically pad the inputs received, as well as the labels.",Gt,V,Z,qt,ye,Na,lt,qr="DataCollatorForSeq2Seq",Qt,j,we,Ia,st,zr="Data collator that will dynamically pad the inputs received, as well as the labels.",Yt,O,ee,zt,De,Ha,it,Ar="DataCollatorForLanguageModeling",Zt,x,Te,Wa,dt,Er=`Data collator used for language modeling. Inputs are dynamically padded to the maximum length of a batch if they
are not all of the same length.`,Va,te,ja,ae,Pe,Oa,mt,Nr="Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original.",Ba,re,Se,Ua,pt,Ir="Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original.",Ka,oe,Fe,Ra,ct,Hr="Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original.",ea,B,ne,At,Le,Ja,ht,Wr="DataCollatorForWholeWordMask",ta,b,Me,Xa,ft,Vr="Data collator used for language modeling that masks entire words.",Ga,gt,jr="<li>collates batches of tensors, honoring their tokenizer’s pad_token</li> <li>preprocesses batches for masked language modeling</li>",Qa,le,Ya,se,qe,Za,ut,Or=`Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original. Set
‘mask_labels’ means we use whole word mask (wwm), we directly mask idxs according to it’s ref.`,er,ie,ze,tr,_t,Br=`Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original. Set
‘mask_labels’ means we use whole word mask (wwm), we directly mask idxs according to it’s ref.`,ar,de,Ae,rr,vt,Ur=`Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original. Set
‘mask_labels’ means we use whole word mask (wwm), we directly mask idxs according to it’s ref.`,aa,U,me,Et,Ee,or,bt,Kr="DataCollatorForPermutationLanguageModeling",ra,$,Ne,nr,kt,Rr="Data collator used for permutation language modeling.",lr,xt,Jr="<li>collates batches of tensors, honoring their tokenizer’s pad_token</li> <li>preprocesses batches for permutation language modeling with procedures specific to XLNet</li>",sr,F,Ie,ir,$t,Xr="The masked tokens to be predicted for a particular sequence are determined by the following algorithm:",dr,He,Gr=`<li>Start from the beginning of the sequence by setting <code>cur_len = 0</code> (number of tokens processed so far).</li> <li>Sample a <code>span_length</code> from the interval <code>[1, max_span_length]</code> (length of span of tokens to be masked)</li> <li>Reserve a context of length <code>context_length = span_length / plm_probability</code> to surround span to be
masked</li> <li>Sample a starting point <code>start_index</code> from the interval <code>[cur_len, cur_len + context_length - span_length]</code> and mask tokens <code>start_index:start_index + span_length</code></li> <li>Set <code>cur_len = cur_len + context_length</code>. If <code>cur_len &lt; max_len</code> (i.e. there are tokens remaining in the
sequence to be processed), repeat from Step 1.</li>`,mr,L,We,pr,Ct,Qr="The masked tokens to be predicted for a particular sequence are determined by the following algorithm:",cr,Ve,Yr=`<li>Start from the beginning of the sequence by setting <code>cur_len = 0</code> (number of tokens processed so far).</li> <li>Sample a <code>span_length</code> from the interval <code>[1, max_span_length]</code> (length of span of tokens to be masked)</li> <li>Reserve a context of length <code>context_length = span_length / plm_probability</code> to surround span to be
masked</li> <li>Sample a starting point <code>start_index</code> from the interval <code>[cur_len, cur_len + context_length - span_length]</code> and mask tokens <code>start_index:start_index + span_length</code></li> <li>Set <code>cur_len = cur_len + context_length</code>. If <code>cur_len &lt; max_len</code> (i.e. there are tokens remaining in the
sequence to be processed), repeat from Step 1.</li>`,hr,M,je,fr,yt,Zr="The masked tokens to be predicted for a particular sequence are determined by the following algorithm:",gr,Oe,eo=`<li>Start from the beginning of the sequence by setting <code>cur_len = 0</code> (number of tokens processed so far).</li> <li>Sample a <code>span_length</code> from the interval <code>[1, max_span_length]</code> (length of span of tokens to be masked)</li> <li>Reserve a context of length <code>context_length = span_length / plm_probability</code> to surround span to be
masked</li> <li>Sample a starting point <code>start_index</code> from the interval <code>[cur_len, cur_len + context_length - span_length]</code> and mask tokens <code>start_index:start_index + span_length</code></li> <li>Set <code>cur_len = cur_len + context_length</code>. If <code>cur_len &lt; max_len</code> (i.e. there are tokens remaining in the
sequence to be processed), repeat from Step 1.</li>`,oa,Nt,na;return ce=new K({}),ue=new K({}),_e=new C({props:{name:"transformers.default_data_collator",anchor:"transformers.default_data_collator",parameters:[{name:"features",val:": typing.List[InputDataClass]"},{name:"return_tensors",val:" = 'pt'"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/data/data_collator.py#L52"}}),ve=new K({}),be=new C({props:{name:"class transformers.DefaultDataCollator",anchor:"transformers.DefaultDataCollator",parameters:[{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DefaultDataCollator.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/data/data_collator.py#L78"}}),ke=new K({}),xe=new C({props:{name:"class transformers.DataCollatorWithPadding",anchor:"transformers.DataCollatorWithPadding",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"padding",val:": typing.Union[bool, str, transformers.utils.generic.PaddingStrategy] = True"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorWithPadding.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21764/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/pr_21764/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorWithPadding.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/pr_21764/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding index)
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code> (default): Pad to the longest sequence in the batch (or no padding if only a single
sequence is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code>: No padding (i.e., can output a batch with sequences of different lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorWithPadding.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorWithPadding.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.5 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorWithPadding.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/data/data_collator.py#L215"}}),$e=new K({}),Ce=new C({props:{name:"class transformers.DataCollatorForTokenClassification",anchor:"transformers.DataCollatorForTokenClassification",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"padding",val:": typing.Union[bool, str, transformers.utils.generic.PaddingStrategy] = True"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"label_pad_token_id",val:": int = -100"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForTokenClassification.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21764/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/pr_21764/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForTokenClassification.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/pr_21764/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding index)
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code> (default): Pad to the longest sequence in the batch (or no padding if only a single
sequence is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code>: No padding (i.e., can output a batch with sequences of different lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorForTokenClassification.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorForTokenClassification.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.5 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForTokenClassification.label_pad_token_id",description:`<strong>label_pad_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to -100) &#x2014;
The id to use when padding the labels (-100 will be automatically ignore by PyTorch loss functions).`,name:"label_pad_token_id"},{anchor:"transformers.DataCollatorForTokenClassification.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/data/data_collator.py#L266"}}),ye=new K({}),we=new C({props:{name:"class transformers.DataCollatorForSeq2Seq",anchor:"transformers.DataCollatorForSeq2Seq",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"model",val:": typing.Optional[typing.Any] = None"},{name:"padding",val:": typing.Union[bool, str, transformers.utils.generic.PaddingStrategy] = True"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"label_pad_token_id",val:": int = -100"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForSeq2Seq.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21764/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/pr_21764/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForSeq2Seq.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21764/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a>) &#x2014;
The model that is being trained. If set and has the <em>prepare_decoder_input_ids_from_labels</em>, use it to
prepare the <em>decoder_input_ids</em></p>
<p>This is useful when using <em>label_smoothing</em> to avoid calculating loss twice.`,name:"model"},{anchor:"transformers.DataCollatorForSeq2Seq.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/pr_21764/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding index)
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code> (default): Pad to the longest sequence in the batch (or no padding if only a single
sequence is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code>: No padding (i.e., can output a batch with sequences of different lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorForSeq2Seq.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorForSeq2Seq.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.5 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForSeq2Seq.label_pad_token_id",description:`<strong>label_pad_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to -100) &#x2014;
The id to use when padding the labels (-100 will be automatically ignored by PyTorch loss functions).`,name:"label_pad_token_id"},{anchor:"transformers.DataCollatorForSeq2Seq.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/data/data_collator.py#L517"}}),De=new K({}),Te=new C({props:{name:"class transformers.DataCollatorForLanguageModeling",anchor:"transformers.DataCollatorForLanguageModeling",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"mlm",val:": bool = True"},{name:"mlm_probability",val:": float = 0.15"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"tf_experimental_compile",val:": bool = False"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForLanguageModeling.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21764/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/pr_21764/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForLanguageModeling.mlm",description:`<strong>mlm</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to use masked language modeling. If set to <code>False</code>, the labels are the same as the inputs
with the padding tokens ignored (by setting them to -100). Otherwise, the labels are -100 for non-masked
tokens and the value to predict for the masked token.`,name:"mlm"},{anchor:"transformers.DataCollatorForLanguageModeling.mlm_probability",description:`<strong>mlm_probability</strong> (<code>float</code>, <em>optional</em>, defaults to 0.15) &#x2014;
The probability with which to (randomly) mask tokens in the input, when <code>mlm</code> is set to <code>True</code>.`,name:"mlm_probability"},{anchor:"transformers.DataCollatorForLanguageModeling.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForLanguageModeling.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/data/data_collator.py#L607"}}),te=new bo({props:{$$slots:{default:[Do]},$$scope:{ctx:Ue}}}),Pe=new C({props:{name:"numpy_mask_tokens",anchor:"transformers.DataCollatorForLanguageModeling.numpy_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"special_tokens_mask",val:": typing.Optional[typing.Any] = None"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/data/data_collator.py#L806"}}),Se=new C({props:{name:"tf_mask_tokens",anchor:"transformers.DataCollatorForLanguageModeling.tf_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"vocab_size",val:""},{name:"mask_token_id",val:""},{name:"special_tokens_mask",val:": typing.Optional[typing.Any] = None"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/data/data_collator.py#L659"}}),Fe=new C({props:{name:"torch_mask_tokens",anchor:"transformers.DataCollatorForLanguageModeling.torch_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"special_tokens_mask",val:": typing.Optional[typing.Any] = None"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/data/data_collator.py#L751"}}),Le=new K({}),Me=new C({props:{name:"class transformers.DataCollatorForWholeWordMask",anchor:"transformers.DataCollatorForWholeWordMask",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"mlm",val:": bool = True"},{name:"mlm_probability",val:": float = 0.15"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"tf_experimental_compile",val:": bool = False"},{name:"return_tensors",val:": str = 'pt'"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/data/data_collator.py#L845"}}),le=new bo({props:{$$slots:{default:[To]},$$scope:{ctx:Ue}}}),qe=new C({props:{name:"numpy_mask_tokens",anchor:"transformers.DataCollatorForWholeWordMask.numpy_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"mask_labels",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/data/data_collator.py#L1075"}}),ze=new C({props:{name:"tf_mask_tokens",anchor:"transformers.DataCollatorForWholeWordMask.tf_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"mask_labels",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/data/data_collator.py#L1033"}}),Ae=new C({props:{name:"torch_mask_tokens",anchor:"transformers.DataCollatorForWholeWordMask.torch_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"mask_labels",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/data/data_collator.py#L993"}}),Ee=new K({}),Ne=new C({props:{name:"class transformers.DataCollatorForPermutationLanguageModeling",anchor:"transformers.DataCollatorForPermutationLanguageModeling",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"plm_probability",val:": float = 0.16666666666666666"},{name:"max_span_length",val:": int = 5"},{name:"return_tensors",val:": str = 'pt'"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/data/data_collator.py#L1200"}}),Ie=new C({props:{name:"numpy_mask_tokens",anchor:"transformers.DataCollatorForPermutationLanguageModeling.numpy_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/data/data_collator.py#L1440"}}),We=new C({props:{name:"tf_mask_tokens",anchor:"transformers.DataCollatorForPermutationLanguageModeling.tf_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/data/data_collator.py#L1333"}}),je=new C({props:{name:"torch_mask_tokens",anchor:"transformers.DataCollatorForPermutationLanguageModeling.torch_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/data/data_collator.py#L1234"}}),{c(){v=r("meta"),S=n(),k=r("p"),R=n(),z=r("h1"),J=r("a"),Pt=r("span"),c(ce.$$.fragment),Ca=n(),Ke=r("span"),Ke.textContent=ur,Ht=n(),he=r("p"),he.innerHTML=_r,Wt=n(),fe=r("p"),fe.innerHTML=vr,Vt=n(),ge=r("p"),ge.innerHTML=br,jt=n(),A=r("h2"),X=r("a"),St=r("span"),c(ue.$$.fragment),ya=n(),Re=r("span"),Re.textContent=kr,Ot=n(),D=r("div"),c(_e.$$.fragment),wa=n(),Je=r("p"),Je.textContent=xr,Da=n(),Xe=r("ul"),Xe.innerHTML=$r,Ta=n(),Ge=r("p"),Ge.textContent=Cr,Bt=n(),E=r("h2"),G=r("a"),Ft=r("span"),c(ve.$$.fragment),Pa=n(),Qe=r("span"),Qe.textContent=yr,Ut=n(),y=r("div"),c(be.$$.fragment),Sa=n(),Ye=r("p"),Ye.textContent=wr,Fa=n(),Ze=r("ul"),Ze.innerHTML=Dr,La=n(),et=r("p"),et.textContent=Tr,Ma=n(),tt=r("p"),tt.textContent=Pr,Kt=n(),N=r("h2"),Q=r("a"),Lt=r("span"),c(ke.$$.fragment),qa=n(),at=r("span"),at.textContent=Sr,Rt=n(),I=r("div"),c(xe.$$.fragment),za=n(),rt=r("p"),rt.textContent=Fr,Jt=n(),H=r("h2"),Y=r("a"),Mt=r("span"),c($e.$$.fragment),Aa=n(),ot=r("span"),ot.textContent=Lr,Xt=n(),W=r("div"),c(Ce.$$.fragment),Ea=n(),nt=r("p"),nt.textContent=Mr,Gt=n(),V=r("h2"),Z=r("a"),qt=r("span"),c(ye.$$.fragment),Na=n(),lt=r("span"),lt.textContent=qr,Qt=n(),j=r("div"),c(we.$$.fragment),Ia=n(),st=r("p"),st.textContent=zr,Yt=n(),O=r("h2"),ee=r("a"),zt=r("span"),c(De.$$.fragment),Ha=n(),it=r("span"),it.textContent=Ar,Zt=n(),x=r("div"),c(Te.$$.fragment),Wa=n(),dt=r("p"),dt.textContent=Er,Va=n(),c(te.$$.fragment),ja=n(),ae=r("div"),c(Pe.$$.fragment),Oa=n(),mt=r("p"),mt.textContent=Nr,Ba=n(),re=r("div"),c(Se.$$.fragment),Ua=n(),pt=r("p"),pt.textContent=Ir,Ka=n(),oe=r("div"),c(Fe.$$.fragment),Ra=n(),ct=r("p"),ct.textContent=Hr,ea=n(),B=r("h2"),ne=r("a"),At=r("span"),c(Le.$$.fragment),Ja=n(),ht=r("span"),ht.textContent=Wr,ta=n(),b=r("div"),c(Me.$$.fragment),Xa=n(),ft=r("p"),ft.textContent=Vr,Ga=n(),gt=r("ul"),gt.innerHTML=jr,Qa=n(),c(le.$$.fragment),Ya=n(),se=r("div"),c(qe.$$.fragment),Za=n(),ut=r("p"),ut.textContent=Or,er=n(),ie=r("div"),c(ze.$$.fragment),tr=n(),_t=r("p"),_t.textContent=Br,ar=n(),de=r("div"),c(Ae.$$.fragment),rr=n(),vt=r("p"),vt.textContent=Ur,aa=n(),U=r("h2"),me=r("a"),Et=r("span"),c(Ee.$$.fragment),or=n(),bt=r("span"),bt.textContent=Kr,ra=n(),$=r("div"),c(Ne.$$.fragment),nr=n(),kt=r("p"),kt.textContent=Rr,lr=n(),xt=r("ul"),xt.innerHTML=Jr,sr=n(),F=r("div"),c(Ie.$$.fragment),ir=n(),$t=r("p"),$t.textContent=Xr,dr=n(),He=r("ol"),He.innerHTML=Gr,mr=n(),L=r("div"),c(We.$$.fragment),pr=n(),Ct=r("p"),Ct.textContent=Qr,cr=n(),Ve=r("ol"),Ve.innerHTML=Yr,hr=n(),M=r("div"),c(je.$$.fragment),fr=n(),yt=r("p"),yt.textContent=Zr,gr=n(),Oe=r("ol"),Oe.innerHTML=eo,oa=n(),Nt=r("p"),this.h()},l(e){const i=wo("svelte-1phssyn",document.head);v=o(i,"META",{name:!0,content:!0}),i.forEach(a),S=l(e),k=o(e,"P",{}),d(k).forEach(a),R=l(e),z=o(e,"H1",{class:!0});var Be=d(z);J=o(Be,"A",{id:!0,class:!0,href:!0});var It=d(J);Pt=o(It,"SPAN",{});var to=d(Pt);h(ce.$$.fragment,to),to.forEach(a),It.forEach(a),Ca=l(Be),Ke=o(Be,"SPAN",{"data-svelte-h":!0}),p(Ke)!=="svelte-1qgklnp"&&(Ke.textContent=ur),Be.forEach(a),Ht=l(e),he=o(e,"P",{"data-svelte-h":!0}),p(he)!=="svelte-1kxfoc9"&&(he.innerHTML=_r),Wt=l(e),fe=o(e,"P",{"data-svelte-h":!0}),p(fe)!=="svelte-nfi0c2"&&(fe.innerHTML=vr),Vt=l(e),ge=o(e,"P",{"data-svelte-h":!0}),p(ge)!=="svelte-10kyi1a"&&(ge.innerHTML=br),jt=l(e),A=o(e,"H2",{class:!0});var la=d(A);X=o(la,"A",{id:!0,class:!0,href:!0});var ao=d(X);St=o(ao,"SPAN",{});var ro=d(St);h(ue.$$.fragment,ro),ro.forEach(a),ao.forEach(a),ya=l(la),Re=o(la,"SPAN",{"data-svelte-h":!0}),p(Re)!=="svelte-g6h76k"&&(Re.textContent=kr),la.forEach(a),Ot=l(e),D=o(e,"DIV",{class:!0});var pe=d(D);h(_e.$$.fragment,pe),wa=l(pe),Je=o(pe,"P",{"data-svelte-h":!0}),p(Je)!=="svelte-1hmsgsg"&&(Je.textContent=xr),Da=l(pe),Xe=o(pe,"UL",{"data-svelte-h":!0}),p(Xe)!=="svelte-1pq8qks"&&(Xe.innerHTML=$r),Ta=l(pe),Ge=o(pe,"P",{"data-svelte-h":!0}),p(Ge)!=="svelte-1vi1gug"&&(Ge.textContent=Cr),pe.forEach(a),Bt=l(e),E=o(e,"H2",{class:!0});var sa=d(E);G=o(sa,"A",{id:!0,class:!0,href:!0});var oo=d(G);Ft=o(oo,"SPAN",{});var no=d(Ft);h(ve.$$.fragment,no),no.forEach(a),oo.forEach(a),Pa=l(sa),Qe=o(sa,"SPAN",{"data-svelte-h":!0}),p(Qe)!=="svelte-5hj65g"&&(Qe.textContent=yr),sa.forEach(a),Ut=l(e),y=o(e,"DIV",{class:!0});var q=d(y);h(be.$$.fragment,q),Sa=l(q),Ye=o(q,"P",{"data-svelte-h":!0}),p(Ye)!=="svelte-1hmsgsg"&&(Ye.textContent=wr),Fa=l(q),Ze=o(q,"UL",{"data-svelte-h":!0}),p(Ze)!=="svelte-1pq8qks"&&(Ze.innerHTML=Dr),La=l(q),et=o(q,"P",{"data-svelte-h":!0}),p(et)!=="svelte-1vi1gug"&&(et.textContent=Tr),Ma=l(q),tt=o(q,"P",{"data-svelte-h":!0}),p(tt)!=="svelte-vfvbwr"&&(tt.textContent=Pr),q.forEach(a),Kt=l(e),N=o(e,"H2",{class:!0});var ia=d(N);Q=o(ia,"A",{id:!0,class:!0,href:!0});var lo=d(Q);Lt=o(lo,"SPAN",{});var so=d(Lt);h(ke.$$.fragment,so),so.forEach(a),lo.forEach(a),qa=l(ia),at=o(ia,"SPAN",{"data-svelte-h":!0}),p(at)!=="svelte-58lv74"&&(at.textContent=Sr),ia.forEach(a),Rt=l(e),I=o(e,"DIV",{class:!0});var da=d(I);h(xe.$$.fragment,da),za=l(da),rt=o(da,"P",{"data-svelte-h":!0}),p(rt)!=="svelte-1iebpai"&&(rt.textContent=Fr),da.forEach(a),Jt=l(e),H=o(e,"H2",{class:!0});var ma=d(H);Y=o(ma,"A",{id:!0,class:!0,href:!0});var io=d(Y);Mt=o(io,"SPAN",{});var mo=d(Mt);h($e.$$.fragment,mo),mo.forEach(a),io.forEach(a),Aa=l(ma),ot=o(ma,"SPAN",{"data-svelte-h":!0}),p(ot)!=="svelte-1s7cpa7"&&(ot.textContent=Lr),ma.forEach(a),Xt=l(e),W=o(e,"DIV",{class:!0});var pa=d(W);h(Ce.$$.fragment,pa),Ea=l(pa),nt=o(pa,"P",{"data-svelte-h":!0}),p(nt)!=="svelte-4uvw1w"&&(nt.textContent=Mr),pa.forEach(a),Gt=l(e),V=o(e,"H2",{class:!0});var ca=d(V);Z=o(ca,"A",{id:!0,class:!0,href:!0});var po=d(Z);qt=o(po,"SPAN",{});var co=d(qt);h(ye.$$.fragment,co),co.forEach(a),po.forEach(a),Na=l(ca),lt=o(ca,"SPAN",{"data-svelte-h":!0}),p(lt)!=="svelte-1yqtmni"&&(lt.textContent=qr),ca.forEach(a),Qt=l(e),j=o(e,"DIV",{class:!0});var ha=d(j);h(we.$$.fragment,ha),Ia=l(ha),st=o(ha,"P",{"data-svelte-h":!0}),p(st)!=="svelte-4uvw1w"&&(st.textContent=zr),ha.forEach(a),Yt=l(e),O=o(e,"H2",{class:!0});var fa=d(O);ee=o(fa,"A",{id:!0,class:!0,href:!0});var ho=d(ee);zt=o(ho,"SPAN",{});var fo=d(zt);h(De.$$.fragment,fo),fo.forEach(a),ho.forEach(a),Ha=l(fa),it=o(fa,"SPAN",{"data-svelte-h":!0}),p(it)!=="svelte-4t0q3j"&&(it.textContent=Ar),fa.forEach(a),Zt=l(e),x=o(e,"DIV",{class:!0});var T=d(x);h(Te.$$.fragment,T),Wa=l(T),dt=o(T,"P",{"data-svelte-h":!0}),p(dt)!=="svelte-10km8jk"&&(dt.textContent=Er),Va=l(T),h(te.$$.fragment,T),ja=l(T),ae=o(T,"DIV",{class:!0});var ga=d(ae);h(Pe.$$.fragment,ga),Oa=l(ga),mt=o(ga,"P",{"data-svelte-h":!0}),p(mt)!=="svelte-iv4xqf"&&(mt.textContent=Nr),ga.forEach(a),Ba=l(T),re=o(T,"DIV",{class:!0});var ua=d(re);h(Se.$$.fragment,ua),Ua=l(ua),pt=o(ua,"P",{"data-svelte-h":!0}),p(pt)!=="svelte-iv4xqf"&&(pt.textContent=Ir),ua.forEach(a),Ka=l(T),oe=o(T,"DIV",{class:!0});var _a=d(oe);h(Fe.$$.fragment,_a),Ra=l(_a),ct=o(_a,"P",{"data-svelte-h":!0}),p(ct)!=="svelte-iv4xqf"&&(ct.textContent=Hr),_a.forEach(a),T.forEach(a),ea=l(e),B=o(e,"H2",{class:!0});var va=d(B);ne=o(va,"A",{id:!0,class:!0,href:!0});var go=d(ne);At=o(go,"SPAN",{});var uo=d(At);h(Le.$$.fragment,uo),uo.forEach(a),go.forEach(a),Ja=l(va),ht=o(va,"SPAN",{"data-svelte-h":!0}),p(ht)!=="svelte-1njtbzl"&&(ht.textContent=Wr),va.forEach(a),ta=l(e),b=o(e,"DIV",{class:!0});var w=d(b);h(Me.$$.fragment,w),Xa=l(w),ft=o(w,"P",{"data-svelte-h":!0}),p(ft)!=="svelte-sjqk55"&&(ft.textContent=Vr),Ga=l(w),gt=o(w,"UL",{"data-svelte-h":!0}),p(gt)!=="svelte-d2ozxj"&&(gt.innerHTML=jr),Qa=l(w),h(le.$$.fragment,w),Ya=l(w),se=o(w,"DIV",{class:!0});var ba=d(se);h(qe.$$.fragment,ba),Za=l(ba),ut=o(ba,"P",{"data-svelte-h":!0}),p(ut)!=="svelte-10msjh1"&&(ut.textContent=Or),ba.forEach(a),er=l(w),ie=o(w,"DIV",{class:!0});var ka=d(ie);h(ze.$$.fragment,ka),tr=l(ka),_t=o(ka,"P",{"data-svelte-h":!0}),p(_t)!=="svelte-10msjh1"&&(_t.textContent=Br),ka.forEach(a),ar=l(w),de=o(w,"DIV",{class:!0});var xa=d(de);h(Ae.$$.fragment,xa),rr=l(xa),vt=o(xa,"P",{"data-svelte-h":!0}),p(vt)!=="svelte-10msjh1"&&(vt.textContent=Ur),xa.forEach(a),w.forEach(a),aa=l(e),U=o(e,"H2",{class:!0});var $a=d(U);me=o($a,"A",{id:!0,class:!0,href:!0});var _o=d(me);Et=o(_o,"SPAN",{});var vo=d(Et);h(Ee.$$.fragment,vo),vo.forEach(a),_o.forEach(a),or=l($a),bt=o($a,"SPAN",{"data-svelte-h":!0}),p(bt)!=="svelte-1783rif"&&(bt.textContent=Kr),$a.forEach(a),ra=l(e),$=o(e,"DIV",{class:!0});var P=d($);h(Ne.$$.fragment,P),nr=l(P),kt=o(P,"P",{"data-svelte-h":!0}),p(kt)!=="svelte-12inif1"&&(kt.textContent=Rr),lr=l(P),xt=o(P,"UL",{"data-svelte-h":!0}),p(xt)!=="svelte-1t4qh7k"&&(xt.innerHTML=Jr),sr=l(P),F=o(P,"DIV",{class:!0});var wt=d(F);h(Ie.$$.fragment,wt),ir=l(wt),$t=o(wt,"P",{"data-svelte-h":!0}),p($t)!=="svelte-1u70phx"&&($t.textContent=Xr),dr=l(wt),He=o(wt,"OL",{start:!0,"data-svelte-h":!0}),p(He)!=="svelte-1r6jrbi"&&(He.innerHTML=Gr),wt.forEach(a),mr=l(P),L=o(P,"DIV",{class:!0});var Dt=d(L);h(We.$$.fragment,Dt),pr=l(Dt),Ct=o(Dt,"P",{"data-svelte-h":!0}),p(Ct)!=="svelte-1u70phx"&&(Ct.textContent=Qr),cr=l(Dt),Ve=o(Dt,"OL",{start:!0,"data-svelte-h":!0}),p(Ve)!=="svelte-1r6jrbi"&&(Ve.innerHTML=Yr),Dt.forEach(a),hr=l(P),M=o(P,"DIV",{class:!0});var Tt=d(M);h(je.$$.fragment,Tt),fr=l(Tt),yt=o(Tt,"P",{"data-svelte-h":!0}),p(yt)!=="svelte-1u70phx"&&(yt.textContent=Zr),gr=l(Tt),Oe=o(Tt,"OL",{start:!0,"data-svelte-h":!0}),p(Oe)!=="svelte-1r6jrbi"&&(Oe.innerHTML=eo),Tt.forEach(a),P.forEach(a),oa=l(e),Nt=o(e,"P",{}),d(Nt).forEach(a),this.h()},h(){s(v,"name","hf:doc:metadata"),s(v,"content",JSON.stringify(So)),s(J,"id","data-collator"),s(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(J,"href","#data-collator"),s(z,"class","relative group"),s(X,"id","transformers.default_data_collator"),s(X,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(X,"href","#transformers.default_data_collator"),s(A,"class","relative group"),s(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(G,"id","transformers.DefaultDataCollator"),s(G,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(G,"href","#transformers.DefaultDataCollator"),s(E,"class","relative group"),s(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(Q,"id","transformers.DataCollatorWithPadding"),s(Q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(Q,"href","#transformers.DataCollatorWithPadding"),s(N,"class","relative group"),s(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(Y,"id","transformers.DataCollatorForTokenClassification"),s(Y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(Y,"href","#transformers.DataCollatorForTokenClassification"),s(H,"class","relative group"),s(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(Z,"id","transformers.DataCollatorForSeq2Seq"),s(Z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(Z,"href","#transformers.DataCollatorForSeq2Seq"),s(V,"class","relative group"),s(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(ee,"id","transformers.DataCollatorForLanguageModeling"),s(ee,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(ee,"href","#transformers.DataCollatorForLanguageModeling"),s(O,"class","relative group"),s(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(ne,"id","transformers.DataCollatorForWholeWordMask"),s(ne,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(ne,"href","#transformers.DataCollatorForWholeWordMask"),s(B,"class","relative group"),s(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(me,"id","transformers.DataCollatorForPermutationLanguageModeling"),s(me,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(me,"href","#transformers.DataCollatorForPermutationLanguageModeling"),s(U,"class","relative group"),s(He,"start","0"),s(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(Ve,"start","0"),s(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(Oe,"start","0"),s(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,i){t(document.head,v),m(e,S,i),m(e,k,i),m(e,R,i),m(e,z,i),t(z,J),t(J,Pt),f(ce,Pt,null),t(z,Ca),t(z,Ke),m(e,Ht,i),m(e,he,i),m(e,Wt,i),m(e,fe,i),m(e,Vt,i),m(e,ge,i),m(e,jt,i),m(e,A,i),t(A,X),t(X,St),f(ue,St,null),t(A,ya),t(A,Re),m(e,Ot,i),m(e,D,i),f(_e,D,null),t(D,wa),t(D,Je),t(D,Da),t(D,Xe),t(D,Ta),t(D,Ge),m(e,Bt,i),m(e,E,i),t(E,G),t(G,Ft),f(ve,Ft,null),t(E,Pa),t(E,Qe),m(e,Ut,i),m(e,y,i),f(be,y,null),t(y,Sa),t(y,Ye),t(y,Fa),t(y,Ze),t(y,La),t(y,et),t(y,Ma),t(y,tt),m(e,Kt,i),m(e,N,i),t(N,Q),t(Q,Lt),f(ke,Lt,null),t(N,qa),t(N,at),m(e,Rt,i),m(e,I,i),f(xe,I,null),t(I,za),t(I,rt),m(e,Jt,i),m(e,H,i),t(H,Y),t(Y,Mt),f($e,Mt,null),t(H,Aa),t(H,ot),m(e,Xt,i),m(e,W,i),f(Ce,W,null),t(W,Ea),t(W,nt),m(e,Gt,i),m(e,V,i),t(V,Z),t(Z,qt),f(ye,qt,null),t(V,Na),t(V,lt),m(e,Qt,i),m(e,j,i),f(we,j,null),t(j,Ia),t(j,st),m(e,Yt,i),m(e,O,i),t(O,ee),t(ee,zt),f(De,zt,null),t(O,Ha),t(O,it),m(e,Zt,i),m(e,x,i),f(Te,x,null),t(x,Wa),t(x,dt),t(x,Va),f(te,x,null),t(x,ja),t(x,ae),f(Pe,ae,null),t(ae,Oa),t(ae,mt),t(x,Ba),t(x,re),f(Se,re,null),t(re,Ua),t(re,pt),t(x,Ka),t(x,oe),f(Fe,oe,null),t(oe,Ra),t(oe,ct),m(e,ea,i),m(e,B,i),t(B,ne),t(ne,At),f(Le,At,null),t(B,Ja),t(B,ht),m(e,ta,i),m(e,b,i),f(Me,b,null),t(b,Xa),t(b,ft),t(b,Ga),t(b,gt),t(b,Qa),f(le,b,null),t(b,Ya),t(b,se),f(qe,se,null),t(se,Za),t(se,ut),t(b,er),t(b,ie),f(ze,ie,null),t(ie,tr),t(ie,_t),t(b,ar),t(b,de),f(Ae,de,null),t(de,rr),t(de,vt),m(e,aa,i),m(e,U,i),t(U,me),t(me,Et),f(Ee,Et,null),t(U,or),t(U,bt),m(e,ra,i),m(e,$,i),f(Ne,$,null),t($,nr),t($,kt),t($,lr),t($,xt),t($,sr),t($,F),f(Ie,F,null),t(F,ir),t(F,$t),t(F,dr),t(F,He),t($,mr),t($,L),f(We,L,null),t(L,pr),t(L,Ct),t(L,cr),t(L,Ve),t($,hr),t($,M),f(je,M,null),t(M,fr),t(M,yt),t(M,gr),t(M,Oe),m(e,oa,i),m(e,Nt,i),na=!0},p(e,[i]){const Be={};i&2&&(Be.$$scope={dirty:i,ctx:e}),te.$set(Be);const It={};i&2&&(It.$$scope={dirty:i,ctx:e}),le.$set(It)},i(e){na||(g(ce.$$.fragment,e),g(ue.$$.fragment,e),g(_e.$$.fragment,e),g(ve.$$.fragment,e),g(be.$$.fragment,e),g(ke.$$.fragment,e),g(xe.$$.fragment,e),g($e.$$.fragment,e),g(Ce.$$.fragment,e),g(ye.$$.fragment,e),g(we.$$.fragment,e),g(De.$$.fragment,e),g(Te.$$.fragment,e),g(te.$$.fragment,e),g(Pe.$$.fragment,e),g(Se.$$.fragment,e),g(Fe.$$.fragment,e),g(Le.$$.fragment,e),g(Me.$$.fragment,e),g(le.$$.fragment,e),g(qe.$$.fragment,e),g(ze.$$.fragment,e),g(Ae.$$.fragment,e),g(Ee.$$.fragment,e),g(Ne.$$.fragment,e),g(Ie.$$.fragment,e),g(We.$$.fragment,e),g(je.$$.fragment,e),na=!0)},o(e){u(ce.$$.fragment,e),u(ue.$$.fragment,e),u(_e.$$.fragment,e),u(ve.$$.fragment,e),u(be.$$.fragment,e),u(ke.$$.fragment,e),u(xe.$$.fragment,e),u($e.$$.fragment,e),u(Ce.$$.fragment,e),u(ye.$$.fragment,e),u(we.$$.fragment,e),u(De.$$.fragment,e),u(Te.$$.fragment,e),u(te.$$.fragment,e),u(Pe.$$.fragment,e),u(Se.$$.fragment,e),u(Fe.$$.fragment,e),u(Le.$$.fragment,e),u(Me.$$.fragment,e),u(le.$$.fragment,e),u(qe.$$.fragment,e),u(ze.$$.fragment,e),u(Ae.$$.fragment,e),u(Ee.$$.fragment,e),u(Ne.$$.fragment,e),u(Ie.$$.fragment,e),u(We.$$.fragment,e),u(je.$$.fragment,e),na=!1},d(e){e&&(a(S),a(k),a(R),a(z),a(Ht),a(he),a(Wt),a(fe),a(Vt),a(ge),a(jt),a(A),a(Ot),a(D),a(Bt),a(E),a(Ut),a(y),a(Kt),a(N),a(Rt),a(I),a(Jt),a(H),a(Xt),a(W),a(Gt),a(V),a(Qt),a(j),a(Yt),a(O),a(Zt),a(x),a(ea),a(B),a(ta),a(b),a(aa),a(U),a(ra),a($),a(oa),a(Nt)),a(v),_(ce),_(ue),_(_e),_(ve),_(be),_(ke),_(xe),_($e),_(Ce),_(ye),_(we),_(De),_(Te),_(te),_(Pe),_(Se),_(Fe),_(Le),_(Me),_(le),_(qe),_(ze),_(Ae),_(Ee),_(Ne),_(Ie),_(We),_(je)}}}const So={local:"data-collator",sections:[{local:"transformers.default_data_collator",title:"Default data collator"},{local:"transformers.DefaultDataCollator",title:"DefaultDataCollator"},{local:"transformers.DataCollatorWithPadding",title:"DataCollatorWithPadding"},{local:"transformers.DataCollatorForTokenClassification",title:"DataCollatorForTokenClassification"},{local:"transformers.DataCollatorForSeq2Seq",title:"DataCollatorForSeq2Seq"},{local:"transformers.DataCollatorForLanguageModeling",title:"DataCollatorForLanguageModeling"},{local:"transformers.DataCollatorForWholeWordMask",title:"DataCollatorForWholeWordMask"},{local:"transformers.DataCollatorForPermutationLanguageModeling",title:"DataCollatorForPermutationLanguageModeling"}],title:"Data Collator"};function Fo(Ue){return $o(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Eo extends Co{constructor(v){super(),yo(this,v,Fo,Po,xo,{})}}export{Eo as component};
