import{s as kr,o as Sr,n as Jr}from"../chunks/scheduler.9bc65507.js";import{S as Pr,i as Hr,g as n,s as l,u,m as Vr,A as Ur,h as o,f as t,c as i,j as p,v as c,y as m,n as Fr,k as f,o as a,a as s,w as v,d as h,t as b,x as $}from"../chunks/index.78c82d43.js";import{T as Dr}from"../chunks/Tip.87d55b76.js";import{D as T}from"../chunks/Docstring.4e7352e2.js";import{C as je}from"../chunks/CodeBlock.73e038be.js";import{I as tr}from"../chunks/IconCopyLink.bedaa44d.js";import{E as Br}from"../chunks/ExampleCodeBlock.872b014d.js";function Or(ye){let d,N="🤗 Transformers has following logging levels:",x,_,y="<li>50: <code>transformers.logging.CRITICAL</code> or <code>transformers.logging.FATAL</code></li> <li>40: <code>transformers.logging.ERROR</code></li> <li>30: <code>transformers.logging.WARNING</code> or <code>transformers.logging.WARN</code></li> <li>20: <code>transformers.logging.INFO</code></li> <li>10: <code>transformers.logging.DEBUG</code></li>";return{c(){d=n("p"),d.textContent=N,x=l(),_=n("ul"),_.innerHTML=y},l(g){d=o(g,"P",{"data-svelte-h":!0}),m(d)!=="svelte-xr075s"&&(d.textContent=N),x=i(g),_=o(g,"UL",{"data-svelte-h":!0}),m(_)!=="svelte-1s22l0g"&&(_.innerHTML=y)},m(g,w){s(g,d,w),s(g,x,w),s(g,_,w)},p:Jr,d(g){g&&(t(d),t(x),t(_))}}}function Wr(ye){let d,N="Enable explicit formatting for every HuggingFace Transformers’s logger. The explicit formatter is as follows:",x,_,y;return _=new je({props:{code:"JTIwJTIwJTIwJTIwJTVCTEVWRUxOQU1FJTdDRklMRU5BTUUlN0NMSU5FJTIwTlVNQkVSJTVEJTIwVElNRSUyMCUzRSUzRSUyME1FU1NBR0U=",highlighted:'    [LEVELNAME|<span class="hljs-type">FILENAME</span>|<span class="hljs-type">LINE</span> NUMBER] TIME &gt;&gt; MESSAGE',wrap:!1}}),{c(){d=n("p"),d.textContent=N,x=l(),u(_.$$.fragment)},l(g){d=o(g,"P",{"data-svelte-h":!0}),m(d)!=="svelte-1db65t5"&&(d.textContent=N),x=i(g),c(_.$$.fragment,g)},m(g,w){s(g,d,w),s(g,x,w),v(_,g,w),y=!0},p:Jr,i(g){y||(h(_.$$.fragment,g),y=!0)},o(g){b(_.$$.fragment,g),y=!1},d(g){g&&(t(d),t(x)),$(_,g)}}}function Gr(ye){let d,N,x,_,y,g,w,G,St,xe,rr="Logging",qe,Z,sr="🤗 Transformers has a centralized logging system, so that you can setup the verbosity of the library easily.",Xe,j,nr="Currently the default verbosity of the library is <code>WARNING</code>.",Ye,q,or=`To change the level of verbosity, just use one of the direct setters. For instance, here is how to change the verbosity
to the INFO level.`,ze,X,Ke,Y,lr=`You can also use the environment variable <code>TRANSFORMERS_VERBOSITY</code> to override the default verbosity. You can set it
to one of the following: <code>debug</code>, <code>info</code>, <code>warning</code>, <code>error</code>, <code>critical</code>. For example:`,Qe,z,et,K,ir=`Additionally, some <code>warnings</code> can be disabled by setting the environment variable
<code>TRANSFORMERS_NO_ADVISORY_WARNINGS</code> to a true value, like <em>1</em>. This will disable any warning that is logged using
<code>logger.warning_advice</code>. For example:`,tt,Q,rt,ee,ar="Here is an example of how to use the same logger as the library in your own module or script:",st,te,nt,re,gr=`All the methods of this logging module are documented below, the main ones are
<a href="/docs/transformers/pr_21764/en/main_classes/logging#transformers.utils.logging.get_verbosity">logging.get_verbosity()</a> to get the current level of verbosity in the logger and
<a href="/docs/transformers/pr_21764/en/main_classes/logging#transformers.utils.logging.set_verbosity">logging.set_verbosity()</a> to set the verbosity to the level of your choice. In order (from the least
verbose to the most verbose), those levels (with their corresponding int values in parenthesis) are:`,ot,se,mr=`<li><code>transformers.logging.CRITICAL</code> or <code>transformers.logging.FATAL</code> (int value, 50): only report the most
critical errors.</li> <li><code>transformers.logging.ERROR</code> (int value, 40): only report errors.</li> <li><code>transformers.logging.WARNING</code> or <code>transformers.logging.WARN</code> (int value, 30): only reports error and
warnings. This the default level used by the library.</li> <li><code>transformers.logging.INFO</code> (int value, 20): reports error, warnings and basic information.</li> <li><code>transformers.logging.DEBUG</code> (int value, 10): report all information.</li>`,lt,ne,fr='By default, <code>tqdm</code> progress bars will be displayed during model download. <a href="/docs/transformers/pr_21764/en/main_classes/logging#transformers.utils.logging.disable_progress_bar">logging.disable_progress_bar()</a> and <a href="/docs/transformers/pr_21764/en/main_classes/logging#transformers.utils.logging.enable_progress_bar">logging.enable_progress_bar()</a> can be used to suppress or unsuppress this behavior.',it,L,D,Be,oe,Pt,we,dr="Base setters",at,M,le,Ht,Te,pr="Set the verbosity to the <code>ERROR</code> level.",gt,A,ie,Vt,Ce,ur="Set the verbosity to the <code>WARNING</code> level.",mt,J,ae,Ut,Ee,cr="Set the verbosity to the <code>INFO</code> level.",ft,k,ge,Ft,Re,vr="Set the verbosity to the <code>DEBUG</code> level.",dt,S,B,Oe,me,Dt,Ne,hr="Other functions",pt,C,fe,Bt,Ie,br="Return the current level for the 🤗 Transformers’s root logger as an int.",Ot,O,ut,P,de,Wt,Le,$r="Set the verbosity level for the 🤗 Transformers’s root logger.",ct,E,pe,Gt,Me,_r="Return a logger with the specified name.",Zt,Ae,yr="This function is not supposed to be directly accessed unless you are writing a custom transformers module.",vt,H,ue,jt,Je,xr="Enable the default handler of the HuggingFace Transformers’s root logger.",ht,V,ce,qt,ke,wr="Disable the default handler of the HuggingFace Transformers’s root logger.",bt,I,ve,Xt,W,Yt,$t,R,he,zt,Se,Tr="Resets the formatting for HuggingFace Transformers’s loggers.",Kt,Pe,Cr="All handlers currently bound to the root logger are affected by this method.",_t,U,be,Qt,He,Er="Enable tqdm progress bar.",yt,F,$e,er,Ve,Rr="Disable tqdm progress bar.",xt,We,wt;return G=new tr({}),X=new je({props:{code:"aW1wb3J0JTIwdHJhbnNmb3JtZXJzJTBBJTBBdHJhbnNmb3JtZXJzLmxvZ2dpbmcuc2V0X3ZlcmJvc2l0eV9pbmZvKCk=",highlighted:`<span class="hljs-keyword">import</span> transformers

transformers.logging.set_verbosity_info()`,wrap:!1}}),z=new je({props:{code:"VFJBTlNGT1JNRVJTX1ZFUkJPU0lUWSUzRGVycm9yJTIwLiUyRm15cHJvZ3JhbS5weQ==",highlighted:"TRANSFORMERS_VERBOSITY=error ./myprogram.py",wrap:!1}}),Q=new je({props:{code:"VFJBTlNGT1JNRVJTX05PX0FEVklTT1JZX1dBUk5JTkdTJTNEMSUyMC4lMkZteXByb2dyYW0ucHk=",highlighted:"TRANSFORMERS_NO_ADVISORY_WARNINGS=1 ./myprogram.py",wrap:!1}}),te=new je({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycy51dGlscyUyMGltcG9ydCUyMGxvZ2dpbmclMEElMEFsb2dnaW5nLnNldF92ZXJib3NpdHlfaW5mbygpJTBBbG9nZ2VyJTIwJTNEJTIwbG9nZ2luZy5nZXRfbG9nZ2VyKCUyMnRyYW5zZm9ybWVycyUyMiklMEFsb2dnZXIuaW5mbyglMjJJTkZPJTIyKSUwQWxvZ2dlci53YXJuaW5nKCUyMldBUk4lMjIp",highlighted:`<span class="hljs-keyword">from</span> transformers.utils <span class="hljs-keyword">import</span> logging

logging.set_verbosity_info()
logger = logging.get_logger(<span class="hljs-string">&quot;transformers&quot;</span>)
logger.info(<span class="hljs-string">&quot;INFO&quot;</span>)
logger.warning(<span class="hljs-string">&quot;WARN&quot;</span>)`,wrap:!1}}),oe=new tr({}),le=new T({props:{name:"transformers.utils.logging.set_verbosity_error",anchor:"transformers.utils.logging.set_verbosity_error",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/utils/logging.py#L195"}}),ie=new T({props:{name:"transformers.utils.logging.set_verbosity_warning",anchor:"transformers.utils.logging.set_verbosity_warning",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/utils/logging.py#L185"}}),ae=new T({props:{name:"transformers.utils.logging.set_verbosity_info",anchor:"transformers.utils.logging.set_verbosity_info",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/utils/logging.py#L180"}}),ge=new T({props:{name:"transformers.utils.logging.set_verbosity_debug",anchor:"transformers.utils.logging.set_verbosity_debug",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/utils/logging.py#L190"}}),me=new tr({}),fe=new T({props:{name:"transformers.utils.logging.get_verbosity",anchor:"transformers.utils.logging.get_verbosity",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/utils/logging.py#L138",returnDescription:`
<p>The logging level.</p>
`,returnType:`
<p><code>int</code></p>
`}}),O=new Dr({props:{$$slots:{default:[Or]},$$scope:{ctx:ye}}}),de=new T({props:{name:"transformers.utils.logging.set_verbosity",anchor:"transformers.utils.logging.set_verbosity",parameters:[{name:"verbosity",val:": int"}],parametersDescription:[{anchor:"transformers.utils.logging.set_verbosity.verbosity",description:`<strong>verbosity</strong> (<code>int</code>) &#x2014;
Logging level, e.g., one of:</p>
<ul>
<li><code>transformers.logging.CRITICAL</code> or <code>transformers.logging.FATAL</code></li>
<li><code>transformers.logging.ERROR</code></li>
<li><code>transformers.logging.WARNING</code> or <code>transformers.logging.WARN</code></li>
<li><code>transformers.logging.INFO</code></li>
<li><code>transformers.logging.DEBUG</code></li>
</ul>`,name:"verbosity"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/utils/logging.py#L161"}}),pe=new T({props:{name:"transformers.utils.logging.get_logger",anchor:"transformers.utils.logging.get_logger",parameters:[{name:"name",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/utils/logging.py#L124"}}),ue=new T({props:{name:"transformers.utils.logging.enable_default_handler",anchor:"transformers.utils.logging.enable_default_handler",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/utils/logging.py#L209"}}),ce=new T({props:{name:"transformers.utils.logging.disable_default_handler",anchor:"transformers.utils.logging.disable_default_handler",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/utils/logging.py#L200"}}),ve=new T({props:{name:"transformers.utils.logging.enable_explicit_format",anchor:"transformers.utils.logging.enable_explicit_format",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/utils/logging.py#L255"}}),W=new Br({props:{anchor:"transformers.utils.logging.enable_explicit_format.example",$$slots:{default:[Wr]},$$scope:{ctx:ye}}}),he=new T({props:{name:"transformers.utils.logging.reset_format",anchor:"transformers.utils.logging.reset_format",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/utils/logging.py#L270"}}),be=new T({props:{name:"transformers.utils.logging.enable_progress_bar",anchor:"transformers.utils.logging.enable_progress_bar",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/utils/logging.py#L361"}}),$e=new T({props:{name:"transformers.utils.logging.disable_progress_bar",anchor:"transformers.utils.logging.disable_progress_bar",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/utils/logging.py#L368"}}),{c(){d=n("meta"),N=l(),x=n("p"),_=l(),y=n("h1"),g=n("a"),w=n("span"),u(G.$$.fragment),St=l(),xe=n("span"),xe.textContent=rr,qe=l(),Z=n("p"),Z.textContent=sr,Xe=l(),j=n("p"),j.innerHTML=nr,Ye=l(),q=n("p"),q.textContent=or,ze=l(),u(X.$$.fragment),Ke=l(),Y=n("p"),Y.innerHTML=lr,Qe=l(),u(z.$$.fragment),et=l(),K=n("p"),K.innerHTML=ir,tt=l(),u(Q.$$.fragment),rt=l(),ee=n("p"),ee.textContent=ar,st=l(),u(te.$$.fragment),nt=l(),re=n("p"),re.innerHTML=gr,ot=l(),se=n("ul"),se.innerHTML=mr,lt=l(),ne=n("p"),ne.innerHTML=fr,it=l(),L=n("h2"),D=n("a"),Be=n("span"),u(oe.$$.fragment),Pt=l(),we=n("span"),we.textContent=dr,at=l(),M=n("div"),u(le.$$.fragment),Ht=l(),Te=n("p"),Te.innerHTML=pr,gt=l(),A=n("div"),u(ie.$$.fragment),Vt=l(),Ce=n("p"),Ce.innerHTML=ur,mt=l(),J=n("div"),u(ae.$$.fragment),Ut=l(),Ee=n("p"),Ee.innerHTML=cr,ft=l(),k=n("div"),u(ge.$$.fragment),Ft=l(),Re=n("p"),Re.innerHTML=vr,dt=l(),S=n("h2"),B=n("a"),Oe=n("span"),u(me.$$.fragment),Dt=l(),Ne=n("span"),Ne.textContent=hr,pt=l(),C=n("div"),u(fe.$$.fragment),Bt=l(),Ie=n("p"),Ie.textContent=br,Ot=l(),u(O.$$.fragment),ut=l(),P=n("div"),u(de.$$.fragment),Wt=l(),Le=n("p"),Le.textContent=$r,ct=l(),E=n("div"),u(pe.$$.fragment),Gt=l(),Me=n("p"),Me.textContent=_r,Zt=l(),Ae=n("p"),Ae.textContent=yr,vt=l(),H=n("div"),u(ue.$$.fragment),jt=l(),Je=n("p"),Je.textContent=xr,ht=l(),V=n("div"),u(ce.$$.fragment),qt=l(),ke=n("p"),ke.textContent=wr,bt=l(),I=n("div"),u(ve.$$.fragment),Xt=l(),u(W.$$.fragment),Yt=Vr(`
All handlers currently bound to the root logger are affected by this method.`),$t=l(),R=n("div"),u(he.$$.fragment),zt=l(),Se=n("p"),Se.textContent=Tr,Kt=l(),Pe=n("p"),Pe.textContent=Cr,_t=l(),U=n("div"),u(be.$$.fragment),Qt=l(),He=n("p"),He.textContent=Er,yt=l(),F=n("div"),u($e.$$.fragment),er=l(),Ve=n("p"),Ve.textContent=Rr,xt=l(),We=n("p"),this.h()},l(e){const r=Ur("svelte-1phssyn",document.head);d=o(r,"META",{name:!0,content:!0}),r.forEach(t),N=i(e),x=o(e,"P",{}),p(x).forEach(t),_=i(e),y=o(e,"H1",{class:!0});var _e=p(y);g=o(_e,"A",{id:!0,class:!0,href:!0});var Ge=p(g);w=o(Ge,"SPAN",{});var Nr=p(w);c(G.$$.fragment,Nr),Nr.forEach(t),Ge.forEach(t),St=i(_e),xe=o(_e,"SPAN",{"data-svelte-h":!0}),m(xe)!=="svelte-1mk9dii"&&(xe.textContent=rr),_e.forEach(t),qe=i(e),Z=o(e,"P",{"data-svelte-h":!0}),m(Z)!=="svelte-1pvcwri"&&(Z.textContent=sr),Xe=i(e),j=o(e,"P",{"data-svelte-h":!0}),m(j)!=="svelte-knr825"&&(j.innerHTML=nr),Ye=i(e),q=o(e,"P",{"data-svelte-h":!0}),m(q)!=="svelte-1us4yht"&&(q.textContent=or),ze=i(e),c(X.$$.fragment,e),Ke=i(e),Y=o(e,"P",{"data-svelte-h":!0}),m(Y)!=="svelte-ehwgnk"&&(Y.innerHTML=lr),Qe=i(e),c(z.$$.fragment,e),et=i(e),K=o(e,"P",{"data-svelte-h":!0}),m(K)!=="svelte-1d4vvlx"&&(K.innerHTML=ir),tt=i(e),c(Q.$$.fragment,e),rt=i(e),ee=o(e,"P",{"data-svelte-h":!0}),m(ee)!=="svelte-xupc13"&&(ee.textContent=ar),st=i(e),c(te.$$.fragment,e),nt=i(e),re=o(e,"P",{"data-svelte-h":!0}),m(re)!=="svelte-4uh06n"&&(re.innerHTML=gr),ot=i(e),se=o(e,"UL",{"data-svelte-h":!0}),m(se)!=="svelte-4tppnp"&&(se.innerHTML=mr),lt=i(e),ne=o(e,"P",{"data-svelte-h":!0}),m(ne)!=="svelte-1y1mve"&&(ne.innerHTML=fr),it=i(e),L=o(e,"H2",{class:!0});var Tt=p(L);D=o(Tt,"A",{id:!0,class:!0,href:!0});var Ir=p(D);Be=o(Ir,"SPAN",{});var Lr=p(Be);c(oe.$$.fragment,Lr),Lr.forEach(t),Ir.forEach(t),Pt=i(Tt),we=o(Tt,"SPAN",{"data-svelte-h":!0}),m(we)!=="svelte-1gjdgz6"&&(we.textContent=dr),Tt.forEach(t),at=i(e),M=o(e,"DIV",{class:!0});var Ct=p(M);c(le.$$.fragment,Ct),Ht=i(Ct),Te=o(Ct,"P",{"data-svelte-h":!0}),m(Te)!=="svelte-1ppk729"&&(Te.innerHTML=pr),Ct.forEach(t),gt=i(e),A=o(e,"DIV",{class:!0});var Et=p(A);c(ie.$$.fragment,Et),Vt=i(Et),Ce=o(Et,"P",{"data-svelte-h":!0}),m(Ce)!=="svelte-12ljo43"&&(Ce.innerHTML=ur),Et.forEach(t),mt=i(e),J=o(e,"DIV",{class:!0});var Rt=p(J);c(ae.$$.fragment,Rt),Ut=i(Rt),Ee=o(Rt,"P",{"data-svelte-h":!0}),m(Ee)!=="svelte-1ruccfv"&&(Ee.innerHTML=cr),Rt.forEach(t),ft=i(e),k=o(e,"DIV",{class:!0});var Nt=p(k);c(ge.$$.fragment,Nt),Ft=i(Nt),Re=o(Nt,"P",{"data-svelte-h":!0}),m(Re)!=="svelte-10c80ti"&&(Re.innerHTML=vr),Nt.forEach(t),dt=i(e),S=o(e,"H2",{class:!0});var It=p(S);B=o(It,"A",{id:!0,class:!0,href:!0});var Mr=p(B);Oe=o(Mr,"SPAN",{});var Ar=p(Oe);c(me.$$.fragment,Ar),Ar.forEach(t),Mr.forEach(t),Dt=i(It),Ne=o(It,"SPAN",{"data-svelte-h":!0}),m(Ne)!=="svelte-p5oluo"&&(Ne.textContent=hr),It.forEach(t),pt=i(e),C=o(e,"DIV",{class:!0});var Ue=p(C);c(fe.$$.fragment,Ue),Bt=i(Ue),Ie=o(Ue,"P",{"data-svelte-h":!0}),m(Ie)!=="svelte-c6o18d"&&(Ie.textContent=br),Ot=i(Ue),c(O.$$.fragment,Ue),Ue.forEach(t),ut=i(e),P=o(e,"DIV",{class:!0});var Lt=p(P);c(de.$$.fragment,Lt),Wt=i(Lt),Le=o(Lt,"P",{"data-svelte-h":!0}),m(Le)!=="svelte-1pc8gq7"&&(Le.textContent=$r),Lt.forEach(t),ct=i(e),E=o(e,"DIV",{class:!0});var Fe=p(E);c(pe.$$.fragment,Fe),Gt=i(Fe),Me=o(Fe,"P",{"data-svelte-h":!0}),m(Me)!=="svelte-155a6rh"&&(Me.textContent=_r),Zt=i(Fe),Ae=o(Fe,"P",{"data-svelte-h":!0}),m(Ae)!=="svelte-7r9l0i"&&(Ae.textContent=yr),Fe.forEach(t),vt=i(e),H=o(e,"DIV",{class:!0});var Mt=p(H);c(ue.$$.fragment,Mt),jt=i(Mt),Je=o(Mt,"P",{"data-svelte-h":!0}),m(Je)!=="svelte-1d9pjkh"&&(Je.textContent=xr),Mt.forEach(t),ht=i(e),V=o(e,"DIV",{class:!0});var At=p(V);c(ce.$$.fragment,At),qt=i(At),ke=o(At,"P",{"data-svelte-h":!0}),m(ke)!=="svelte-147u0ic"&&(ke.textContent=wr),At.forEach(t),bt=i(e),I=o(e,"DIV",{class:!0});var Ze=p(I);c(ve.$$.fragment,Ze),Xt=i(Ze),c(W.$$.fragment,Ze),Yt=Fr(Ze,`
All handlers currently bound to the root logger are affected by this method.`),Ze.forEach(t),$t=i(e),R=o(e,"DIV",{class:!0});var De=p(R);c(he.$$.fragment,De),zt=i(De),Se=o(De,"P",{"data-svelte-h":!0}),m(Se)!=="svelte-1yfjx32"&&(Se.textContent=Tr),Kt=i(De),Pe=o(De,"P",{"data-svelte-h":!0}),m(Pe)!=="svelte-3qpllw"&&(Pe.textContent=Cr),De.forEach(t),_t=i(e),U=o(e,"DIV",{class:!0});var Jt=p(U);c(be.$$.fragment,Jt),Qt=i(Jt),He=o(Jt,"P",{"data-svelte-h":!0}),m(He)!=="svelte-1n9lbl5"&&(He.textContent=Er),Jt.forEach(t),yt=i(e),F=o(e,"DIV",{class:!0});var kt=p(F);c($e.$$.fragment,kt),er=i(kt),Ve=o(kt,"P",{"data-svelte-h":!0}),m(Ve)!=="svelte-4qd7jw"&&(Ve.textContent=Rr),kt.forEach(t),xt=i(e),We=o(e,"P",{}),p(We).forEach(t),this.h()},h(){f(d,"name","hf:doc:metadata"),f(d,"content",JSON.stringify(Zr)),f(g,"id","logging"),f(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(g,"href","#logging"),f(y,"class","relative group"),f(D,"id","transformers.utils.logging.set_verbosity_error"),f(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(D,"href","#transformers.utils.logging.set_verbosity_error"),f(L,"class","relative group"),f(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(B,"id","transformers.utils.logging.get_verbosity"),f(B,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(B,"href","#transformers.utils.logging.get_verbosity"),f(S,"class","relative group"),f(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,r){a(document.head,d),s(e,N,r),s(e,x,r),s(e,_,r),s(e,y,r),a(y,g),a(g,w),v(G,w,null),a(y,St),a(y,xe),s(e,qe,r),s(e,Z,r),s(e,Xe,r),s(e,j,r),s(e,Ye,r),s(e,q,r),s(e,ze,r),v(X,e,r),s(e,Ke,r),s(e,Y,r),s(e,Qe,r),v(z,e,r),s(e,et,r),s(e,K,r),s(e,tt,r),v(Q,e,r),s(e,rt,r),s(e,ee,r),s(e,st,r),v(te,e,r),s(e,nt,r),s(e,re,r),s(e,ot,r),s(e,se,r),s(e,lt,r),s(e,ne,r),s(e,it,r),s(e,L,r),a(L,D),a(D,Be),v(oe,Be,null),a(L,Pt),a(L,we),s(e,at,r),s(e,M,r),v(le,M,null),a(M,Ht),a(M,Te),s(e,gt,r),s(e,A,r),v(ie,A,null),a(A,Vt),a(A,Ce),s(e,mt,r),s(e,J,r),v(ae,J,null),a(J,Ut),a(J,Ee),s(e,ft,r),s(e,k,r),v(ge,k,null),a(k,Ft),a(k,Re),s(e,dt,r),s(e,S,r),a(S,B),a(B,Oe),v(me,Oe,null),a(S,Dt),a(S,Ne),s(e,pt,r),s(e,C,r),v(fe,C,null),a(C,Bt),a(C,Ie),a(C,Ot),v(O,C,null),s(e,ut,r),s(e,P,r),v(de,P,null),a(P,Wt),a(P,Le),s(e,ct,r),s(e,E,r),v(pe,E,null),a(E,Gt),a(E,Me),a(E,Zt),a(E,Ae),s(e,vt,r),s(e,H,r),v(ue,H,null),a(H,jt),a(H,Je),s(e,ht,r),s(e,V,r),v(ce,V,null),a(V,qt),a(V,ke),s(e,bt,r),s(e,I,r),v(ve,I,null),a(I,Xt),v(W,I,null),a(I,Yt),s(e,$t,r),s(e,R,r),v(he,R,null),a(R,zt),a(R,Se),a(R,Kt),a(R,Pe),s(e,_t,r),s(e,U,r),v(be,U,null),a(U,Qt),a(U,He),s(e,yt,r),s(e,F,r),v($e,F,null),a(F,er),a(F,Ve),s(e,xt,r),s(e,We,r),wt=!0},p(e,[r]){const _e={};r&2&&(_e.$$scope={dirty:r,ctx:e}),O.$set(_e);const Ge={};r&2&&(Ge.$$scope={dirty:r,ctx:e}),W.$set(Ge)},i(e){wt||(h(G.$$.fragment,e),h(X.$$.fragment,e),h(z.$$.fragment,e),h(Q.$$.fragment,e),h(te.$$.fragment,e),h(oe.$$.fragment,e),h(le.$$.fragment,e),h(ie.$$.fragment,e),h(ae.$$.fragment,e),h(ge.$$.fragment,e),h(me.$$.fragment,e),h(fe.$$.fragment,e),h(O.$$.fragment,e),h(de.$$.fragment,e),h(pe.$$.fragment,e),h(ue.$$.fragment,e),h(ce.$$.fragment,e),h(ve.$$.fragment,e),h(W.$$.fragment,e),h(he.$$.fragment,e),h(be.$$.fragment,e),h($e.$$.fragment,e),wt=!0)},o(e){b(G.$$.fragment,e),b(X.$$.fragment,e),b(z.$$.fragment,e),b(Q.$$.fragment,e),b(te.$$.fragment,e),b(oe.$$.fragment,e),b(le.$$.fragment,e),b(ie.$$.fragment,e),b(ae.$$.fragment,e),b(ge.$$.fragment,e),b(me.$$.fragment,e),b(fe.$$.fragment,e),b(O.$$.fragment,e),b(de.$$.fragment,e),b(pe.$$.fragment,e),b(ue.$$.fragment,e),b(ce.$$.fragment,e),b(ve.$$.fragment,e),b(W.$$.fragment,e),b(he.$$.fragment,e),b(be.$$.fragment,e),b($e.$$.fragment,e),wt=!1},d(e){e&&(t(N),t(x),t(_),t(y),t(qe),t(Z),t(Xe),t(j),t(Ye),t(q),t(ze),t(Ke),t(Y),t(Qe),t(et),t(K),t(tt),t(rt),t(ee),t(st),t(nt),t(re),t(ot),t(se),t(lt),t(ne),t(it),t(L),t(at),t(M),t(gt),t(A),t(mt),t(J),t(ft),t(k),t(dt),t(S),t(pt),t(C),t(ut),t(P),t(ct),t(E),t(vt),t(H),t(ht),t(V),t(bt),t(I),t($t),t(R),t(_t),t(U),t(yt),t(F),t(xt),t(We)),t(d),$(G),$(X,e),$(z,e),$(Q,e),$(te,e),$(oe),$(le),$(ie),$(ae),$(ge),$(me),$(fe),$(O),$(de),$(pe),$(ue),$(ce),$(ve),$(W),$(he),$(be),$($e)}}}const Zr={local:"logging",sections:[{local:"transformers.utils.logging.set_verbosity_error",title:"Base setters"},{local:"transformers.utils.logging.get_verbosity",title:"Other functions"}],title:"Logging"};function jr(ye){return Sr(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ts extends Pr{constructor(d){super(),Hr(this,d,jr,Gr,kr,{})}}export{ts as component};
