import{s as $r,n as br,o as yr}from"../chunks/scheduler.9bc65507.js";import{S as Cr,i as wr,g as r,s as a,u as p,A as kr,h as o,f as n,c as s,j as l,v as c,y as d,k as i,o as t,a as f,w as g,d as h,t as u,x as _}from"../chunks/index.78c82d43.js";import{D as $}from"../chunks/Docstring.4e7352e2.js";import{I as Ne}from"../chunks/IconCopyLink.bedaa44d.js";function Or(Mn){let k,mt,et,ft,O,F,tt,Z,Gt,Me,En="Exporting 🤗 Transformers models to ONNX",dt,ee,qn=`🤗 Transformers provides a <code>transformers.onnx</code> package that enables you to
convert model checkpoints to an ONNX graph by leveraging configuration objects.`,pt,te,Fn=`See the <a href="../serialization">guide</a> on exporting 🤗 Transformers models for more
details.`,ct,P,S,nt,ne,Bt,Ee,Sn="ONNX Configurations",gt,re,Dn=`We provide three abstract classes that you should inherit from, depending on the
type of model architecture you wish to export:`,ht,oe,Ln='<li>Encoder-based models inherit from <a href="/docs/transformers/pr_21764/en/main_classes/onnx#transformers.onnx.OnnxConfig">OnnxConfig</a></li> <li>Decoder-based models inherit from <a href="/docs/transformers/pr_21764/en/main_classes/onnx#transformers.onnx.OnnxConfigWithPast">OnnxConfigWithPast</a></li> <li>Encoder-decoder models inherit from <a href="/docs/transformers/pr_21764/en/main_classes/onnx#transformers.onnx.OnnxSeq2SeqConfigWithPast">OnnxSeq2SeqConfigWithPast</a></li>',ut,T,D,rt,ae,Jt,qe,An="OnnxConfig",_t,x,se,Kt,Fe,In="Base class for ONNX exportable model describing metadata on how to export the model through the ONNX format.",Qt,L,ie,Yt,Se,Wn=`Flatten any potential nested structure expanding the name of the field with the index of the element within the
structure.`,Zt,A,le,en,De,Hn="Instantiate a OnnxConfig for a specific model",tn,I,me,nn,Le,Vn="Generate inputs to provide to the ONNX exporter for the specific framework",rn,W,fe,on,Ae,zn=`Generate inputs for ONNX Runtime using the reference model inputs. Override this to run inference with seq2seq
models which have the encoder and decoder exported as separate ONNX files.`,an,H,de,sn,Ie,Xn="Flag indicating if the model requires using external data format",xt,N,V,ot,pe,ln,We,Rn="OnnxConfigWithPast",vt,w,ce,mn,z,ge,fn,He,jn="Fill the input_or_outputs mapping with past_key_values dynamic axes considering.",dn,X,he,pn,Ve,Un="Instantiate a OnnxConfig with <code>use_past</code> attribute set to True",$t,M,R,at,ue,cn,ze,Gn="OnnxSeq2SeqConfigWithPast",bt,_e,xe,yt,E,j,st,ve,gn,Xe,Bn="ONNX Features",Ct,$e,Jn=`Each ONNX configuration is associated with a set of <em>features</em> that enable you
to export models for different types of topologies or tasks.`,wt,q,U,it,be,hn,Re,Kn="FeaturesManager",kt,v,ye,un,G,Ce,_n,je,Qn="Check whether or not the model has the requested features.",xn,C,we,vn,Ue,Yn="Determines the framework to use for the export.",$n,Ge,Zn="The priority is in the following order:",bn,Be,er="<li>User input via <code>framework</code>.</li> <li>If local checkpoint is provided, use the same framework as the checkpoint.</li> <li>Available framework in environment, with priority given to PyTorch</li>",yn,B,ke,Cn,Je,tr="Gets the OnnxConfig for a model_type and feature combination.",wn,J,Oe,kn,Ke,nr="Attempts to retrieve an AutoModel class from a feature name.",On,K,Pe,Pn,Qe,rr="Attempts to retrieve a model from a model’s name and the feature to be enabled.",Tn,Q,Te,Nn,Ye,or="Tries to retrieve the feature -> OnnxConfig constructor map from the model type.",Ot,lt,Pt;return Z=new Ne({}),ne=new Ne({}),ae=new Ne({}),se=new $({props:{name:"class transformers.onnx.OnnxConfig",anchor:"transformers.onnx.OnnxConfig",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"},{name:"patching_specs",val:": typing.List[transformers.onnx.config.PatchingSpec] = None"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/onnx/config.py#L68"}}),ie=new $({props:{name:"flatten_output_collection_property",anchor:"transformers.onnx.OnnxConfig.flatten_output_collection_property",parameters:[{name:"name",val:": str"},{name:"field",val:": typing.Iterable[typing.Any]"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/onnx/config.py#L424",returnDescription:`
<p>Outputs with flattened structure and key mapping this new structure.</p>
`,returnType:`
<p>(Dict[str, Any])</p>
`}}),le=new $({props:{name:"from_model_config",anchor:"transformers.onnx.OnnxConfig.from_model_config",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/onnx/config.py#L127",returnDescription:`
<p>OnnxConfig for this model</p>
`}}),me=new $({props:{name:"generate_dummy_inputs",anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs",parameters:[{name:"preprocessor",val:": typing.Union[ForwardRef('PreTrainedTokenizerBase'), ForwardRef('FeatureExtractionMixin'), ForwardRef('ImageProcessingMixin')]"},{name:"batch_size",val:": int = -1"},{name:"seq_length",val:": int = -1"},{name:"num_choices",val:": int = -1"},{name:"is_pair",val:": bool = False"},{name:"framework",val:": typing.Optional[transformers.utils.generic.TensorType] = None"},{name:"num_channels",val:": int = 3"},{name:"image_width",val:": int = 40"},{name:"image_height",val:": int = 40"},{name:"sampling_rate",val:": int = 22050"},{name:"time_duration",val:": float = 5.0"},{name:"frequency",val:": int = 220"},{name:"tokenizer",val:": PreTrainedTokenizerBase = None"}],parametersDescription:[{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
The batch size to export the model for (-1 means dynamic axis).`,name:"batch_size"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.num_choices",description:`<strong>num_choices</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
The number of candidate answers provided for multiple choice task (-1 means dynamic axis).`,name:"num_choices"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.seq_length",description:`<strong>seq_length</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
The sequence length to export the model for (-1 means dynamic axis).`,name:"seq_length"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.is_pair",description:`<strong>is_pair</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Indicate if the input is a pair (sentence 1, sentence 2)`,name:"is_pair"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.framework",description:`<strong>framework</strong> (<code>TensorType</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The framework (PyTorch or TensorFlow) that the tokenizer will generate tensors for.`,name:"framework"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of channels of the generated images.`,name:"num_channels"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.image_width",description:`<strong>image_width</strong> (<code>int</code>, <em>optional</em>, defaults to 40) &#x2014;
The width of the generated images.`,name:"image_width"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.image_height",description:`<strong>image_height</strong> (<code>int</code>, <em>optional</em>, defaults to 40) &#x2014;
The height of the generated images.`,name:"image_height"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.sampling_rate",description:`<strong>sampling_rate</strong> (<code>int</code>, <em>optional</em> defaults to 22050) &#x2014;
The sampling rate for audio data generation.`,name:"sampling_rate"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.time_duration",description:`<strong>time_duration</strong> (<code>float</code>, <em>optional</em> defaults to 5.0) &#x2014;
Total seconds of sampling for audio data generation.`,name:"time_duration"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.frequency",description:`<strong>frequency</strong> (<code>int</code>, <em>optional</em> defaults to 220) &#x2014;
The desired natural frequency of generated audio.`,name:"frequency"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/onnx/config.py#L280",returnDescription:`
<p>Mapping[str, Tensor] holding the kwargs to provide to the model’s forward function</p>
`}}),fe=new $({props:{name:"generate_dummy_inputs_onnxruntime",anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs_onnxruntime",parameters:[{name:"reference_model_inputs",val:": typing.Mapping[str, typing.Any]"}],parametersDescription:[{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs_onnxruntime.reference_model_inputs",description:`<strong>reference_model_inputs</strong> ([<code>Mapping[str, Tensor]</code>) &#x2014;
Reference inputs for the model.`,name:"reference_model_inputs"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/onnx/config.py#L400",returnDescription:`
<p>The mapping holding the kwargs to provide to the model’s forward function</p>
`,returnType:`
<p><code>Mapping[str, Tensor]</code></p>
`}}),de=new $({props:{name:"use_external_data_format",anchor:"transformers.onnx.OnnxConfig.use_external_data_format",parameters:[{name:"num_parameters",val:": int"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/onnx/config.py#L241",returnDescription:`
<p>True if model.num_parameters() * size_of(float32) >= 2Gb False otherwise</p>
`}}),pe=new Ne({}),ce=new $({props:{name:"class transformers.onnx.OnnxConfigWithPast",anchor:"transformers.onnx.OnnxConfigWithPast",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"},{name:"patching_specs",val:": typing.List[transformers.onnx.config.PatchingSpec] = None"},{name:"use_past",val:": bool = False"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/onnx/config.py#L443"}}),ge=new $({props:{name:"fill_with_past_key_values_",anchor:"transformers.onnx.OnnxConfigWithPast.fill_with_past_key_values_",parameters:[{name:"inputs_or_outputs",val:": typing.Mapping[str, typing.Mapping[int, str]]"},{name:"direction",val:": str"},{name:"inverted_values_shape",val:": bool = False"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/onnx/config.py#L550"}}),he=new $({props:{name:"with_past",anchor:"transformers.onnx.OnnxConfigWithPast.with_past",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/onnx/config.py#L454",returnDescription:`
<p>OnnxConfig with <code>.use_past = True</code></p>
`}}),ue=new Ne({}),xe=new $({props:{name:"class transformers.onnx.OnnxSeq2SeqConfigWithPast",anchor:"transformers.onnx.OnnxSeq2SeqConfigWithPast",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"},{name:"patching_specs",val:": typing.List[transformers.onnx.config.PatchingSpec] = None"},{name:"use_past",val:": bool = False"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/onnx/config.py#L590"}}),ve=new Ne({}),be=new Ne({}),ye=new $({props:{name:"class transformers.onnx.FeaturesManager",anchor:"transformers.onnx.FeaturesManager",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/onnx/features.py#L85"}}),Ce=new $({props:{name:"check_supported_model_or_raise",anchor:"transformers.onnx.FeaturesManager.check_supported_model_or_raise",parameters:[{name:"model",val:": typing.Union[ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')]"},{name:"feature",val:": str = 'default'"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/onnx/features.py#L711",returnDescription:`
<p>(str) The type of the model (OnnxConfig) The OnnxConfig instance holding the model export properties.</p>
`}}),we=new $({props:{name:"determine_framework",anchor:"transformers.onnx.FeaturesManager.determine_framework",parameters:[{name:"model",val:": str"},{name:"framework",val:": str = None"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.determine_framework.model",description:`<strong>model</strong> (<code>str</code>) &#x2014;
The name of the model to export.`,name:"model"},{anchor:"transformers.onnx.FeaturesManager.determine_framework.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The framework to use for the export. See above for priority if none provided.`,name:"framework"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/onnx/features.py#L628",returnDescription:`
<p>The framework to use for the export.</p>
`}}),ke=new $({props:{name:"get_config",anchor:"transformers.onnx.FeaturesManager.get_config",parameters:[{name:"model_type",val:": str"},{name:"feature",val:": str"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_config.model_type",description:`<strong>model_type</strong> (<code>str</code>) &#x2014;
The model type to retrieve the config for.`,name:"model_type"},{anchor:"transformers.onnx.FeaturesManager.get_config.feature",description:`<strong>feature</strong> (<code>str</code>) &#x2014;
The feature to retrieve the config for.`,name:"feature"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/onnx/features.py#L736",returnDescription:`
<p>config for the combination</p>
`,returnType:`
<p><code>OnnxConfig</code></p>
`}}),Oe=new $({props:{name:"get_model_class_for_feature",anchor:"transformers.onnx.FeaturesManager.get_model_class_for_feature",parameters:[{name:"feature",val:": str"},{name:"framework",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_model_class_for_feature.feature",description:`<strong>feature</strong> (<code>str</code>) &#x2014;
The feature required.`,name:"feature"},{anchor:"transformers.onnx.FeaturesManager.get_model_class_for_feature.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The framework to use for the export.`,name:"framework"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/onnx/features.py#L601",returnDescription:`
<p>The AutoModel class corresponding to the feature.</p>
`}}),Pe=new $({props:{name:"get_model_from_feature",anchor:"transformers.onnx.FeaturesManager.get_model_from_feature",parameters:[{name:"feature",val:": str"},{name:"model",val:": str"},{name:"framework",val:": str = None"},{name:"cache_dir",val:": str = None"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_model_from_feature.feature",description:`<strong>feature</strong> (<code>str</code>) &#x2014;
The feature required.`,name:"feature"},{anchor:"transformers.onnx.FeaturesManager.get_model_from_feature.model",description:`<strong>model</strong> (<code>str</code>) &#x2014;
The name of the model to export.`,name:"model"},{anchor:"transformers.onnx.FeaturesManager.get_model_from_feature.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The framework to use for the export. See <code>FeaturesManager.determine_framework</code> for the priority should
none be provided.`,name:"framework"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/onnx/features.py#L678",returnDescription:`
<p>The instance of the model.</p>
`}}),Te=new $({props:{name:"get_supported_features_for_model_type",anchor:"transformers.onnx.FeaturesManager.get_supported_features_for_model_type",parameters:[{name:"model_type",val:": str"},{name:"model_name",val:": typing.Optional[str] = None"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_supported_features_for_model_type.model_type",description:`<strong>model_type</strong> (<code>str</code>) &#x2014;
The model type to retrieve the supported features for.`,name:"model_type"},{anchor:"transformers.onnx.FeaturesManager.get_supported_features_for_model_type.model_name",description:`<strong>model_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The name attribute of the model object, only used for the exception message.`,name:"model_name"}],source:"https://github.com/huggingface/transformers/blob/vr_21764/src/transformers/onnx/features.py#L556",returnDescription:`
<p>The dictionary mapping each feature to a corresponding OnnxConfig constructor.</p>
`}}),{c(){k=r("meta"),mt=a(),et=r("p"),ft=a(),O=r("h1"),F=r("a"),tt=r("span"),p(Z.$$.fragment),Gt=a(),Me=r("span"),Me.textContent=En,dt=a(),ee=r("p"),ee.innerHTML=qn,pt=a(),te=r("p"),te.innerHTML=Fn,ct=a(),P=r("h2"),S=r("a"),nt=r("span"),p(ne.$$.fragment),Bt=a(),Ee=r("span"),Ee.textContent=Sn,gt=a(),re=r("p"),re.textContent=Dn,ht=a(),oe=r("ul"),oe.innerHTML=Ln,ut=a(),T=r("h3"),D=r("a"),rt=r("span"),p(ae.$$.fragment),Jt=a(),qe=r("span"),qe.textContent=An,_t=a(),x=r("div"),p(se.$$.fragment),Kt=a(),Fe=r("p"),Fe.textContent=In,Qt=a(),L=r("div"),p(ie.$$.fragment),Yt=a(),Se=r("p"),Se.textContent=Wn,Zt=a(),A=r("div"),p(le.$$.fragment),en=a(),De=r("p"),De.textContent=Hn,tn=a(),I=r("div"),p(me.$$.fragment),nn=a(),Le=r("p"),Le.textContent=Vn,rn=a(),W=r("div"),p(fe.$$.fragment),on=a(),Ae=r("p"),Ae.textContent=zn,an=a(),H=r("div"),p(de.$$.fragment),sn=a(),Ie=r("p"),Ie.textContent=Xn,xt=a(),N=r("h3"),V=r("a"),ot=r("span"),p(pe.$$.fragment),ln=a(),We=r("span"),We.textContent=Rn,vt=a(),w=r("div"),p(ce.$$.fragment),mn=a(),z=r("div"),p(ge.$$.fragment),fn=a(),He=r("p"),He.textContent=jn,dn=a(),X=r("div"),p(he.$$.fragment),pn=a(),Ve=r("p"),Ve.innerHTML=Un,$t=a(),M=r("h3"),R=r("a"),at=r("span"),p(ue.$$.fragment),cn=a(),ze=r("span"),ze.textContent=Gn,bt=a(),_e=r("div"),p(xe.$$.fragment),yt=a(),E=r("h2"),j=r("a"),st=r("span"),p(ve.$$.fragment),gn=a(),Xe=r("span"),Xe.textContent=Bn,Ct=a(),$e=r("p"),$e.innerHTML=Jn,wt=a(),q=r("h3"),U=r("a"),it=r("span"),p(be.$$.fragment),hn=a(),Re=r("span"),Re.textContent=Kn,kt=a(),v=r("div"),p(ye.$$.fragment),un=a(),G=r("div"),p(Ce.$$.fragment),_n=a(),je=r("p"),je.textContent=Qn,xn=a(),C=r("div"),p(we.$$.fragment),vn=a(),Ue=r("p"),Ue.textContent=Yn,$n=a(),Ge=r("p"),Ge.textContent=Zn,bn=a(),Be=r("ol"),Be.innerHTML=er,yn=a(),B=r("div"),p(ke.$$.fragment),Cn=a(),Je=r("p"),Je.textContent=tr,wn=a(),J=r("div"),p(Oe.$$.fragment),kn=a(),Ke=r("p"),Ke.textContent=nr,On=a(),K=r("div"),p(Pe.$$.fragment),Pn=a(),Qe=r("p"),Qe.textContent=rr,Tn=a(),Q=r("div"),p(Te.$$.fragment),Nn=a(),Ye=r("p"),Ye.textContent=or,Ot=a(),lt=r("p"),this.h()},l(e){const m=kr("svelte-1phssyn",document.head);k=o(m,"META",{name:!0,content:!0}),m.forEach(n),mt=s(e),et=o(e,"P",{}),l(et).forEach(n),ft=s(e),O=o(e,"H1",{class:!0});var Tt=l(O);F=o(Tt,"A",{id:!0,class:!0,href:!0});var ar=l(F);tt=o(ar,"SPAN",{});var sr=l(tt);c(Z.$$.fragment,sr),sr.forEach(n),ar.forEach(n),Gt=s(Tt),Me=o(Tt,"SPAN",{"data-svelte-h":!0}),d(Me)!=="svelte-1dy2l4k"&&(Me.textContent=En),Tt.forEach(n),dt=s(e),ee=o(e,"P",{"data-svelte-h":!0}),d(ee)!=="svelte-4jsgzi"&&(ee.innerHTML=qn),pt=s(e),te=o(e,"P",{"data-svelte-h":!0}),d(te)!=="svelte-1nfy7l0"&&(te.innerHTML=Fn),ct=s(e),P=o(e,"H2",{class:!0});var Nt=l(P);S=o(Nt,"A",{id:!0,class:!0,href:!0});var ir=l(S);nt=o(ir,"SPAN",{});var lr=l(nt);c(ne.$$.fragment,lr),lr.forEach(n),ir.forEach(n),Bt=s(Nt),Ee=o(Nt,"SPAN",{"data-svelte-h":!0}),d(Ee)!=="svelte-1k9syut"&&(Ee.textContent=Sn),Nt.forEach(n),gt=s(e),re=o(e,"P",{"data-svelte-h":!0}),d(re)!=="svelte-10ifyz5"&&(re.textContent=Dn),ht=s(e),oe=o(e,"UL",{"data-svelte-h":!0}),d(oe)!=="svelte-voues2"&&(oe.innerHTML=Ln),ut=s(e),T=o(e,"H3",{class:!0});var Mt=l(T);D=o(Mt,"A",{id:!0,class:!0,href:!0});var mr=l(D);rt=o(mr,"SPAN",{});var fr=l(rt);c(ae.$$.fragment,fr),fr.forEach(n),mr.forEach(n),Jt=s(Mt),qe=o(Mt,"SPAN",{"data-svelte-h":!0}),d(qe)!=="svelte-1lti8oq"&&(qe.textContent=An),Mt.forEach(n),_t=s(e),x=o(e,"DIV",{class:!0});var b=l(x);c(se.$$.fragment,b),Kt=s(b),Fe=o(b,"P",{"data-svelte-h":!0}),d(Fe)!=="svelte-1gqzpaz"&&(Fe.textContent=In),Qt=s(b),L=o(b,"DIV",{class:!0});var Et=l(L);c(ie.$$.fragment,Et),Yt=s(Et),Se=o(Et,"P",{"data-svelte-h":!0}),d(Se)!=="svelte-1lfqihc"&&(Se.textContent=Wn),Et.forEach(n),Zt=s(b),A=o(b,"DIV",{class:!0});var qt=l(A);c(le.$$.fragment,qt),en=s(qt),De=o(qt,"P",{"data-svelte-h":!0}),d(De)!=="svelte-1u54gj1"&&(De.textContent=Hn),qt.forEach(n),tn=s(b),I=o(b,"DIV",{class:!0});var Ft=l(I);c(me.$$.fragment,Ft),nn=s(Ft),Le=o(Ft,"P",{"data-svelte-h":!0}),d(Le)!=="svelte-1oyyynq"&&(Le.textContent=Vn),Ft.forEach(n),rn=s(b),W=o(b,"DIV",{class:!0});var St=l(W);c(fe.$$.fragment,St),on=s(St),Ae=o(St,"P",{"data-svelte-h":!0}),d(Ae)!=="svelte-tenqiw"&&(Ae.textContent=zn),St.forEach(n),an=s(b),H=o(b,"DIV",{class:!0});var Dt=l(H);c(de.$$.fragment,Dt),sn=s(Dt),Ie=o(Dt,"P",{"data-svelte-h":!0}),d(Ie)!=="svelte-coevd"&&(Ie.textContent=Xn),Dt.forEach(n),b.forEach(n),xt=s(e),N=o(e,"H3",{class:!0});var Lt=l(N);V=o(Lt,"A",{id:!0,class:!0,href:!0});var dr=l(V);ot=o(dr,"SPAN",{});var pr=l(ot);c(pe.$$.fragment,pr),pr.forEach(n),dr.forEach(n),ln=s(Lt),We=o(Lt,"SPAN",{"data-svelte-h":!0}),d(We)!=="svelte-1osibyu"&&(We.textContent=Rn),Lt.forEach(n),vt=s(e),w=o(e,"DIV",{class:!0});var Ze=l(w);c(ce.$$.fragment,Ze),mn=s(Ze),z=o(Ze,"DIV",{class:!0});var At=l(z);c(ge.$$.fragment,At),fn=s(At),He=o(At,"P",{"data-svelte-h":!0}),d(He)!=="svelte-1bh80il"&&(He.textContent=jn),At.forEach(n),dn=s(Ze),X=o(Ze,"DIV",{class:!0});var It=l(X);c(he.$$.fragment,It),pn=s(It),Ve=o(It,"P",{"data-svelte-h":!0}),d(Ve)!=="svelte-1kg2yu2"&&(Ve.innerHTML=Un),It.forEach(n),Ze.forEach(n),$t=s(e),M=o(e,"H3",{class:!0});var Wt=l(M);R=o(Wt,"A",{id:!0,class:!0,href:!0});var cr=l(R);at=o(cr,"SPAN",{});var gr=l(at);c(ue.$$.fragment,gr),gr.forEach(n),cr.forEach(n),cn=s(Wt),ze=o(Wt,"SPAN",{"data-svelte-h":!0}),d(ze)!=="svelte-1dvel5a"&&(ze.textContent=Gn),Wt.forEach(n),bt=s(e),_e=o(e,"DIV",{class:!0});var hr=l(_e);c(xe.$$.fragment,hr),hr.forEach(n),yt=s(e),E=o(e,"H2",{class:!0});var Ht=l(E);j=o(Ht,"A",{id:!0,class:!0,href:!0});var ur=l(j);st=o(ur,"SPAN",{});var _r=l(st);c(ve.$$.fragment,_r),_r.forEach(n),ur.forEach(n),gn=s(Ht),Xe=o(Ht,"SPAN",{"data-svelte-h":!0}),d(Xe)!=="svelte-q8aqnd"&&(Xe.textContent=Bn),Ht.forEach(n),Ct=s(e),$e=o(e,"P",{"data-svelte-h":!0}),d($e)!=="svelte-a66ofi"&&($e.innerHTML=Jn),wt=s(e),q=o(e,"H3",{class:!0});var Vt=l(q);U=o(Vt,"A",{id:!0,class:!0,href:!0});var xr=l(U);it=o(xr,"SPAN",{});var vr=l(it);c(be.$$.fragment,vr),vr.forEach(n),xr.forEach(n),hn=s(Vt),Re=o(Vt,"SPAN",{"data-svelte-h":!0}),d(Re)!=="svelte-15wt5el"&&(Re.textContent=Kn),Vt.forEach(n),kt=s(e),v=o(e,"DIV",{class:!0});var y=l(v);c(ye.$$.fragment,y),un=s(y),G=o(y,"DIV",{class:!0});var zt=l(G);c(Ce.$$.fragment,zt),_n=s(zt),je=o(zt,"P",{"data-svelte-h":!0}),d(je)!=="svelte-rlyyl3"&&(je.textContent=Qn),zt.forEach(n),xn=s(y),C=o(y,"DIV",{class:!0});var Y=l(C);c(we.$$.fragment,Y),vn=s(Y),Ue=o(Y,"P",{"data-svelte-h":!0}),d(Ue)!=="svelte-rshgf5"&&(Ue.textContent=Yn),$n=s(Y),Ge=o(Y,"P",{"data-svelte-h":!0}),d(Ge)!=="svelte-1wbth9c"&&(Ge.textContent=Zn),bn=s(Y),Be=o(Y,"OL",{"data-svelte-h":!0}),d(Be)!=="svelte-qby6wj"&&(Be.innerHTML=er),Y.forEach(n),yn=s(y),B=o(y,"DIV",{class:!0});var Xt=l(B);c(ke.$$.fragment,Xt),Cn=s(Xt),Je=o(Xt,"P",{"data-svelte-h":!0}),d(Je)!=="svelte-il0adz"&&(Je.textContent=tr),Xt.forEach(n),wn=s(y),J=o(y,"DIV",{class:!0});var Rt=l(J);c(Oe.$$.fragment,Rt),kn=s(Rt),Ke=o(Rt,"P",{"data-svelte-h":!0}),d(Ke)!=="svelte-k5ftuy"&&(Ke.textContent=nr),Rt.forEach(n),On=s(y),K=o(y,"DIV",{class:!0});var jt=l(K);c(Pe.$$.fragment,jt),Pn=s(jt),Qe=o(jt,"P",{"data-svelte-h":!0}),d(Qe)!=="svelte-auvjm5"&&(Qe.textContent=rr),jt.forEach(n),Tn=s(y),Q=o(y,"DIV",{class:!0});var Ut=l(Q);c(Te.$$.fragment,Ut),Nn=s(Ut),Ye=o(Ut,"P",{"data-svelte-h":!0}),d(Ye)!=="svelte-tbalh5"&&(Ye.textContent=or),Ut.forEach(n),y.forEach(n),Ot=s(e),lt=o(e,"P",{}),l(lt).forEach(n),this.h()},h(){i(k,"name","hf:doc:metadata"),i(k,"content",JSON.stringify(Pr)),i(F,"id","exporting-transformers-models-to-onnx"),i(F,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(F,"href","#exporting-transformers-models-to-onnx"),i(O,"class","relative group"),i(S,"id","onnx-configurations"),i(S,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(S,"href","#onnx-configurations"),i(P,"class","relative group"),i(D,"id","transformers.onnx.OnnxConfig"),i(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(D,"href","#transformers.onnx.OnnxConfig"),i(T,"class","relative group"),i(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(V,"id","transformers.onnx.OnnxConfigWithPast"),i(V,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(V,"href","#transformers.onnx.OnnxConfigWithPast"),i(N,"class","relative group"),i(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(R,"id","transformers.onnx.OnnxSeq2SeqConfigWithPast"),i(R,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(R,"href","#transformers.onnx.OnnxSeq2SeqConfigWithPast"),i(M,"class","relative group"),i(_e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(j,"id","onnx-features"),i(j,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(j,"href","#onnx-features"),i(E,"class","relative group"),i(U,"id","transformers.onnx.FeaturesManager"),i(U,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(U,"href","#transformers.onnx.FeaturesManager"),i(q,"class","relative group"),i(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,m){t(document.head,k),f(e,mt,m),f(e,et,m),f(e,ft,m),f(e,O,m),t(O,F),t(F,tt),g(Z,tt,null),t(O,Gt),t(O,Me),f(e,dt,m),f(e,ee,m),f(e,pt,m),f(e,te,m),f(e,ct,m),f(e,P,m),t(P,S),t(S,nt),g(ne,nt,null),t(P,Bt),t(P,Ee),f(e,gt,m),f(e,re,m),f(e,ht,m),f(e,oe,m),f(e,ut,m),f(e,T,m),t(T,D),t(D,rt),g(ae,rt,null),t(T,Jt),t(T,qe),f(e,_t,m),f(e,x,m),g(se,x,null),t(x,Kt),t(x,Fe),t(x,Qt),t(x,L),g(ie,L,null),t(L,Yt),t(L,Se),t(x,Zt),t(x,A),g(le,A,null),t(A,en),t(A,De),t(x,tn),t(x,I),g(me,I,null),t(I,nn),t(I,Le),t(x,rn),t(x,W),g(fe,W,null),t(W,on),t(W,Ae),t(x,an),t(x,H),g(de,H,null),t(H,sn),t(H,Ie),f(e,xt,m),f(e,N,m),t(N,V),t(V,ot),g(pe,ot,null),t(N,ln),t(N,We),f(e,vt,m),f(e,w,m),g(ce,w,null),t(w,mn),t(w,z),g(ge,z,null),t(z,fn),t(z,He),t(w,dn),t(w,X),g(he,X,null),t(X,pn),t(X,Ve),f(e,$t,m),f(e,M,m),t(M,R),t(R,at),g(ue,at,null),t(M,cn),t(M,ze),f(e,bt,m),f(e,_e,m),g(xe,_e,null),f(e,yt,m),f(e,E,m),t(E,j),t(j,st),g(ve,st,null),t(E,gn),t(E,Xe),f(e,Ct,m),f(e,$e,m),f(e,wt,m),f(e,q,m),t(q,U),t(U,it),g(be,it,null),t(q,hn),t(q,Re),f(e,kt,m),f(e,v,m),g(ye,v,null),t(v,un),t(v,G),g(Ce,G,null),t(G,_n),t(G,je),t(v,xn),t(v,C),g(we,C,null),t(C,vn),t(C,Ue),t(C,$n),t(C,Ge),t(C,bn),t(C,Be),t(v,yn),t(v,B),g(ke,B,null),t(B,Cn),t(B,Je),t(v,wn),t(v,J),g(Oe,J,null),t(J,kn),t(J,Ke),t(v,On),t(v,K),g(Pe,K,null),t(K,Pn),t(K,Qe),t(v,Tn),t(v,Q),g(Te,Q,null),t(Q,Nn),t(Q,Ye),f(e,Ot,m),f(e,lt,m),Pt=!0},p:br,i(e){Pt||(h(Z.$$.fragment,e),h(ne.$$.fragment,e),h(ae.$$.fragment,e),h(se.$$.fragment,e),h(ie.$$.fragment,e),h(le.$$.fragment,e),h(me.$$.fragment,e),h(fe.$$.fragment,e),h(de.$$.fragment,e),h(pe.$$.fragment,e),h(ce.$$.fragment,e),h(ge.$$.fragment,e),h(he.$$.fragment,e),h(ue.$$.fragment,e),h(xe.$$.fragment,e),h(ve.$$.fragment,e),h(be.$$.fragment,e),h(ye.$$.fragment,e),h(Ce.$$.fragment,e),h(we.$$.fragment,e),h(ke.$$.fragment,e),h(Oe.$$.fragment,e),h(Pe.$$.fragment,e),h(Te.$$.fragment,e),Pt=!0)},o(e){u(Z.$$.fragment,e),u(ne.$$.fragment,e),u(ae.$$.fragment,e),u(se.$$.fragment,e),u(ie.$$.fragment,e),u(le.$$.fragment,e),u(me.$$.fragment,e),u(fe.$$.fragment,e),u(de.$$.fragment,e),u(pe.$$.fragment,e),u(ce.$$.fragment,e),u(ge.$$.fragment,e),u(he.$$.fragment,e),u(ue.$$.fragment,e),u(xe.$$.fragment,e),u(ve.$$.fragment,e),u(be.$$.fragment,e),u(ye.$$.fragment,e),u(Ce.$$.fragment,e),u(we.$$.fragment,e),u(ke.$$.fragment,e),u(Oe.$$.fragment,e),u(Pe.$$.fragment,e),u(Te.$$.fragment,e),Pt=!1},d(e){e&&(n(mt),n(et),n(ft),n(O),n(dt),n(ee),n(pt),n(te),n(ct),n(P),n(gt),n(re),n(ht),n(oe),n(ut),n(T),n(_t),n(x),n(xt),n(N),n(vt),n(w),n($t),n(M),n(bt),n(_e),n(yt),n(E),n(Ct),n($e),n(wt),n(q),n(kt),n(v),n(Ot),n(lt)),n(k),_(Z),_(ne),_(ae),_(se),_(ie),_(le),_(me),_(fe),_(de),_(pe),_(ce),_(ge),_(he),_(ue),_(xe),_(ve),_(be),_(ye),_(Ce),_(we),_(ke),_(Oe),_(Pe),_(Te)}}}const Pr={local:"exporting-transformers-models-to-onnx",sections:[{local:"onnx-configurations",sections:[{local:"transformers.onnx.OnnxConfig",title:"OnnxConfig"},{local:"transformers.onnx.OnnxConfigWithPast",title:"OnnxConfigWithPast"},{local:"transformers.onnx.OnnxSeq2SeqConfigWithPast",title:"OnnxSeq2SeqConfigWithPast"}],title:"ONNX Configurations"},{local:"onnx-features",sections:[{local:"transformers.onnx.FeaturesManager",title:"FeaturesManager"}],title:"ONNX Features"}],title:"Exporting 🤗 Transformers models to ONNX"};function Tr(Mn){return yr(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Fr extends Cr{constructor(k){super(),wr(this,k,Tr,Or,$r,{})}}export{Fr as component};
