import{s as yt,o as Ct,n as bt}from"../chunks/scheduler.36a0863c.js";import{S as Et,i as It,g as r,s as a,u as K,A as Lt,h as o,f as t,c as l,j as c,v as W,y as u,k as s,o as p,a as n,w as Y,d as Z,t as ee,x as te}from"../chunks/index.d0f7a4c4.js";import{T as jt}from"../chunks/Tip.4c7d7eb1.js";import{I as se}from"../chunks/IconCopyLink.bc5fad79.js";function Ht(me){let d,I="per PyTorch >= 1.14.0. JIT-mode potrebe giovare a qualsiasi modello di prediction e evaluaion visto che il dict input è supportato in jit.trace",v,f,m=`per PyTorch < 1.14.0. JIT-mode potrebbe giovare ai modelli il cui ordine dei parametri corrisponde all’ordine delle tuple in ingresso in jit.trace, come i modelli per question-answering.
Nel caso in cui l’ordine dei parametri seguenti non corrisponda all’ordine delle tuple in ingresso in jit.trace, come nei modelli di text-classification, jit.trace fallirà e lo cattureremo con una eccezione al fine di renderlo un fallback. Il logging è usato per notificare gli utenti.`;return{c(){d=r("p"),d.textContent=I,v=a(),f=r("p"),f.textContent=m},l(h){d=o(h,"P",{"data-svelte-h":!0}),u(d)!=="svelte-1ukl5we"&&(d.textContent=I),v=l(h),f=o(h,"P",{"data-svelte-h":!0}),u(f)!=="svelte-1ajwizk"&&(f.textContent=m)},m(h,_){n(h,d,_),n(h,v,_),n(h,f,_)},p:bt,d(h){h&&(t(d),t(v),t(f))}}}function Mt(me){let d,I,v,f,m,h,_,L,Oe,ie,Ve="Inferenza Efficiente su CPU",ve,j,De="Questa guida si concentra sull’inferenza di modelli di grandi dimensioni in modo efficiente sulla CPU.",_e,g,P,pe,H,Be,ne,Ke="<code>BetterTransformer</code> per inferenza più rapida",ge,M,We='Abbiamo integrato di recente <code>BetterTransformer</code> per fare inferenza più rapidamente con modelli per testi, immagini e audio. Visualizza la documentazione sull’integrazione <a href="https://huggingface.co/docs/optimum/bettertransformer/overview" rel="nofollow">qui</a> per maggiori dettagli.',xe,x,z,ue,k,Ge,re,Ye="PyTorch JIT-mode (TorchScript)",$e,A,Ze=`TorchScript è un modo di creare modelli serializzabili e ottimizzabili da codice PyTorch. Ogni programmma TorchScript può esere salvato da un processo Python  e caricato in un processo dove non ci sono dipendenze Python.
Comparandolo con l’eager mode di default, jit mode in PyTorch normalmente fornisce prestazioni migliori per l’inferenza del modello da parte di metodologie di ottimizzazione come la operator fusion.`,we,S,et='Per una prima introduzione a TorchScript, vedi la Introduction to <a href="https://pytorch.org/tutorials/beginner/Intro_to_TorchScript_tutorial.html#tracing-modules" rel="nofollow">PyTorch TorchScript tutorial</a>.',Te,$,y,ce,q,Re,oe,tt="IPEX Graph Optimization con JIT-mode",Pe,N,it="Intel® Extension per PyTorch fornnisce ulteriori ottimizzazioni in jit mode per i modelli della serie Transformers. Consigliamo vivamente agli utenti di usufruire dei vantaggi di Intel® Extension per PyTorch con jit mode. Alcuni operator patterns usati fequentemente dai modelli Transformers models sono già supportati in Intel® Extension per PyTorch con jit mode fusions. Questi fusion patterns come Multi-head-attention fusion, Concat Linear, Linear+Add, Linear+Gelu, Add+LayerNorm fusion and etc. sono abilitati e hanno buone performance. I benefici della fusion è fornito agli utenti in modo trasparente. In base alle analisi, il ~70% dei problemi più popolari in NLP question-answering, text-classification, and token-classification possono avere benefici sulle performance grazie ai fusion patterns sia per Float32 precision che per BFloat16 Mixed precision.",ze,J,nt='Vedi maggiori informazioni per <a href="https://intel.github.io/intel-extension-for-pytorch/cpu/latest/tutorials/features/graph_optimization.html" rel="nofollow">IPEX Graph Optimization</a>.',ye,w,C,he,U,Fe,ae,rt="Installazione di IPEX",Ce,X,ot='I rilasci di IPEX seguono PyTorch, verifica i vari approcci per <a href="https://intel.github.io/intel-extension-for-pytorch/" rel="nofollow">IPEX installation</a>.',be,T,b,de,O,Qe,le,at="Utilizzo del JIT-mode",Ee,B,lt="Per abilitare JIT-mode in Trainer per evaluation e prediction, devi aggiungere <code>jit_mode_eval</code> negli argomenti di Trainer.",Ie,E,Le,G,st='Trovi un esempo con caso d’uso in <a href="https://github.com/huggingface/transformers/tree/main/examples/pytorch/question-answering" rel="nofollow">Transformers question-answering</a>',je,R,pt="<li>Inference using jit mode on CPU:</li>",He,F,ut=`python run_qa.py \\
--model_name_or_path csarron/bert-base-uncased-squad-v1 \\
--dataset_name squad \\
--do_eval \\
--max_seq_length 384 \\
--doc_stride 128 \\
--output_dir /tmp/ \\
--no_cuda \\
<b>--jit_mode_eval </b>`,Me,Q,ct="<li>Inference with IPEX using jit mode on CPU:</li>",ke,V,ht=`python run_qa.py \\
--model_name_or_path csarron/bert-base-uncased-squad-v1 \\
--dataset_name squad \\
--do_eval \\
--max_seq_length 384 \\
--doc_stride 128 \\
--output_dir /tmp/ \\
--no_cuda \\
<b>--use_ipex \\</b>
<b>--jit_mode_eval</b>`,Ae,fe,Se;return L=new se({}),H=new se({}),k=new se({}),q=new se({}),U=new se({}),O=new se({}),E=new jt({props:{warning:!0,$$slots:{default:[Ht]},$$scope:{ctx:me}}}),{c(){d=r("meta"),I=a(),v=r("p"),f=a(),m=r("h1"),h=r("a"),_=r("span"),K(L.$$.fragment),Oe=a(),ie=r("span"),ie.textContent=Ve,ve=a(),j=r("p"),j.textContent=De,_e=a(),g=r("h2"),P=r("a"),pe=r("span"),K(H.$$.fragment),Be=a(),ne=r("span"),ne.innerHTML=Ke,ge=a(),M=r("p"),M.innerHTML=We,xe=a(),x=r("h2"),z=r("a"),ue=r("span"),K(k.$$.fragment),Ge=a(),re=r("span"),re.textContent=Ye,$e=a(),A=r("p"),A.textContent=Ze,we=a(),S=r("p"),S.innerHTML=et,Te=a(),$=r("h3"),y=r("a"),ce=r("span"),K(q.$$.fragment),Re=a(),oe=r("span"),oe.textContent=tt,Pe=a(),N=r("p"),N.textContent=it,ze=a(),J=r("p"),J.innerHTML=nt,ye=a(),w=r("h4"),C=r("a"),he=r("span"),K(U.$$.fragment),Fe=a(),ae=r("span"),ae.textContent=rt,Ce=a(),X=r("p"),X.innerHTML=ot,be=a(),T=r("h3"),b=r("a"),de=r("span"),K(O.$$.fragment),Qe=a(),le=r("span"),le.textContent=at,Ee=a(),B=r("p"),B.innerHTML=lt,Ie=a(),K(E.$$.fragment),Le=a(),G=r("p"),G.innerHTML=st,je=a(),R=r("ul"),R.innerHTML=pt,He=a(),F=r("pre"),F.innerHTML=ut,Me=a(),Q=r("ul"),Q.innerHTML=ct,ke=a(),V=r("pre"),V.innerHTML=ht,Ae=a(),fe=r("p"),this.h()},l(e){const i=Lt("svelte-1phssyn",document.head);d=o(i,"META",{name:!0,content:!0}),i.forEach(t),I=l(e),v=o(e,"P",{}),c(v).forEach(t),f=l(e),m=o(e,"H1",{class:!0});var D=c(m);h=o(D,"A",{id:!0,class:!0,href:!0});var dt=c(h);_=o(dt,"SPAN",{});var ft=c(_);W(L.$$.fragment,ft),ft.forEach(t),dt.forEach(t),Oe=l(D),ie=o(D,"SPAN",{"data-svelte-h":!0}),u(ie)!=="svelte-1x8ayz1"&&(ie.textContent=Ve),D.forEach(t),ve=l(e),j=o(e,"P",{"data-svelte-h":!0}),u(j)!=="svelte-qu0j64"&&(j.textContent=De),_e=l(e),g=o(e,"H2",{class:!0});var qe=c(g);P=o(qe,"A",{id:!0,class:!0,href:!0});var mt=c(P);pe=o(mt,"SPAN",{});var vt=c(pe);W(H.$$.fragment,vt),vt.forEach(t),mt.forEach(t),Be=l(qe),ne=o(qe,"SPAN",{"data-svelte-h":!0}),u(ne)!=="svelte-xfnbwn"&&(ne.innerHTML=Ke),qe.forEach(t),ge=l(e),M=o(e,"P",{"data-svelte-h":!0}),u(M)!=="svelte-67xobp"&&(M.innerHTML=We),xe=l(e),x=o(e,"H2",{class:!0});var Ne=c(x);z=o(Ne,"A",{id:!0,class:!0,href:!0});var _t=c(z);ue=o(_t,"SPAN",{});var gt=c(ue);W(k.$$.fragment,gt),gt.forEach(t),_t.forEach(t),Ge=l(Ne),re=o(Ne,"SPAN",{"data-svelte-h":!0}),u(re)!=="svelte-ps12u5"&&(re.textContent=Ye),Ne.forEach(t),$e=l(e),A=o(e,"P",{"data-svelte-h":!0}),u(A)!=="svelte-3muwsh"&&(A.textContent=Ze),we=l(e),S=o(e,"P",{"data-svelte-h":!0}),u(S)!=="svelte-6flq5m"&&(S.innerHTML=et),Te=l(e),$=o(e,"H3",{class:!0});var Je=c($);y=o(Je,"A",{id:!0,class:!0,href:!0});var xt=c(y);ce=o(xt,"SPAN",{});var $t=c(ce);W(q.$$.fragment,$t),$t.forEach(t),xt.forEach(t),Re=l(Je),oe=o(Je,"SPAN",{"data-svelte-h":!0}),u(oe)!=="svelte-1ctdrsn"&&(oe.textContent=tt),Je.forEach(t),Pe=l(e),N=o(e,"P",{"data-svelte-h":!0}),u(N)!=="svelte-1p2d5pw"&&(N.textContent=it),ze=l(e),J=o(e,"P",{"data-svelte-h":!0}),u(J)!=="svelte-1e9vei1"&&(J.innerHTML=nt),ye=l(e),w=o(e,"H4",{class:!0});var Ue=c(w);C=o(Ue,"A",{id:!0,class:!0,href:!0});var wt=c(C);he=o(wt,"SPAN",{});var Tt=c(he);W(U.$$.fragment,Tt),Tt.forEach(t),wt.forEach(t),Fe=l(Ue),ae=o(Ue,"SPAN",{"data-svelte-h":!0}),u(ae)!=="svelte-4i8h77"&&(ae.textContent=rt),Ue.forEach(t),Ce=l(e),X=o(e,"P",{"data-svelte-h":!0}),u(X)!=="svelte-1cbxjdx"&&(X.innerHTML=ot),be=l(e),T=o(e,"H3",{class:!0});var Xe=c(T);b=o(Xe,"A",{id:!0,class:!0,href:!0});var Pt=c(b);de=o(Pt,"SPAN",{});var zt=c(de);W(O.$$.fragment,zt),zt.forEach(t),Pt.forEach(t),Qe=l(Xe),le=o(Xe,"SPAN",{"data-svelte-h":!0}),u(le)!=="svelte-1rd8i05"&&(le.textContent=at),Xe.forEach(t),Ee=l(e),B=o(e,"P",{"data-svelte-h":!0}),u(B)!=="svelte-y6f70"&&(B.innerHTML=lt),Ie=l(e),W(E.$$.fragment,e),Le=l(e),G=o(e,"P",{"data-svelte-h":!0}),u(G)!=="svelte-ibdywp"&&(G.innerHTML=st),je=l(e),R=o(e,"UL",{"data-svelte-h":!0}),u(R)!=="svelte-xwyqaf"&&(R.innerHTML=pt),He=l(e),F=o(e,"PRE",{"data-svelte-h":!0}),u(F)!=="svelte-gw81i0"&&(F.innerHTML=ut),Me=l(e),Q=o(e,"UL",{"data-svelte-h":!0}),u(Q)!=="svelte-prijpn"&&(Q.innerHTML=ct),ke=l(e),V=o(e,"PRE",{"data-svelte-h":!0}),u(V)!=="svelte-18ss6jb"&&(V.innerHTML=ht),Ae=l(e),fe=o(e,"P",{}),c(fe).forEach(t),this.h()},h(){s(d,"name","hf:doc:metadata"),s(d,"content",JSON.stringify(kt)),s(h,"id","inferenza-efficiente-su-cpu"),s(h,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(h,"href","#inferenza-efficiente-su-cpu"),s(m,"class","relative group"),s(P,"id","bettertransformer-per-inferenza-pi-rapida"),s(P,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(P,"href","#bettertransformer-per-inferenza-pi-rapida"),s(g,"class","relative group"),s(z,"id","pytorch-jitmode-torchscript"),s(z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(z,"href","#pytorch-jitmode-torchscript"),s(x,"class","relative group"),s(y,"id","ipex-graph-optimization-con-jitmode"),s(y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(y,"href","#ipex-graph-optimization-con-jitmode"),s($,"class","relative group"),s(C,"id","installazione-di-ipex"),s(C,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(C,"href","#installazione-di-ipex"),s(w,"class","relative group"),s(b,"id","utilizzo-del-jitmode"),s(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(b,"href","#utilizzo-del-jitmode"),s(T,"class","relative group")},m(e,i){p(document.head,d),n(e,I,i),n(e,v,i),n(e,f,i),n(e,m,i),p(m,h),p(h,_),Y(L,_,null),p(m,Oe),p(m,ie),n(e,ve,i),n(e,j,i),n(e,_e,i),n(e,g,i),p(g,P),p(P,pe),Y(H,pe,null),p(g,Be),p(g,ne),n(e,ge,i),n(e,M,i),n(e,xe,i),n(e,x,i),p(x,z),p(z,ue),Y(k,ue,null),p(x,Ge),p(x,re),n(e,$e,i),n(e,A,i),n(e,we,i),n(e,S,i),n(e,Te,i),n(e,$,i),p($,y),p(y,ce),Y(q,ce,null),p($,Re),p($,oe),n(e,Pe,i),n(e,N,i),n(e,ze,i),n(e,J,i),n(e,ye,i),n(e,w,i),p(w,C),p(C,he),Y(U,he,null),p(w,Fe),p(w,ae),n(e,Ce,i),n(e,X,i),n(e,be,i),n(e,T,i),p(T,b),p(b,de),Y(O,de,null),p(T,Qe),p(T,le),n(e,Ee,i),n(e,B,i),n(e,Ie,i),Y(E,e,i),n(e,Le,i),n(e,G,i),n(e,je,i),n(e,R,i),n(e,He,i),n(e,F,i),n(e,Me,i),n(e,Q,i),n(e,ke,i),n(e,V,i),n(e,Ae,i),n(e,fe,i),Se=!0},p(e,[i]){const D={};i&2&&(D.$$scope={dirty:i,ctx:e}),E.$set(D)},i(e){Se||(Z(L.$$.fragment,e),Z(H.$$.fragment,e),Z(k.$$.fragment,e),Z(q.$$.fragment,e),Z(U.$$.fragment,e),Z(O.$$.fragment,e),Z(E.$$.fragment,e),Se=!0)},o(e){ee(L.$$.fragment,e),ee(H.$$.fragment,e),ee(k.$$.fragment,e),ee(q.$$.fragment,e),ee(U.$$.fragment,e),ee(O.$$.fragment,e),ee(E.$$.fragment,e),Se=!1},d(e){e&&(t(I),t(v),t(f),t(m),t(ve),t(j),t(_e),t(g),t(ge),t(M),t(xe),t(x),t($e),t(A),t(we),t(S),t(Te),t($),t(Pe),t(N),t(ze),t(J),t(ye),t(w),t(Ce),t(X),t(be),t(T),t(Ee),t(B),t(Ie),t(Le),t(G),t(je),t(R),t(He),t(F),t(Me),t(Q),t(ke),t(V),t(Ae),t(fe)),t(d),te(L),te(H),te(k),te(q),te(U),te(O),te(E,e)}}}const kt={local:"inferenza-efficiente-su-cpu",sections:[{local:"bettertransformer-per-inferenza-pi-rapida",title:"`BetterTransformer` per inferenza più rapida"},{local:"pytorch-jitmode-torchscript",sections:[{local:"ipex-graph-optimization-con-jitmode",sections:[{local:"installazione-di-ipex",title:"Installazione di IPEX"}],title:"IPEX Graph Optimization con JIT-mode"},{local:"utilizzo-del-jitmode",title:"Utilizzo del JIT-mode"}],title:"PyTorch JIT-mode (TorchScript)"}],title:"Inferenza Efficiente su CPU"};function At(me){return Ct(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ut extends Et{constructor(d){super(),It(this,d,At,Mt,yt,{})}}export{Ut as component};
