import{s as di,n as mi,o as fi}from"../chunks/scheduler.36a0863c.js";import{S as hi,i as vi,g as o,s as a,u as d,A as $i,h as n,f as t,c as s,j as p,v as m,y as r,k as u,o as c,a as l,w as f,d as h,t as v,x as $}from"../chunks/index.d0f7a4c4.js";import{I as Pe}from"../chunks/IconCopyLink.bc5fad79.js";import{C as g}from"../chunks/CodeBlock.4236768d.js";function gi(zt){let _,Me,xe,Te,x,k,Ce,q,Ct,he,Pt="Controlli su una Pull Request",qe,H,Mt="Quando apri una pull request sui 🤗 Transformers, vengono eseguiti un discreto numero di controlli per assicurarsi che la patch che stai aggiungendo non stia rompendo qualcosa di esistente. Questi controlli sono di quattro tipi:",He,L,Tt="<li>test regolari</li> <li>costruzione della documentazione</li> <li>stile del codice e della documentazione</li> <li>coerenza generale del repository</li>",Le,A,qt="In questo documento, cercheremo di spiegare quali sono i vari controlli e le loro ragioni, oltre a spiegare come eseguire il debug locale se uno di essi fallisce sulla tua PR.",Ae,S,Ht="Nota che tutti richiedono un’installazione dev:",Se,E,Ee,R,Lt="o un’installazione modificabile:",Re,U,Ue,N,At="all’interno del repo Transformers.",Ne,C,z,ye,G,yt,ve,St="Tests",Ge,W,Et="Tutti i job che iniziano con <code>ci/circleci: run_tests_</code> eseguono parti della suite di test dei Transformers. Ognuno di questi job si concentra su una parte della libreria in un determinato ambiente: per esempio <code>ci/circleci: run_tests_pipelines_tf</code> esegue il test delle pipeline in un ambiente in cui è installato solo TensorFlow.",We,Z,Rt="Nota che per evitare di eseguire i test quando non ci sono cambiamenti reali nei moduli che si stanno testando, ogni volta viene eseguita solo una parte della suite di test: viene eseguita una utility per determinare le differenze nella libreria tra prima e dopo la PR (ciò che GitHub mostra nella scheda “Files changes”) e sceglie i test che sono stati impattati dalla diff. Questa utility può essere eseguita localmente con:",Ze,j,je,I,Ut="dalla root del repo Transformers. Di seguito ciò che farà:",Ie,Q,Nt="<li>Controlla per ogni file nel diff se le modifiche sono nel codice o solo nei commenti o nelle docstrings. Vengono mantenuti solo i file con modifiche reali al codice.</li> <li>Costruisce una mappa interna che fornisce per ogni file del codice sorgente della libreria tutti i file su cui ha un impatto ricorsivo. Si dice che il modulo A ha un impatto sul modulo B se il modulo B importa il modulo A. Per l’impatto ricorsivo, abbiamo bisogno di una catena di moduli che va dal modulo A al modulo B in cui ogni modulo importa il precedente.</li> <li>Applica questa mappa ai file raccolti nel passaggio 1, si ottiene l’elenco dei file del modello interessati dalla PR.</li> <li>Mappa ciascuno di questi file con i corrispondenti file di test e ottiene l’elenco dei test da eseguire.</li>",Qe,F,Gt="Quando esegui lo script in locale, dovresti ottenere la stampa dei risultati dei passi 1, 3 e 4 e quindi sapere quali test sono stati eseguiti. Lo script creerà anche un file chiamato <code>test_list.txt</code> che contiene l’elenco dei test da eseguire e che puoi eseguire localmente con il seguente comando:",Fe,B,Be,J,Wt="Nel caso in cui qualcosa sia sfuggito, l’intera suite di test viene eseguita quotidianamente.",Je,y,P,we,D,wt,$e,Zt="Build della documentazione",De,V,jt="Il job <code>ci/circleci: build_doc</code> esegue una build della documentazione per assicurarsi che tutto sia a posto una volta che la PR è stata unita. Se questo passaggio fallisce, puoi controllare localmente entrando nella cartella <code>docs</code> del repo Transformers e digitare",Ve,X,Xe,Y,It="Sphinx non è noto per i suoi messaggi di errore chiari, quindi potrebbe essere necessario che provi alcune cose per trovare davvero la fonte dell’errore.",Ye,w,M,be,O,bt,ge,Qt="Stile del codice e della documentazione",Oe,K,Ft="La formattazione del codice viene applicata a tutti i file sorgenti, agli esempi e ai test usando <code>black</code> e <code>isort</code>. Abbiamo anche uno strumento personalizzato che si occupa della formattazione delle docstring e dei file <code>rst</code> (<code>utils/style_doc.py</code>), così come dell’ordine dei lazy imports eseguiti nei file <code>__init__.py</code> dei Transformers (<code>utils/custom_init_isort.py</code>). Tutto questo può essere lanciato eseguendo",Ke,ee,et,te,Bt="I controlli della CI sono applicati all’interno del controllo <code>ci/circleci: check_code_quality</code>. Esegue anche <code>flake8</code>, che dà un’occhiata di base al codice e si lamenta se trova una variabile non definita o non utilizzata. Per eseguire questo controllo localmente, usare",tt,ie,it,le,Jt="Questa operazione può richiedere molto tempo, quindi per eseguire la stessa operazione solo sui file modificati nel branch corrente, eseguire",lt,oe,ot,ne,Dt="Quest’ultimo comando eseguirà anche tutti i controlli aggiuntivi per la consistenza del repository. Diamogli un’occhiata.",nt,b,T,ke,ae,kt,_e,Vt="Coerenza del repository",at,se,Xt="All’interno sono raggruppati tutti i test per assicurarsi che la tua PR lasci il repository in un buono stato ed è eseguito dal controllo <code>ci/circleci: check_repository_consistency</code>. Puoi eseguire localmente questo controllo eseguendo quanto segue:",st,re,rt,ue,Yt="Questo verifica che:",ut,ce,Ot="<li>Tutti gli oggetti aggiunti all’init sono documentati (eseguito da <code>utils/check_repo.py</code>)</li> <li>Tutti i file <code>__init__.py</code> hanno lo stesso contenuto nelle loro due sezioni (eseguito da <code>utils/check_inits.py</code>)</li> <li>Tutto il codice identificato come copia da un altro modulo è coerente con l’originale (eseguito da <code>utils/check_copies.py</code>)</li> <li>Le traduzioni dei README e l’indice della documentazione hanno lo stesso elenco di modelli del README principale (eseguito da <code>utils/check_copies.py</code>)</li> <li>Le tabelle autogenerate nella documentazione sono aggiornate (eseguito da <code>utils/check_table.py</code>)</li> <li>La libreria ha tutti gli oggetti disponibili anche se non tutte le dipendenze opzionali sono installate (eseguito da <code>utils/check_dummies.py</code>)</li>",ct,pe,Kt="Se questo controllo fallisce, le prime due voci richiedono una correzione manuale, mentre le ultime quattro possono essere corrette automaticamente per te eseguendo il comando",pt,de,dt,me,ei="Ulteriori controlli riguardano le PR che aggiungono nuovi modelli, principalmente che:",mt,fe,ti="<li>Tutti i modelli aggiunti sono in un Auto-mapping (eseguita da <code>utils/check_repo.py</code>)</li> <li>Tutti i modelli sono testati correttamente (eseguito da <code>utils/check_repo.py</code>)</li>",ft,ze,ht;return q=new Pe({}),E=new g({props:{code:"cGlwJTIwaW5zdGFsbCUyMHRyYW5zZm9ybWVycyU1QmRldiU1RA==",highlighted:"pip install transformers[dev]",wrap:!1}}),U=new g({props:{code:"cGlwJTIwaW5zdGFsbCUyMC1lJTIwLiU1QmRldiU1RA==",highlighted:"pip install -e .[dev]",wrap:!1}}),G=new Pe({}),j=new g({props:{code:"cHl0aG9uJTIwdXRpbHMlMkZ0ZXN0c19mZXRjaGVyLnB5",highlighted:"python utils/tests_fetcher.py",wrap:!1}}),B=new g({props:{code:"cHl0aG9uJTIwLW0lMjBweXRlc3QlMjAtbiUyMDglMjAtLWRpc3QlM0Rsb2FkZmlsZSUyMC1yQSUyMC1zJTIwJTI0KGNhdCUyMHRlc3RfbGlzdC50eHQp",highlighted:'python -m pytest -n 8 --dist=loadfile -rA -s $(<span class="hljs-built_in">cat</span> test_list.txt)',wrap:!1}}),D=new Pe({}),X=new g({props:{code:"bWFrZSUyMGh0bWw=",highlighted:"make html",wrap:!1}}),O=new Pe({}),ee=new g({props:{code:"bWFrZSUyMHN0eWxl",highlighted:"make style",wrap:!1}}),ie=new g({props:{code:"bWFrZSUyMHF1YWxpdHk=",highlighted:"make quality",wrap:!1}}),oe=new g({props:{code:"bWFrZSUyMGZpeHVw",highlighted:"make fixup",wrap:!1}}),ae=new Pe({}),re=new g({props:{code:"bWFrZSUyMHJlcG8tY29uc2lzdGVuY3k=",highlighted:"make repo-consistency",wrap:!1}}),de=new g({props:{code:"bWFrZSUyMGZpeC1jb3BpZXM=",highlighted:"make fix-copies",wrap:!1}}),{c(){_=o("meta"),Me=a(),xe=o("p"),Te=a(),x=o("h1"),k=o("a"),Ce=o("span"),d(q.$$.fragment),Ct=a(),he=o("span"),he.textContent=Pt,qe=a(),H=o("p"),H.textContent=Mt,He=a(),L=o("ul"),L.innerHTML=Tt,Le=a(),A=o("p"),A.textContent=qt,Ae=a(),S=o("p"),S.textContent=Ht,Se=a(),d(E.$$.fragment),Ee=a(),R=o("p"),R.textContent=Lt,Re=a(),d(U.$$.fragment),Ue=a(),N=o("p"),N.textContent=At,Ne=a(),C=o("h2"),z=o("a"),ye=o("span"),d(G.$$.fragment),yt=a(),ve=o("span"),ve.textContent=St,Ge=a(),W=o("p"),W.innerHTML=Et,We=a(),Z=o("p"),Z.textContent=Rt,Ze=a(),d(j.$$.fragment),je=a(),I=o("p"),I.textContent=Ut,Ie=a(),Q=o("ol"),Q.innerHTML=Nt,Qe=a(),F=o("p"),F.innerHTML=Gt,Fe=a(),d(B.$$.fragment),Be=a(),J=o("p"),J.textContent=Wt,Je=a(),y=o("h2"),P=o("a"),we=o("span"),d(D.$$.fragment),wt=a(),$e=o("span"),$e.textContent=Zt,De=a(),V=o("p"),V.innerHTML=jt,Ve=a(),d(X.$$.fragment),Xe=a(),Y=o("p"),Y.textContent=It,Ye=a(),w=o("h2"),M=o("a"),be=o("span"),d(O.$$.fragment),bt=a(),ge=o("span"),ge.textContent=Qt,Oe=a(),K=o("p"),K.innerHTML=Ft,Ke=a(),d(ee.$$.fragment),et=a(),te=o("p"),te.innerHTML=Bt,tt=a(),d(ie.$$.fragment),it=a(),le=o("p"),le.textContent=Jt,lt=a(),d(oe.$$.fragment),ot=a(),ne=o("p"),ne.textContent=Dt,nt=a(),b=o("h2"),T=o("a"),ke=o("span"),d(ae.$$.fragment),kt=a(),_e=o("span"),_e.textContent=Vt,at=a(),se=o("p"),se.innerHTML=Xt,st=a(),d(re.$$.fragment),rt=a(),ue=o("p"),ue.textContent=Yt,ut=a(),ce=o("ul"),ce.innerHTML=Ot,ct=a(),pe=o("p"),pe.textContent=Kt,pt=a(),d(de.$$.fragment),dt=a(),me=o("p"),me.textContent=ei,mt=a(),fe=o("ul"),fe.innerHTML=ti,ft=a(),ze=o("p"),this.h()},l(e){const i=$i("svelte-1phssyn",document.head);_=n(i,"META",{name:!0,content:!0}),i.forEach(t),Me=s(e),xe=n(e,"P",{}),p(xe).forEach(t),Te=s(e),x=n(e,"H1",{class:!0});var vt=p(x);k=n(vt,"A",{id:!0,class:!0,href:!0});var ii=p(k);Ce=n(ii,"SPAN",{});var li=p(Ce);m(q.$$.fragment,li),li.forEach(t),ii.forEach(t),Ct=s(vt),he=n(vt,"SPAN",{"data-svelte-h":!0}),r(he)!=="svelte-riwi81"&&(he.textContent=Pt),vt.forEach(t),qe=s(e),H=n(e,"P",{"data-svelte-h":!0}),r(H)!=="svelte-x884y7"&&(H.textContent=Mt),He=s(e),L=n(e,"UL",{"data-svelte-h":!0}),r(L)!=="svelte-10iagbn"&&(L.innerHTML=Tt),Le=s(e),A=n(e,"P",{"data-svelte-h":!0}),r(A)!=="svelte-120kdh4"&&(A.textContent=qt),Ae=s(e),S=n(e,"P",{"data-svelte-h":!0}),r(S)!=="svelte-12o1tek"&&(S.textContent=Ht),Se=s(e),m(E.$$.fragment,e),Ee=s(e),R=n(e,"P",{"data-svelte-h":!0}),r(R)!=="svelte-ddz7hq"&&(R.textContent=Lt),Re=s(e),m(U.$$.fragment,e),Ue=s(e),N=n(e,"P",{"data-svelte-h":!0}),r(N)!=="svelte-7b674g"&&(N.textContent=At),Ne=s(e),C=n(e,"H2",{class:!0});var $t=p(C);z=n($t,"A",{id:!0,class:!0,href:!0});var oi=p(z);ye=n(oi,"SPAN",{});var ni=p(ye);m(G.$$.fragment,ni),ni.forEach(t),oi.forEach(t),yt=s($t),ve=n($t,"SPAN",{"data-svelte-h":!0}),r(ve)!=="svelte-1a46one"&&(ve.textContent=St),$t.forEach(t),Ge=s(e),W=n(e,"P",{"data-svelte-h":!0}),r(W)!=="svelte-zuupn6"&&(W.innerHTML=Et),We=s(e),Z=n(e,"P",{"data-svelte-h":!0}),r(Z)!=="svelte-9imjiu"&&(Z.textContent=Rt),Ze=s(e),m(j.$$.fragment,e),je=s(e),I=n(e,"P",{"data-svelte-h":!0}),r(I)!=="svelte-1gwmfa5"&&(I.textContent=Ut),Ie=s(e),Q=n(e,"OL",{"data-svelte-h":!0}),r(Q)!=="svelte-37dzw1"&&(Q.innerHTML=Nt),Qe=s(e),F=n(e,"P",{"data-svelte-h":!0}),r(F)!=="svelte-1le8a4"&&(F.innerHTML=Gt),Fe=s(e),m(B.$$.fragment,e),Be=s(e),J=n(e,"P",{"data-svelte-h":!0}),r(J)!=="svelte-1yo2yw2"&&(J.textContent=Wt),Je=s(e),y=n(e,"H2",{class:!0});var gt=p(y);P=n(gt,"A",{id:!0,class:!0,href:!0});var ai=p(P);we=n(ai,"SPAN",{});var si=p(we);m(D.$$.fragment,si),si.forEach(t),ai.forEach(t),wt=s(gt),$e=n(gt,"SPAN",{"data-svelte-h":!0}),r($e)!=="svelte-cx2cqq"&&($e.textContent=Zt),gt.forEach(t),De=s(e),V=n(e,"P",{"data-svelte-h":!0}),r(V)!=="svelte-txjq72"&&(V.innerHTML=jt),Ve=s(e),m(X.$$.fragment,e),Xe=s(e),Y=n(e,"P",{"data-svelte-h":!0}),r(Y)!=="svelte-1f2ovqk"&&(Y.textContent=It),Ye=s(e),w=n(e,"H2",{class:!0});var _t=p(w);M=n(_t,"A",{id:!0,class:!0,href:!0});var ri=p(M);be=n(ri,"SPAN",{});var ui=p(be);m(O.$$.fragment,ui),ui.forEach(t),ri.forEach(t),bt=s(_t),ge=n(_t,"SPAN",{"data-svelte-h":!0}),r(ge)!=="svelte-1p8xy50"&&(ge.textContent=Qt),_t.forEach(t),Oe=s(e),K=n(e,"P",{"data-svelte-h":!0}),r(K)!=="svelte-1ezvqkz"&&(K.innerHTML=Ft),Ke=s(e),m(ee.$$.fragment,e),et=s(e),te=n(e,"P",{"data-svelte-h":!0}),r(te)!=="svelte-1k40kd3"&&(te.innerHTML=Bt),tt=s(e),m(ie.$$.fragment,e),it=s(e),le=n(e,"P",{"data-svelte-h":!0}),r(le)!=="svelte-1k82vv7"&&(le.textContent=Jt),lt=s(e),m(oe.$$.fragment,e),ot=s(e),ne=n(e,"P",{"data-svelte-h":!0}),r(ne)!=="svelte-3ydaun"&&(ne.textContent=Dt),nt=s(e),b=n(e,"H2",{class:!0});var xt=p(b);T=n(xt,"A",{id:!0,class:!0,href:!0});var ci=p(T);ke=n(ci,"SPAN",{});var pi=p(ke);m(ae.$$.fragment,pi),pi.forEach(t),ci.forEach(t),kt=s(xt),_e=n(xt,"SPAN",{"data-svelte-h":!0}),r(_e)!=="svelte-117jh2x"&&(_e.textContent=Vt),xt.forEach(t),at=s(e),se=n(e,"P",{"data-svelte-h":!0}),r(se)!=="svelte-myx6g1"&&(se.innerHTML=Xt),st=s(e),m(re.$$.fragment,e),rt=s(e),ue=n(e,"P",{"data-svelte-h":!0}),r(ue)!=="svelte-887q0w"&&(ue.textContent=Yt),ut=s(e),ce=n(e,"UL",{"data-svelte-h":!0}),r(ce)!=="svelte-1ejvxn2"&&(ce.innerHTML=Ot),ct=s(e),pe=n(e,"P",{"data-svelte-h":!0}),r(pe)!=="svelte-1xmtr04"&&(pe.textContent=Kt),pt=s(e),m(de.$$.fragment,e),dt=s(e),me=n(e,"P",{"data-svelte-h":!0}),r(me)!=="svelte-w6onvg"&&(me.textContent=ei),mt=s(e),fe=n(e,"UL",{"data-svelte-h":!0}),r(fe)!=="svelte-cbf9y"&&(fe.innerHTML=ti),ft=s(e),ze=n(e,"P",{}),p(ze).forEach(t),this.h()},h(){u(_,"name","hf:doc:metadata"),u(_,"content",JSON.stringify(_i)),u(k,"id","controlli-su-una-pull-request"),u(k,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(k,"href","#controlli-su-una-pull-request"),u(x,"class","relative group"),u(z,"id","tests"),u(z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(z,"href","#tests"),u(C,"class","relative group"),u(P,"id","build-della-documentazione"),u(P,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(P,"href","#build-della-documentazione"),u(y,"class","relative group"),u(M,"id","stile-del-codice-e-della-documentazione"),u(M,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(M,"href","#stile-del-codice-e-della-documentazione"),u(w,"class","relative group"),u(T,"id","coerenza-del-repository"),u(T,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(T,"href","#coerenza-del-repository"),u(b,"class","relative group")},m(e,i){c(document.head,_),l(e,Me,i),l(e,xe,i),l(e,Te,i),l(e,x,i),c(x,k),c(k,Ce),f(q,Ce,null),c(x,Ct),c(x,he),l(e,qe,i),l(e,H,i),l(e,He,i),l(e,L,i),l(e,Le,i),l(e,A,i),l(e,Ae,i),l(e,S,i),l(e,Se,i),f(E,e,i),l(e,Ee,i),l(e,R,i),l(e,Re,i),f(U,e,i),l(e,Ue,i),l(e,N,i),l(e,Ne,i),l(e,C,i),c(C,z),c(z,ye),f(G,ye,null),c(C,yt),c(C,ve),l(e,Ge,i),l(e,W,i),l(e,We,i),l(e,Z,i),l(e,Ze,i),f(j,e,i),l(e,je,i),l(e,I,i),l(e,Ie,i),l(e,Q,i),l(e,Qe,i),l(e,F,i),l(e,Fe,i),f(B,e,i),l(e,Be,i),l(e,J,i),l(e,Je,i),l(e,y,i),c(y,P),c(P,we),f(D,we,null),c(y,wt),c(y,$e),l(e,De,i),l(e,V,i),l(e,Ve,i),f(X,e,i),l(e,Xe,i),l(e,Y,i),l(e,Ye,i),l(e,w,i),c(w,M),c(M,be),f(O,be,null),c(w,bt),c(w,ge),l(e,Oe,i),l(e,K,i),l(e,Ke,i),f(ee,e,i),l(e,et,i),l(e,te,i),l(e,tt,i),f(ie,e,i),l(e,it,i),l(e,le,i),l(e,lt,i),f(oe,e,i),l(e,ot,i),l(e,ne,i),l(e,nt,i),l(e,b,i),c(b,T),c(T,ke),f(ae,ke,null),c(b,kt),c(b,_e),l(e,at,i),l(e,se,i),l(e,st,i),f(re,e,i),l(e,rt,i),l(e,ue,i),l(e,ut,i),l(e,ce,i),l(e,ct,i),l(e,pe,i),l(e,pt,i),f(de,e,i),l(e,dt,i),l(e,me,i),l(e,mt,i),l(e,fe,i),l(e,ft,i),l(e,ze,i),ht=!0},p:mi,i(e){ht||(h(q.$$.fragment,e),h(E.$$.fragment,e),h(U.$$.fragment,e),h(G.$$.fragment,e),h(j.$$.fragment,e),h(B.$$.fragment,e),h(D.$$.fragment,e),h(X.$$.fragment,e),h(O.$$.fragment,e),h(ee.$$.fragment,e),h(ie.$$.fragment,e),h(oe.$$.fragment,e),h(ae.$$.fragment,e),h(re.$$.fragment,e),h(de.$$.fragment,e),ht=!0)},o(e){v(q.$$.fragment,e),v(E.$$.fragment,e),v(U.$$.fragment,e),v(G.$$.fragment,e),v(j.$$.fragment,e),v(B.$$.fragment,e),v(D.$$.fragment,e),v(X.$$.fragment,e),v(O.$$.fragment,e),v(ee.$$.fragment,e),v(ie.$$.fragment,e),v(oe.$$.fragment,e),v(ae.$$.fragment,e),v(re.$$.fragment,e),v(de.$$.fragment,e),ht=!1},d(e){e&&(t(Me),t(xe),t(Te),t(x),t(qe),t(H),t(He),t(L),t(Le),t(A),t(Ae),t(S),t(Se),t(Ee),t(R),t(Re),t(Ue),t(N),t(Ne),t(C),t(Ge),t(W),t(We),t(Z),t(Ze),t(je),t(I),t(Ie),t(Q),t(Qe),t(F),t(Fe),t(Be),t(J),t(Je),t(y),t(De),t(V),t(Ve),t(Xe),t(Y),t(Ye),t(w),t(Oe),t(K),t(Ke),t(et),t(te),t(tt),t(it),t(le),t(lt),t(ot),t(ne),t(nt),t(b),t(at),t(se),t(st),t(rt),t(ue),t(ut),t(ce),t(ct),t(pe),t(pt),t(dt),t(me),t(mt),t(fe),t(ft),t(ze)),t(_),$(q),$(E,e),$(U,e),$(G),$(j,e),$(B,e),$(D),$(X,e),$(O),$(ee,e),$(ie,e),$(oe,e),$(ae),$(re,e),$(de,e)}}}const _i={local:"controlli-su-una-pull-request",sections:[{local:"tests",title:"Tests"},{local:"build-della-documentazione",title:"Build della documentazione"},{local:"stile-del-codice-e-della-documentazione",title:"Stile del codice e della documentazione"},{local:"coerenza-del-repository",title:"Coerenza del repository"}],title:"Controlli su una Pull Request"};function xi(zt){return fi(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ki extends hi{constructor(_){super(),vi(this,_,xi,gi,di,{})}}export{ki as component};
