import{s as nt,n as ot,o as ct}from"../chunks/scheduler.56730f09.js";import{S as at,i as lt,g as o,s as a,u as rt,A as it,h as c,f as e,c as l,j as y,v as st,y as r,k as L,o as w,a as n,w as _t,d as ht,t as ut,x as pt}from"../chunks/index.ba464511.js";import{I as mt}from"../chunks/IconCopyLink.89bde88e.js";function Tt(B){let i,E,z,P,s,_,M,h,F,k,J="패딩과 잘라내기",A,u,O="배치 입력은 길이가 다른 경우가 많아서 고정 크기 텐서로 변환할 수 없습니다. 패딩과 잘라내기는 다양한 길이의 배치에서 직사각형 텐서를 생성할 수 있도록 이 문제를 해결하는 전략입니다. 패딩은 특수한 <strong>패딩 토큰</strong>을 추가하여 짧은 시퀀스가 배치에서 가장 긴 시퀀스 또는 모델에서 허용하는 최대 길이와 동일한 길이를 갖도록 합니다. 잘라내기는 긴 시퀀스를 잘라내어 패딩과 다른 방식으로 시퀀스의 길이를 동일하게 합니다.",C,p,D="대부분의 경우 배치에 가장 긴 시퀀스의 길이로 패딩하고 모델이 허용할 수 있는 최대 길이로 잘라내는 것이 잘 작동합니다. 그러나 필요하다면 API가 지원하는 더 많은 전략을 사용할 수 있습니다. 필요한 인수는 <code>padding</code>, <code>truncation</code>, <code>max_length</code> 세 가지입니다.",S,m,K="<code>padding</code> 인수는 패딩을 제어합니다. 불리언 또는 문자열일 수 있습니다:",$,T,Q="<li><code>True</code> 또는 <code>&#39;longest&#39;</code>: 배치에서 가장 긴 시퀀스로 패딩합니다(단일 시퀀스만 제공하는 경우 패딩이 적용되지 않습니다).</li> <li><code>&#39;max_length&#39;</code>: <code>max_length</code> 인수가 지정한 길이로 패딩하거나, <code>max_length</code>가 제공되지 않은 경우(<code>max_length=None</code>) 모델에서 허용되는 최대 길이로 패딩합니다. 단일 시퀀스만 제공하는 경우에도 패딩이 적용됩니다.</li> <li><code>False</code> 또는 <code>&#39;do_not_pad&#39;</code>: 패딩이 적용되지 않습니다. 이것이 기본 동작입니다.</li>",N,g,V="<code>truncation</code> 인수는 잘라낼 방법을 정합니다. 불리언 또는 문자열일 수 있습니다:",R,x,W=`<li><code>True</code> 또는 <code>longest_first</code>: <code>max_length</code> 인수가 지정한 최대 길이로 잘라내거나,
<code>max_length</code>가 제공되지 않은 경우(<code>max_length=None</code>) 모델에서 허용되는 최대 길이로 잘라냅니다.
시퀀스 쌍에서 가장 긴 시퀀스의 토큰을 적절한 길이에 도달할 때까지 하나씩 제거합니다.</li> <li><code>&#39;only_second&#39;</code>: <code>max_length</code> 인수가 지정한 최대 길이로 잘라내거나,
<code>max_length</code>가 제공되지 않은 경우(<code>max_length=None</code>) 모델에서 허용되는 최대 길이로 잘라냅니다.
시퀀스 쌍(또는 시퀀스 쌍의 배치)가 제공된 경우 쌍의 두 번째 문장만 잘라냅니다.</li> <li><code>&#39;only_first&#39;</code>: <code>max_length</code> 인수가 지정한 최대 길이로 잘라내거나,
<code>max_length</code>가 제공되지 않은 경우(<code>max_length=None</code>) 모델에서 허용되는 최대 길이로 잘라냅니다.
시퀀스 쌍(또는 시퀀스 쌍의 배치)가 제공된 경우 쌍의 첫 번째 문장만 잘라냅니다.</li> <li><code>False</code> 또는 <code>&#39;do_not_truncate&#39;</code>: 잘라내기를 적용하지 않습니다. 이것이 기본 동작입니다.</li>`,G,f,X="<code>max_length</code> 인수는 패딩 및 잘라내기를 적용할 길이를 제어합니다. 이 인수는 정수 또는 <code>None</code>일 수 있으며, <code>None</code>일 경우 모델이 허용할 수 있는 최대 길이로 기본값이 설정됩니다. 모델에 특정한 최대 입력 길이가 없는 경우 <code>max_length</code>에 대한 잘라내기 또는 패딩이 비활성화됩니다.",Y,v,Z=`다음 표에는 패딩 및 잘라내기를 설정하는 권장 방법이 요약되어 있습니다.
입력으로 시퀀스 쌍을 사용하는 경우, 다음 예제에서 <code>truncation=True</code>를 <code>[&#39;only_first&#39;, &#39;only_second&#39;, &#39;longest_first&#39;]</code>에서 선택한 <code>STRATEGY</code>, 즉 <code>truncation=&#39;only_second&#39;</code> 또는 <code>truncation=&#39;longest_first&#39;</code>로 바꾸면 앞서 설명한 대로 쌍의 두 시퀀스가 잘리는 방식을 제어할 수 있습니다.`,q,b,tt="<thead><tr><th>잘라내기</th> <th>패딩</th> <th>사용 방법</th></tr></thead> <tbody><tr><td>잘라내기 없음</td> <td>패딩 없음</td> <td><code>tokenizer(batch_sentences)</code></td></tr> <tr><td></td> <td>배치 내 최대 길이로 패딩</td> <td><code>tokenizer(batch_sentences, padding=True)</code> 또는</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, padding=&#39;longest&#39;)</code></td></tr> <tr><td></td> <td>모델의 최대 입력 길이로 패딩</td> <td><code>tokenizer(batch_sentences, padding=&#39;max_length&#39;)</code></td></tr> <tr><td></td> <td>특정 길이로 패딩</td> <td><code>tokenizer(batch_sentences, padding=&#39;max_length&#39;, max_length=42)</code></td></tr> <tr><td></td> <td>다양한 길이로 패딩</td> <td>`tokenizer(batch_sentences, padding=True, pad_to_multiple_of=8)</td></tr> <tr><td>모델의 최대 입력 길이로 잘라내기</td> <td>패딩 없음</td> <td><code>tokenizer(batch_sentences, truncation=True)</code> 또는</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, truncation=STRATEGY)</code></td></tr> <tr><td></td> <td>배치 내 최대 길이로 패딩</td> <td><code>tokenizer(batch_sentences, padding=True, truncation=True)</code> 또는</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, padding=True, truncation=STRATEGY)</code></td></tr> <tr><td></td> <td>모델의 최대 입력 길이로 패딩</td> <td><code>tokenizer(batch_sentences, padding=&#39;max_length&#39;, truncation=True)</code> 또는</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, padding=&#39;max_length&#39;, truncation=STRATEGY)</code></td></tr> <tr><td></td> <td>특정 길이로 패딩</td> <td>사용 불가</td></tr> <tr><td>특정 길이로 잘라내기</td> <td>패딩 없음</td> <td><code>tokenizer(batch_sentences, truncation=True, max_length=42)</code> 또는</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, truncation=STRATEGY, max_length=42)</code></td></tr> <tr><td></td> <td>배치 내 최대 길이로 패딩</td> <td><code>tokenizer(batch_sentences, padding=True, truncation=True, max_length=42)</code> 또는</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, padding=True, truncation=STRATEGY, max_length=42)</code></td></tr> <tr><td></td> <td>모델의 최대 입력 길이로 패딩</td> <td>사용 불가</td></tr> <tr><td></td> <td>특정 길이로 패딩</td> <td><code>tokenizer(batch_sentences, padding=&#39;max_length&#39;, truncation=True, max_length=42)</code> 또는</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, padding=&#39;max_length&#39;, truncation=STRATEGY, max_length=42)</code></td></tr></tbody>",I,H,U;return h=new mt({}),{c(){i=o("meta"),E=a(),z=o("p"),P=a(),s=o("h1"),_=o("a"),M=o("span"),rt(h.$$.fragment),F=a(),k=o("span"),k.textContent=J,A=a(),u=o("p"),u.innerHTML=O,C=a(),p=o("p"),p.innerHTML=D,S=a(),m=o("p"),m.innerHTML=K,$=a(),T=o("ul"),T.innerHTML=Q,N=a(),g=o("p"),g.innerHTML=V,R=a(),x=o("ul"),x.innerHTML=W,G=a(),f=o("p"),f.innerHTML=X,Y=a(),v=o("p"),v.innerHTML=Z,q=a(),b=o("table"),b.innerHTML=tt,I=a(),H=o("p"),this.h()},l(t){const d=it("svelte-1phssyn",document.head);i=c(d,"META",{name:!0,content:!0}),d.forEach(e),E=l(t),z=c(t,"P",{}),y(z).forEach(e),P=l(t),s=c(t,"H1",{class:!0});var j=y(s);_=c(j,"A",{id:!0,class:!0,href:!0});var et=y(_);M=c(et,"SPAN",{});var dt=y(M);st(h.$$.fragment,dt),dt.forEach(e),et.forEach(e),F=l(j),k=c(j,"SPAN",{"data-svelte-h":!0}),r(k)!=="svelte-43xib4"&&(k.textContent=J),j.forEach(e),A=l(t),u=c(t,"P",{"data-svelte-h":!0}),r(u)!=="svelte-1kgkqqg"&&(u.innerHTML=O),C=l(t),p=c(t,"P",{"data-svelte-h":!0}),r(p)!=="svelte-1y0dvow"&&(p.innerHTML=D),S=l(t),m=c(t,"P",{"data-svelte-h":!0}),r(m)!=="svelte-w9e6b"&&(m.innerHTML=K),$=l(t),T=c(t,"UL",{"data-svelte-h":!0}),r(T)!=="svelte-1itic58"&&(T.innerHTML=Q),N=l(t),g=c(t,"P",{"data-svelte-h":!0}),r(g)!=="svelte-1qg04jt"&&(g.innerHTML=V),R=l(t),x=c(t,"UL",{"data-svelte-h":!0}),r(x)!=="svelte-wz5ar8"&&(x.innerHTML=W),G=l(t),f=c(t,"P",{"data-svelte-h":!0}),r(f)!=="svelte-1qbqwzu"&&(f.innerHTML=X),Y=l(t),v=c(t,"P",{"data-svelte-h":!0}),r(v)!=="svelte-5p7u51"&&(v.innerHTML=Z),q=l(t),b=c(t,"TABLE",{"data-svelte-h":!0}),r(b)!=="svelte-1hl77c2"&&(b.innerHTML=tt),I=l(t),H=c(t,"P",{}),y(H).forEach(e),this.h()},h(){L(i,"name","hf:doc:metadata"),L(i,"content",JSON.stringify(gt)),L(_,"id","padding-and-truncation"),L(_,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),L(_,"href","#padding-and-truncation"),L(s,"class","relative group")},m(t,d){w(document.head,i),n(t,E,d),n(t,z,d),n(t,P,d),n(t,s,d),w(s,_),w(_,M),_t(h,M,null),w(s,F),w(s,k),n(t,A,d),n(t,u,d),n(t,C,d),n(t,p,d),n(t,S,d),n(t,m,d),n(t,$,d),n(t,T,d),n(t,N,d),n(t,g,d),n(t,R,d),n(t,x,d),n(t,G,d),n(t,f,d),n(t,Y,d),n(t,v,d),n(t,q,d),n(t,b,d),n(t,I,d),n(t,H,d),U=!0},p:ot,i(t){U||(ht(h.$$.fragment,t),U=!0)},o(t){ut(h.$$.fragment,t),U=!1},d(t){t&&(e(E),e(z),e(P),e(s),e(A),e(u),e(C),e(p),e(S),e(m),e($),e(T),e(N),e(g),e(R),e(x),e(G),e(f),e(Y),e(v),e(q),e(b),e(I),e(H)),e(i),pt(h)}}}const gt={local:"padding-and-truncation",title:"패딩과 잘라내기"};function xt(B){return ct(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class kt extends at{constructor(i){super(),lt(this,i,xt,Tt,nt,{})}}export{kt as component};
