import{s as Se,n as Fe,o as Ue}from"../chunks/scheduler.56730f09.js";import{S as Ie,i as Ne,g as o,s,u as He,A as ze,h as a,f as t,c as i,j as _,v as ge,y as r,k as f,o as u,a as n,w as $e,d as ke,t as be,x as Ae}from"../chunks/index.ba464511.js";import{I as Ee}from"../chunks/IconCopyLink.89bde88e.js";function qe(se){let c,z,F,q,p,m,U,x,oe,E,ie="이념과 목표",j,w,re="🤗 Transformers는 다음과 같은 목적으로 만들어진 독자적인 라이브러리입니다:",K,C,fe="<li>대규모 Transformers 모델을 사용하거나 연구하거나 확장하려는 기계 학습 연구원 및 교육자를 위한 것입니다.</li> <li>모델을 미세 조정하거나 제작용으로 사용하고자 하는 실전 개발자를 위한 것입니다.</li> <li>특정 기계 학습 작업을 해결하기 위해 사전훈련된 모델을 다운로드하고 사용하기만 하려는 엔지니어를 위한 것입니다.</li>",O,T,ce="이 라이브러리는 두 가지 주요 목표를 가지고 설계되었습니다:",J,y,pe="<li>사용하기 쉽고 빠르게 만드는 것:</li>",R,L,he='<li>학습해야 할 사용자 대상 추상화의 수를 제한했습니다. 실제로 거의 추상화가 없으며, 각 모델을 사용하기 위해 필요한 세 가지 표준 클래스인 <a href="main_classes/configuration">configuration</a>, <a href="main_classes/model">models</a> 및 전처리 클래스인 (<a href="main_classes/tokenizer">tokenizer</a>는 NLP용, <a href="main_classes/image_processor">image processor</a>는 비전용, <a href="main_classes/feature_extractor">feature extractor</a>는 오디오용, <a href="main_classes/processors">processor</a>는 멀티모달 입력용)만 사용합니다.</li> <li>이러한 클래스는 공통적인 <code>from_pretrained()</code> 메서드를 사용하여 미리 훈련된 인스턴스에서 간단하고 통일된 방식으로 초기화할 수 있습니다. 이 메소드는 미리 훈련된 체크포인트에서 관련 클래스 인스턴스와 관련 데이터(구성의 하이퍼파라미터, 토크나이저의 어휘, 모델의 가중치)를 (필요한 경우) 다운로드하고 캐시하며 가져옵니다. 체크포인트는 <a href="https://huggingface.co/models" rel="nofollow">Hugging Face Hub</a>에서 제공되거나 사용자 자체의 저장된 체크포인트에서 제공됩니다.</li> <li>이 세 가지 기본 클래스 위에 라이브러리는 <code>pipeline()</code> API를 제공하여 주어진 작업에 대해 모델을 빠르게 추론하는 데 사용하고, <code>Trainer</code>를 제공하여 PyTorch 모델을 빠르게 훈련하거나 미세 조정할 수 있도록 합니다(모든 TensorFlow 모델은 <code>Keras.fit</code>과 호환됩니다).</li> <li>결과적으로, 이 라이브러리는 신경망을 구축하기 위한 모듈식 도구 상자가 아닙니다. 라이브러리를 확장하거나 구축하려면 일반적인 Python, PyTorch, TensorFlow, Keras 모듈을 사용하고 라이브러리의 기본 클래스를 상속하여 모델 로딩 및 저장과 같은 기능을 재사용하면 됩니다. 모델에 대한 코딩 철학에 대해 더 자세히 알고 싶다면 <a href="https://huggingface.co/blog/transformers-design-philosophy" rel="nofollow">Repeat Yourself</a> 블로그 글을 확인해보세요.</li>',X,d,ue="<li>원래 모델과 가능한 한 근접한 성능을 제공하는 최신 모델을 제공하는 것:</li>",Y,P,me="<li>각 아키텍처에 대해 공식 저자가 제공한 결과를 재현하는 적어도 한 가지 예제를 제공합니다.</li> <li>코드는 원래 코드와 가능한 한 유사하게 유지되므로 PyTorch 코드는 TensorFlow 코드로 변환되어 <em>pytorchic</em>하지 않을 수 있고, 그 반대의 경우도 마찬가지입니다.</li>",B,M,de="기타 목표 몇 가지:",D,H,ve="<li><p>모델의 내부를 가능한 일관되게 노출시키기:</p> <ul><li>전체 은닉 상태와 어텐션 가중치에 대한 액세스를 단일 API를 사용하여 제공합니다.</li> <li>전처리 클래스 및 기본 모델 API는 모델 간에 쉽게 전환할 수 있도록 표준화되어 있습니다.</li></ul></li> <li><p>미세 조정 및 모델 탐색을 위한 유망한 도구들을 주관적으로 선택하기:</p> <ul><li>미세 조정을 위해 어휘 및 임베딩에 새로운 토큰을 간단하고 일관된 방식으로 추가하는 방법을 제공합니다.</li> <li>Transformer 헤드를 마스킹하고 가지치기하는 간단한 방법을 제공합니다.</li></ul></li> <li><p>PyTorch, TensorFlow 2.0 및 Flax 간에 쉽게 전환할 수 있도록 하여 하나의 프레임워크로 훈련하고 다른 프레임워크로 추론할 수 있게 합니다.</p></li>",G,h,v,I,g,ae,S,_e="주요 개념",Q,$,xe="이 라이브러리는 각 모델에 대해 세 가지 유형의 클래스를 기반으로 구축되었습니다:",V,k,we='<li><strong>모델 클래스</strong>는 라이브러리에서 제공하는 사전 훈련된 가중치와 함께 작동하는 PyTorch 모델(<a href="https://pytorch.org/docs/stable/nn.html#torch.nn.Module" rel="nofollow">torch.nn.Module</a>), Keras 모델(<a href="https://www.tensorflow.org/api_docs/python/tf/keras/Model" rel="nofollow">tf.keras.Model</a>), JAX/Flax 모델(<a href="https://flax.readthedocs.io/en/latest/api_reference/flax.linen.html" rel="nofollow">flax.linen.Module</a>)일 수 있습니다.</li> <li><strong>구성 클래스</strong>는 모델을 구축하는 데 필요한 하이퍼파라미터(예: 레이어 수 및 은닉 크기)를 저장합니다. 구성 클래스를 직접 인스턴스화할 필요는 없습니다. 특히, 수정 없이 고 사전 학습된 모델을 사용하는 경우 모델을 생성하면 모델의 일부인 구성을 자동으로 인스턴스화됩니다.</li> <li><strong>전처리 클래스</strong>는 원시 데이터를 모델이 수용하는 형식으로 변환합니다. <a href="main_classes/tokenizer">Tokenizer</a>는 각 모델의 어휘를 저장하고, 문자열을 토큰 임베딩 인덱스 리스트로 인코딩하고 디코딩하기 위한 메소드를 제공합니다. <a href="main_classes/image_processor">Image processors</a>는 비전 입력을 전처리하고, <a href="main_classes/feature_extractor">feature extractors</a>는 오디오 입력을 전처리하며, <a href="main_classes/processors">processor</a>는 멀티모달 입력을 처리합니다.</li>',W,b,Ce="모든 이러한 클래스는 사전 훈련된 인스턴스에서 인스턴스화하고 로컬로 저장하며, 세 가지 메소드를 사용하여 Hub에서 공유할 수 있습니다:",Z,A,Te='<li><code>from_pretrained()</code> 메소드를 사용하면 라이브러리 자체에서 제공하는 사전 훈련된 버전(지원되는 모델은 <a href="https://huggingface.co/models" rel="nofollow">Model Hub</a>에서 찾을 수 있음)이나 사용자가 로컬로 저장한 경우(또는 서버에 저장한 경우)의 모델, 구성 및 전처리 클래스를 인스턴스화할 수 있습니다.</li> <li><code>save_pretrained()</code> 메소드를 사용하면 모델, 구성 및 전처리 클래스를 로컬로 저장하여 <code>from_pretrained()</code>를 사용하여 다시 가져올 수 있습니다.</li> <li><code>push_to_hub()</code> 메소드를 사용하면 모델, 구성 및 전처리 클래스를 Hub에 공유하여 모두에게 쉽게 접근할 수 있습니다.</li>',ee,N,te;return x=new Ee({}),g=new Ee({}),{c(){c=o("meta"),z=s(),F=o("p"),q=s(),p=o("h1"),m=o("a"),U=o("span"),He(x.$$.fragment),oe=s(),E=o("span"),E.textContent=ie,j=s(),w=o("p"),w.textContent=re,K=s(),C=o("ul"),C.innerHTML=fe,O=s(),T=o("p"),T.textContent=ce,J=s(),y=o("ol"),y.innerHTML=pe,R=s(),L=o("ul"),L.innerHTML=he,X=s(),d=o("ol"),d.innerHTML=ue,Y=s(),P=o("ul"),P.innerHTML=me,B=s(),M=o("p"),M.textContent=de,D=s(),H=o("ul"),H.innerHTML=ve,G=s(),h=o("h2"),v=o("a"),I=o("span"),He(g.$$.fragment),ae=s(),S=o("span"),S.textContent=_e,Q=s(),$=o("p"),$.textContent=xe,V=s(),k=o("ul"),k.innerHTML=we,W=s(),b=o("p"),b.textContent=Ce,Z=s(),A=o("ul"),A.innerHTML=Te,ee=s(),N=o("p"),this.h()},l(e){const l=ze("svelte-1phssyn",document.head);c=a(l,"META",{name:!0,content:!0}),l.forEach(t),z=i(e),F=a(e,"P",{}),_(F).forEach(t),q=i(e),p=a(e,"H1",{class:!0});var le=_(p);m=a(le,"A",{id:!0,class:!0,href:!0});var ye=_(m);U=a(ye,"SPAN",{});var Le=_(U);ge(x.$$.fragment,Le),Le.forEach(t),ye.forEach(t),oe=i(le),E=a(le,"SPAN",{"data-svelte-h":!0}),r(E)!=="svelte-1ddkmuc"&&(E.textContent=ie),le.forEach(t),j=i(e),w=a(e,"P",{"data-svelte-h":!0}),r(w)!=="svelte-1f7nmur"&&(w.textContent=re),K=i(e),C=a(e,"UL",{"data-svelte-h":!0}),r(C)!=="svelte-1yszd7n"&&(C.innerHTML=fe),O=i(e),T=a(e,"P",{"data-svelte-h":!0}),r(T)!=="svelte-9trlgi"&&(T.textContent=ce),J=i(e),y=a(e,"OL",{"data-svelte-h":!0}),r(y)!=="svelte-dq04yw"&&(y.innerHTML=pe),R=i(e),L=a(e,"UL",{"data-svelte-h":!0}),r(L)!=="svelte-1v94o3c"&&(L.innerHTML=he),X=i(e),d=a(e,"OL",{start:!0,"data-svelte-h":!0}),r(d)!=="svelte-1g3xmxn"&&(d.innerHTML=ue),Y=i(e),P=a(e,"UL",{"data-svelte-h":!0}),r(P)!=="svelte-sw04jb"&&(P.innerHTML=me),B=i(e),M=a(e,"P",{"data-svelte-h":!0}),r(M)!=="svelte-1iw1iaa"&&(M.textContent=de),D=i(e),H=a(e,"UL",{"data-svelte-h":!0}),r(H)!=="svelte-yeg31c"&&(H.innerHTML=ve),G=i(e),h=a(e,"H2",{class:!0});var ne=_(h);v=a(ne,"A",{id:!0,class:!0,href:!0});var Pe=_(v);I=a(Pe,"SPAN",{});var Me=_(I);ge(g.$$.fragment,Me),Me.forEach(t),Pe.forEach(t),ae=i(ne),S=a(ne,"SPAN",{"data-svelte-h":!0}),r(S)!=="svelte-b0s8h9"&&(S.textContent=_e),ne.forEach(t),Q=i(e),$=a(e,"P",{"data-svelte-h":!0}),r($)!=="svelte-n4fqn2"&&($.textContent=xe),V=i(e),k=a(e,"UL",{"data-svelte-h":!0}),r(k)!=="svelte-dnwn8j"&&(k.innerHTML=we),W=i(e),b=a(e,"P",{"data-svelte-h":!0}),r(b)!=="svelte-qhary9"&&(b.textContent=Ce),Z=i(e),A=a(e,"UL",{"data-svelte-h":!0}),r(A)!=="svelte-10fnv0u"&&(A.innerHTML=Te),ee=i(e),N=a(e,"P",{}),_(N).forEach(t),this.h()},h(){f(c,"name","hf:doc:metadata"),f(c,"content",JSON.stringify(je)),f(m,"id","philosophy"),f(m,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(m,"href","#philosophy"),f(p,"class","relative group"),f(d,"start","2"),f(v,"id","main-concepts"),f(v,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(v,"href","#main-concepts"),f(h,"class","relative group")},m(e,l){u(document.head,c),n(e,z,l),n(e,F,l),n(e,q,l),n(e,p,l),u(p,m),u(m,U),$e(x,U,null),u(p,oe),u(p,E),n(e,j,l),n(e,w,l),n(e,K,l),n(e,C,l),n(e,O,l),n(e,T,l),n(e,J,l),n(e,y,l),n(e,R,l),n(e,L,l),n(e,X,l),n(e,d,l),n(e,Y,l),n(e,P,l),n(e,B,l),n(e,M,l),n(e,D,l),n(e,H,l),n(e,G,l),n(e,h,l),u(h,v),u(v,I),$e(g,I,null),u(h,ae),u(h,S),n(e,Q,l),n(e,$,l),n(e,V,l),n(e,k,l),n(e,W,l),n(e,b,l),n(e,Z,l),n(e,A,l),n(e,ee,l),n(e,N,l),te=!0},p:Fe,i(e){te||(ke(x.$$.fragment,e),ke(g.$$.fragment,e),te=!0)},o(e){be(x.$$.fragment,e),be(g.$$.fragment,e),te=!1},d(e){e&&(t(z),t(F),t(q),t(p),t(j),t(w),t(K),t(C),t(O),t(T),t(J),t(y),t(R),t(L),t(X),t(d),t(Y),t(P),t(B),t(M),t(D),t(H),t(G),t(h),t(Q),t($),t(V),t(k),t(W),t(b),t(Z),t(A),t(ee),t(N)),t(c),Ae(x),Ae(g)}}}const je={local:"philosophy",sections:[{local:"main-concepts",title:"주요 개념 "}],title:"이념과 목표 "};function Ke(se){return Ue(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Xe extends Ie{constructor(c){super(),Ne(this,c,Ke,qe,Se,{})}}export{Xe as component};
