import{s as At,o as Ut,n as lt}from"../chunks/scheduler.56730f09.js";import{S as Et,i as Ft,g as o,s as i,u as j,A as Nt,h as p,f as t,c,j as y,v as w,y as v,k as $,o as b,a as s,w as M,d as _,t as x,x as C}from"../chunks/index.ba464511.js";import{T as Wt}from"../chunks/Tip.70442610.js";import{I as ge}from"../chunks/IconCopyLink.89bde88e.js";import{C as L}from"../chunks/CodeBlock.2302fd0d.js";import{F as Gt,M as Jt}from"../chunks/Markdown.6303afae.js";function Vt(E){let a,d='아키텍처는 모델의 골격을 의미하며 체크포인트는 주어진 아키텍처에 대한 가중치입니다. 예를 들어, <a href="https://huggingface.co/bert-base-uncased" rel="nofollow">BERT</a>는 아키텍처이고, <code>bert-base-uncased</code>는 체크포인트입니다. 모델은 아키텍처 또는 체크포인트를 의미할 수 있는 일반적인 용어입니다.';return{c(){a=o("p"),a.innerHTML=d},l(n){a=p(n,"P",{"data-svelte-h":!0}),v(a)!=="svelte-16p0tdi"&&(a.innerHTML=d)},m(n,u){s(n,a,u)},p:lt,d(n){n&&t(a)}}}function Ht(E){let a,d=`PyTorch모델의 경우 <code>from_pretrained()</code> 메서드는 내부적으로 피클을 사용하여 안전하지 않은 것으로 알려진 <code>torch.load()</code>를 사용합니다.
일반적으로 신뢰할 수 없는 소스에서 가져왔거나 변조되었을 수 있는 모델은 로드하지 마세요. 허깅 페이스 허브에서 호스팅되는 공개 모델의 경우 이러한 보안 위험이 부분적으로 완화되며, 각 커밋 시 멀웨어를 <a href="https://huggingface.co/docs/hub/security-malware" rel="nofollow">검사합니다</a>. GPG를 사용해 서명된 <a href="https://huggingface.co/docs/hub/security-gpg#signing-commits-with-gpg" rel="nofollow">커밋 검증</a>과 같은 모범사례는 <a href="https://huggingface.co/docs/hub/security" rel="nofollow">문서</a>를 참조하세요.`,n,u,f="텐서플로우와 Flax 체크포인트는 영향을 받지 않으며, <code>from_pretrained</code>메서드에 <code>from_tf</code> 와 <code>from_flax</code> 키워드 가변 인자를 사용하여 이 문제를 우회할 수 있습니다.";return{c(){a=o("p"),a.innerHTML=d,n=i(),u=o("p"),u.innerHTML=f},l(h){a=p(h,"P",{"data-svelte-h":!0}),v(a)!=="svelte-1u3kbez"&&(a.innerHTML=d),n=c(h),u=p(h,"P",{"data-svelte-h":!0}),v(u)!=="svelte-7z7rov"&&(u.innerHTML=f)},m(h,U){s(h,a,U),s(h,n,U),s(h,u,U)},p:lt,d(h){h&&(t(a),t(n),t(u))}}}function Pt(E){let a,d='마지막으로 AutoModelFor클래스를 사용하면 주어진 작업에 대해 미리 학습된 모델을 로드할 수 있습니다 (사용 가능한 작업의 전체 목록은 <a href="model_doc/auto">여기</a>를 참조하세요). 예를 들어, <code>AutoModelForSequenceClassification.from_pretrained()</code>를 사용하여 시퀀스 분류용 모델을 로드할 수 있습니다:',n,u,f,h,U="동일한 체크포인트를 쉽게 재사용하여 다른 작업에 아키텍처를 로드할 수 있습니다:",J,k,A,Z,F,g,m='일반적으로 AutoTokenizer 클래스와 AutoModelFor 클래스를 사용하여 미리 학습된 모델 인스턴스를 로드하는 것이 좋습니다. 이렇게 하면 매번 올바른 아키텍처를 로드할 수 있습니다. 다음 <a href="preprocessing">튜토리얼</a>에서는 새롭게 로드한 토크나이저, 이미지 프로세서, 특징 추출기를 사용하여 미세 튜닝용 데이터 세트를 전처리하는 방법에 대해 알아봅니다.',T;return u=new L({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9Nb2RlbEZvclNlcXVlbmNlQ2xhc3NpZmljYXRpb24lMEElMEFtb2RlbCUyMCUzRCUyMEF1dG9Nb2RlbEZvclNlcXVlbmNlQ2xhc3NpZmljYXRpb24uZnJvbV9wcmV0cmFpbmVkKCUyMmRpc3RpbGJlcnQtYmFzZS11bmNhc2VkJTIyKQ==",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;distilbert-base-uncased&quot;</span>)`,wrap:!1}}),k=new L({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9Nb2RlbEZvclRva2VuQ2xhc3NpZmljYXRpb24lMEElMEFtb2RlbCUyMCUzRCUyMEF1dG9Nb2RlbEZvclRva2VuQ2xhc3NpZmljYXRpb24uZnJvbV9wcmV0cmFpbmVkKCUyMmRpc3RpbGJlcnQtYmFzZS11bmNhc2VkJTIyKQ==",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;distilbert-base-uncased&quot;</span>)`,wrap:!1}}),Z=new Wt({props:{warning:!0,$$slots:{default:[Ht]},$$scope:{ctx:E}}}),{c(){a=o("p"),a.innerHTML=d,n=i(),j(u.$$.fragment),f=i(),h=o("p"),h.textContent=U,J=i(),j(k.$$.fragment),A=i(),j(Z.$$.fragment),F=i(),g=o("p"),g.innerHTML=m},l(r){a=p(r,"P",{"data-svelte-h":!0}),v(a)!=="svelte-18uszv6"&&(a.innerHTML=d),n=c(r),w(u.$$.fragment,r),f=c(r),h=p(r,"P",{"data-svelte-h":!0}),v(h)!=="svelte-7ro1yz"&&(h.textContent=U),J=c(r),w(k.$$.fragment,r),A=c(r),w(Z.$$.fragment,r),F=c(r),g=p(r,"P",{"data-svelte-h":!0}),v(g)!=="svelte-4umuej"&&(g.innerHTML=m)},m(r,W){s(r,a,W),s(r,n,W),M(u,r,W),s(r,f,W),s(r,h,W),s(r,J,W),M(k,r,W),s(r,A,W),M(Z,r,W),s(r,F,W),s(r,g,W),T=!0},p(r,W){const N={};W&2&&(N.$$scope={dirty:W,ctx:r}),Z.$set(N)},i(r){T||(_(u.$$.fragment,r),_(k.$$.fragment,r),_(Z.$$.fragment,r),T=!0)},o(r){x(u.$$.fragment,r),x(k.$$.fragment,r),x(Z.$$.fragment,r),T=!1},d(r){r&&(t(a),t(n),t(f),t(h),t(J),t(A),t(F),t(g)),C(u,r),C(k,r),C(Z,r)}}}function Rt(E){let a,d;return a=new Jt({props:{$$slots:{default:[Pt]},$$scope:{ctx:E}}}),{c(){j(a.$$.fragment)},l(n){w(a.$$.fragment,n)},m(n,u){M(a,n,u),d=!0},p(n,u){const f={};u&2&&(f.$$scope={dirty:u,ctx:n}),a.$set(f)},i(n){d||(_(a.$$.fragment,n),d=!0)},o(n){x(a.$$.fragment,n),d=!1},d(n){C(a,n)}}}function Lt(E){let a,d='마지막으로 <code>TFAutoModelFor</code> 클래스를 사용하면 주어진 작업에 대해 사전 훈련된 모델을 로드할 수 있습니다. (사용 가능한 작업의 전체 목록은 <a href="model_doc/auto">여기</a>를 참조하세요. 예를 들어, <code>TFAutoModelForSequenceClassification.from_pretrained()</code>로 시퀀스 분류를 위한 모델을 로드합니다:',n,u,f,h,U="쉽게 동일한 체크포인트를 재사용하여 다른 작업에 아키텍처를 로드할 수 있습니다:",J,k,A,Z,F='일반적으로, <code>AutoTokenizer</code>클래스와 <code>TFAutoModelFor</code> 클래스를 사용하여 미리 학습된 모델 인스턴스를 로드하는 것이 좋습니다. 이렇게 하면 매번 올바른 아키텍처를 로드할 수 있습니다. 다음 <a href="preprocessing">튜토리얼</a>에서는 새롭게 로드한 토크나이저, 이미지 프로세서, 특징 추출기를 사용하여 미세 튜닝용 데이터 세트를 전처리하는 방법에 대해 알아봅니다.',g;return u=new L({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMFRGQXV0b01vZGVsRm9yU2VxdWVuY2VDbGFzc2lmaWNhdGlvbiUwQSUwQW1vZGVsJTIwJTNEJTIwVEZBdXRvTW9kZWxGb3JTZXF1ZW5jZUNsYXNzaWZpY2F0aW9uLmZyb21fcHJldHJhaW5lZCglMjJkaXN0aWxiZXJ0LWJhc2UtdW5jYXNlZCUyMik=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TFAutoModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAutoModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;distilbert-base-uncased&quot;</span>)`,wrap:!1}}),k=new L({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMFRGQXV0b01vZGVsRm9yVG9rZW5DbGFzc2lmaWNhdGlvbiUwQSUwQW1vZGVsJTIwJTNEJTIwVEZBdXRvTW9kZWxGb3JUb2tlbkNsYXNzaWZpY2F0aW9uLmZyb21fcHJldHJhaW5lZCglMjJkaXN0aWxiZXJ0LWJhc2UtdW5jYXNlZCUyMik=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TFAutoModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAutoModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;distilbert-base-uncased&quot;</span>)`,wrap:!1}}),{c(){a=o("p"),a.innerHTML=d,n=i(),j(u.$$.fragment),f=i(),h=o("p"),h.textContent=U,J=i(),j(k.$$.fragment),A=i(),Z=o("p"),Z.innerHTML=F},l(m){a=p(m,"P",{"data-svelte-h":!0}),v(a)!=="svelte-xsgejq"&&(a.innerHTML=d),n=c(m),w(u.$$.fragment,m),f=c(m),h=p(m,"P",{"data-svelte-h":!0}),v(h)!=="svelte-1ilzt8b"&&(h.textContent=U),J=c(m),w(k.$$.fragment,m),A=c(m),Z=p(m,"P",{"data-svelte-h":!0}),v(Z)!=="svelte-1w046dp"&&(Z.innerHTML=F)},m(m,T){s(m,a,T),s(m,n,T),M(u,m,T),s(m,f,T),s(m,h,T),s(m,J,T),M(k,m,T),s(m,A,T),s(m,Z,T),g=!0},p:lt,i(m){g||(_(u.$$.fragment,m),_(k.$$.fragment,m),g=!0)},o(m){x(u.$$.fragment,m),x(k.$$.fragment,m),g=!1},d(m){m&&(t(a),t(n),t(f),t(h),t(J),t(A),t(Z)),C(u,m),C(k,m)}}}function Xt(E){let a,d;return a=new Jt({props:{$$slots:{default:[Lt]},$$scope:{ctx:E}}}),{c(){j(a.$$.fragment)},l(n){w(a.$$.fragment,n)},m(n,u){M(a,n,u),d=!0},p(n,u){const f={};u&2&&(f.$$scope={dirty:u,ctx:n}),a.$set(f)},i(n){d||(_(a.$$.fragment,n),d=!0)},o(n){x(a.$$.fragment,n),d=!1},d(n){C(a,n)}}}function zt(E){let a,d,n,u,f,h,U,J,k,A,Z="AutoClass로 사전 학습된 인스턴스 로드",F,g,m=`트랜스포머 아키텍처가 매우 다양하기 때문에 체크포인트에 맞는 아키텍처를 생성하는 것이 어려울 수 있습니다. 라이브러리를 쉽고 간단하며 유연하게 사용하기 위한 Transformer 핵심 철학의 일환으로, <code>AutoClass</code>는 주어진 체크포인트에서 올바른 아키텍처를 자동으로 추론하여 로드합니다. <code>from_pretrained()</code> 메서드를 사용하면 모든 아키텍처에 대해 사전 학습된 모델을 빠르게 로드할 수 있으므로 모델을 처음부터 학습하는 데 시간과 리소스를 투입할 필요가 없습니다.
체크포인트에 구애받지 않는 코드를 생성한다는 것은 코드가 한 체크포인트에서 작동하면 아키텍처가 다르더라도 다른 체크포인트(유사한 작업에 대해 학습된 경우)에서도 작동한다는 것을 의미합니다.`,T,r,W,N,nt="이 튜토리얼에서는 다음을 학습합니다:",ke,Q,rt="<li>사전 학습된 토크나이저 로드하기.</li> <li>사전 학습된 이미지 프로세서 로드하기.</li> <li>사전 학습된 특징 추출기 로드하기.</li> <li>사전 훈련된 프로세서 로드하기.</li> <li>사전 학습된 모델 로드하기.</li>",Ze,G,X,ye,B,Oe,fe,ot="AutoTokenizer",Te,K,pt=`거의 모든 NLP 작업은 토크나이저로 시작됩니다. 토크나이저는 사용자의 입력을 모델에서 처리할 수 있는 형식으로 변환합니다.
<code>AutoTokenizer.from_pretrained()</code>로 토크나이저를 로드합니다:`,We,D,Je,O,it="그리고 아래와 같이 입력을 토큰화합니다:",Ae,ee,Ue,V,z,je,te,et,de,ct="AutoImageProcessor",Ee,se,ut="비전 작업의 경우 이미지 프로세서가 이미지를 올바른 입력 형식으로 처리합니다.",Fe,ae,Ne,H,Y,we,le,tt,$e,mt="AutoFeatureExtractor",Ge,ne,ht="오디오 작업의 경우 특징 추출기가 오디오 신호를 올바른 입력 형식으로 처리합니다.",Ve,re,ft="<code>AutoFeatureExtractor.from_pretrained()</code>로 특징 추출기를 로드합니다:",He,oe,Pe,P,S,Me,pe,st,be,dt="AutoProcessor",Re,ie,$t="멀티모달 작업에는 두 가지 유형의 전처리 도구를 결합한 프로세서가 필요합니다. 예를 들어 LayoutLMV2 모델에는 이미지를 처리하는 이미지 프로세서와 텍스트를 처리하는 토크나이저가 필요하며, 프로세서는 이 두 가지를 결합합니다.",Le,ce,bt="<code>AutoProcessor.from_pretrained()</code>로 프로세서를 로드합니다:",Xe,ue,ze,R,q,_e,me,at,ve,vt="AutoModel",Ye,I,Se,xe,qe;return J=new ge({}),r=new Wt({props:{$$slots:{default:[Vt]},$$scope:{ctx:E}}}),B=new ge({}),D=new L({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9Ub2tlbml6ZXIlMEElMEF0b2tlbml6ZXIlMjAlM0QlMjBBdXRvVG9rZW5pemVyLmZyb21fcHJldHJhaW5lZCglMjJiZXJ0LWJhc2UtdW5jYXNlZCUyMik=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;bert-base-uncased&quot;</span>)`,wrap:!1}}),ee=new L({props:{code:"c2VxdWVuY2UlMjAlM0QlMjAlMjJJbiUyMGElMjBob2xlJTIwaW4lMjB0aGUlMjBncm91bmQlMjB0aGVyZSUyMGxpdmVkJTIwYSUyMGhvYmJpdC4lMjIlMEFwcmludCh0b2tlbml6ZXIoc2VxdWVuY2UpKQ==",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>sequence = <span class="hljs-string">&quot;In a hole in the ground there lived a hobbit.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer(sequence))
{<span class="hljs-string">&#x27;input_ids&#x27;</span>: [<span class="hljs-number">101</span>, <span class="hljs-number">1999</span>, <span class="hljs-number">1037</span>, <span class="hljs-number">4920</span>, <span class="hljs-number">1999</span>, <span class="hljs-number">1996</span>, <span class="hljs-number">2598</span>, <span class="hljs-number">2045</span>, <span class="hljs-number">2973</span>, <span class="hljs-number">1037</span>, <span class="hljs-number">7570</span>, <span class="hljs-number">10322</span>, <span class="hljs-number">4183</span>, <span class="hljs-number">1012</span>, <span class="hljs-number">102</span>], 
 <span class="hljs-string">&#x27;token_type_ids&#x27;</span>: [<span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>], 
 <span class="hljs-string">&#x27;attention_mask&#x27;</span>: [<span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>]}`,wrap:!1}}),te=new ge({}),ae=new L({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9JbWFnZVByb2Nlc3NvciUwQSUwQWltYWdlX3Byb2Nlc3NvciUyMCUzRCUyMEF1dG9JbWFnZVByb2Nlc3Nvci5mcm9tX3ByZXRyYWluZWQoJTIyZ29vZ2xlJTJGdml0LWJhc2UtcGF0Y2gxNi0yMjQlMjIp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;google/vit-base-patch16-224&quot;</span>)`,wrap:!1}}),le=new ge({}),oe=new L({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9GZWF0dXJlRXh0cmFjdG9yJTBBJTBBZmVhdHVyZV9leHRyYWN0b3IlMjAlM0QlMjBBdXRvRmVhdHVyZUV4dHJhY3Rvci5mcm9tX3ByZXRyYWluZWQoJTBBJTIwJTIwJTIwJTIwJTIyZWhjYWxhYnJlcyUyRndhdjJ2ZWMyLWxnLXhsc3ItZW4tc3BlZWNoLWVtb3Rpb24tcmVjb2duaXRpb24lMjIlMEEp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = AutoFeatureExtractor.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;ehcalabres/wav2vec2-lg-xlsr-en-speech-emotion-recognition&quot;</span>
<span class="hljs-meta">... </span>)`,wrap:!1}}),pe=new ge({}),ue=new L({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9Qcm9jZXNzb3IlMEElMEFwcm9jZXNzb3IlMjAlM0QlMjBBdXRvUHJvY2Vzc29yLmZyb21fcHJldHJhaW5lZCglMjJtaWNyb3NvZnQlMkZsYXlvdXRsbXYyLWJhc2UtdW5jYXNlZCUyMik=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/layoutlmv2-base-uncased&quot;</span>)`,wrap:!1}}),me=new ge({}),I=new Gt({props:{pytorch:!0,tensorflow:!0,jax:!1,$$slots:{tensorflow:[Xt],pytorch:[Rt]},$$scope:{ctx:E}}}),{c(){a=o("meta"),d=i(),n=o("p"),u=i(),f=o("h1"),h=o("a"),U=o("span"),j(J.$$.fragment),k=i(),A=o("span"),A.textContent=Z,F=i(),g=o("p"),g.innerHTML=m,T=i(),j(r.$$.fragment),W=i(),N=o("p"),N.textContent=nt,ke=i(),Q=o("ul"),Q.innerHTML=rt,Ze=i(),G=o("h2"),X=o("a"),ye=o("span"),j(B.$$.fragment),Oe=i(),fe=o("span"),fe.textContent=ot,Te=i(),K=o("p"),K.innerHTML=pt,We=i(),j(D.$$.fragment),Je=i(),O=o("p"),O.textContent=it,Ae=i(),j(ee.$$.fragment),Ue=i(),V=o("h2"),z=o("a"),je=o("span"),j(te.$$.fragment),et=i(),de=o("span"),de.textContent=ct,Ee=i(),se=o("p"),se.textContent=ut,Fe=i(),j(ae.$$.fragment),Ne=i(),H=o("h2"),Y=o("a"),we=o("span"),j(le.$$.fragment),tt=i(),$e=o("span"),$e.textContent=mt,Ge=i(),ne=o("p"),ne.textContent=ht,Ve=i(),re=o("p"),re.innerHTML=ft,He=i(),j(oe.$$.fragment),Pe=i(),P=o("h2"),S=o("a"),Me=o("span"),j(pe.$$.fragment),st=i(),be=o("span"),be.textContent=dt,Re=i(),ie=o("p"),ie.textContent=$t,Le=i(),ce=o("p"),ce.innerHTML=bt,Xe=i(),j(ue.$$.fragment),ze=i(),R=o("h2"),q=o("a"),_e=o("span"),j(me.$$.fragment),at=i(),ve=o("span"),ve.textContent=vt,Ye=i(),j(I.$$.fragment),Se=i(),xe=o("p"),this.h()},l(e){const l=Nt("svelte-1phssyn",document.head);a=p(l,"META",{name:!0,content:!0}),l.forEach(t),d=c(e),n=p(e,"P",{}),y(n).forEach(t),u=c(e),f=p(e,"H1",{class:!0});var he=y(f);h=p(he,"A",{id:!0,class:!0,href:!0});var Ce=y(h);U=p(Ce,"SPAN",{});var gt=y(U);w(J.$$.fragment,gt),gt.forEach(t),Ce.forEach(t),k=c(he),A=p(he,"SPAN",{"data-svelte-h":!0}),v(A)!=="svelte-1mi5wto"&&(A.textContent=Z),he.forEach(t),F=c(e),g=p(e,"P",{"data-svelte-h":!0}),v(g)!=="svelte-77k0i5"&&(g.innerHTML=m),T=c(e),w(r.$$.fragment,e),W=c(e),N=p(e,"P",{"data-svelte-h":!0}),v(N)!=="svelte-qqdsnz"&&(N.textContent=nt),ke=c(e),Q=p(e,"UL",{"data-svelte-h":!0}),v(Q)!=="svelte-fay6vf"&&(Q.innerHTML=rt),Ze=c(e),G=p(e,"H2",{class:!0});var Ie=y(G);X=p(Ie,"A",{id:!0,class:!0,href:!0});var yt=y(X);ye=p(yt,"SPAN",{});var jt=y(ye);w(B.$$.fragment,jt),jt.forEach(t),yt.forEach(t),Oe=c(Ie),fe=p(Ie,"SPAN",{"data-svelte-h":!0}),v(fe)!=="svelte-5wpjmf"&&(fe.textContent=ot),Ie.forEach(t),Te=c(e),K=p(e,"P",{"data-svelte-h":!0}),v(K)!=="svelte-7pofg0"&&(K.innerHTML=pt),We=c(e),w(D.$$.fragment,e),Je=c(e),O=p(e,"P",{"data-svelte-h":!0}),v(O)!=="svelte-2tta70"&&(O.textContent=it),Ae=c(e),w(ee.$$.fragment,e),Ue=c(e),V=p(e,"H2",{class:!0});var Qe=y(V);z=p(Qe,"A",{id:!0,class:!0,href:!0});var wt=y(z);je=p(wt,"SPAN",{});var Mt=y(je);w(te.$$.fragment,Mt),Mt.forEach(t),wt.forEach(t),et=c(Qe),de=p(Qe,"SPAN",{"data-svelte-h":!0}),v(de)!=="svelte-1t92jbp"&&(de.textContent=ct),Qe.forEach(t),Ee=c(e),se=p(e,"P",{"data-svelte-h":!0}),v(se)!=="svelte-34kd90"&&(se.textContent=ut),Fe=c(e),w(ae.$$.fragment,e),Ne=c(e),H=p(e,"H2",{class:!0});var Be=y(H);Y=p(Be,"A",{id:!0,class:!0,href:!0});var _t=y(Y);we=p(_t,"SPAN",{});var xt=y(we);w(le.$$.fragment,xt),xt.forEach(t),_t.forEach(t),tt=c(Be),$e=p(Be,"SPAN",{"data-svelte-h":!0}),v($e)!=="svelte-qfeipy"&&($e.textContent=mt),Be.forEach(t),Ge=c(e),ne=p(e,"P",{"data-svelte-h":!0}),v(ne)!=="svelte-uavi10"&&(ne.textContent=ht),Ve=c(e),re=p(e,"P",{"data-svelte-h":!0}),v(re)!=="svelte-1kkigej"&&(re.innerHTML=ft),He=c(e),w(oe.$$.fragment,e),Pe=c(e),P=p(e,"H2",{class:!0});var Ke=y(P);S=p(Ke,"A",{id:!0,class:!0,href:!0});var Ct=y(S);Me=p(Ct,"SPAN",{});var kt=y(Me);w(pe.$$.fragment,kt),kt.forEach(t),Ct.forEach(t),st=c(Ke),be=p(Ke,"SPAN",{"data-svelte-h":!0}),v(be)!=="svelte-yif3ge"&&(be.textContent=dt),Ke.forEach(t),Re=c(e),ie=p(e,"P",{"data-svelte-h":!0}),v(ie)!=="svelte-55zai9"&&(ie.textContent=$t),Le=c(e),ce=p(e,"P",{"data-svelte-h":!0}),v(ce)!=="svelte-r7eo2t"&&(ce.innerHTML=bt),Xe=c(e),w(ue.$$.fragment,e),ze=c(e),R=p(e,"H2",{class:!0});var De=y(R);q=p(De,"A",{id:!0,class:!0,href:!0});var Zt=y(q);_e=p(Zt,"SPAN",{});var Tt=y(_e);w(me.$$.fragment,Tt),Tt.forEach(t),Zt.forEach(t),at=c(De),ve=p(De,"SPAN",{"data-svelte-h":!0}),v(ve)!=="svelte-12n7lj"&&(ve.textContent=vt),De.forEach(t),Ye=c(e),w(I.$$.fragment,e),Se=c(e),xe=p(e,"P",{}),y(xe).forEach(t),this.h()},h(){$(a,"name","hf:doc:metadata"),$(a,"content",JSON.stringify(Yt)),$(h,"id","load-pretrained-instances-with-an-autoclass"),$(h,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),$(h,"href","#load-pretrained-instances-with-an-autoclass"),$(f,"class","relative group"),$(X,"id","autotokenizer"),$(X,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),$(X,"href","#autotokenizer"),$(G,"class","relative group"),$(z,"id","autoimageprocessor"),$(z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),$(z,"href","#autoimageprocessor"),$(V,"class","relative group"),$(Y,"id","autofeatureextractor"),$(Y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),$(Y,"href","#autofeatureextractor"),$(H,"class","relative group"),$(S,"id","autoprocessor"),$(S,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),$(S,"href","#autoprocessor"),$(P,"class","relative group"),$(q,"id","automodel"),$(q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),$(q,"href","#automodel"),$(R,"class","relative group")},m(e,l){b(document.head,a),s(e,d,l),s(e,n,l),s(e,u,l),s(e,f,l),b(f,h),b(h,U),M(J,U,null),b(f,k),b(f,A),s(e,F,l),s(e,g,l),s(e,T,l),M(r,e,l),s(e,W,l),s(e,N,l),s(e,ke,l),s(e,Q,l),s(e,Ze,l),s(e,G,l),b(G,X),b(X,ye),M(B,ye,null),b(G,Oe),b(G,fe),s(e,Te,l),s(e,K,l),s(e,We,l),M(D,e,l),s(e,Je,l),s(e,O,l),s(e,Ae,l),M(ee,e,l),s(e,Ue,l),s(e,V,l),b(V,z),b(z,je),M(te,je,null),b(V,et),b(V,de),s(e,Ee,l),s(e,se,l),s(e,Fe,l),M(ae,e,l),s(e,Ne,l),s(e,H,l),b(H,Y),b(Y,we),M(le,we,null),b(H,tt),b(H,$e),s(e,Ge,l),s(e,ne,l),s(e,Ve,l),s(e,re,l),s(e,He,l),M(oe,e,l),s(e,Pe,l),s(e,P,l),b(P,S),b(S,Me),M(pe,Me,null),b(P,st),b(P,be),s(e,Re,l),s(e,ie,l),s(e,Le,l),s(e,ce,l),s(e,Xe,l),M(ue,e,l),s(e,ze,l),s(e,R,l),b(R,q),b(q,_e),M(me,_e,null),b(R,at),b(R,ve),s(e,Ye,l),M(I,e,l),s(e,Se,l),s(e,xe,l),qe=!0},p(e,[l]){const he={};l&2&&(he.$$scope={dirty:l,ctx:e}),r.$set(he);const Ce={};l&2&&(Ce.$$scope={dirty:l,ctx:e}),I.$set(Ce)},i(e){qe||(_(J.$$.fragment,e),_(r.$$.fragment,e),_(B.$$.fragment,e),_(D.$$.fragment,e),_(ee.$$.fragment,e),_(te.$$.fragment,e),_(ae.$$.fragment,e),_(le.$$.fragment,e),_(oe.$$.fragment,e),_(pe.$$.fragment,e),_(ue.$$.fragment,e),_(me.$$.fragment,e),_(I.$$.fragment,e),qe=!0)},o(e){x(J.$$.fragment,e),x(r.$$.fragment,e),x(B.$$.fragment,e),x(D.$$.fragment,e),x(ee.$$.fragment,e),x(te.$$.fragment,e),x(ae.$$.fragment,e),x(le.$$.fragment,e),x(oe.$$.fragment,e),x(pe.$$.fragment,e),x(ue.$$.fragment,e),x(me.$$.fragment,e),x(I.$$.fragment,e),qe=!1},d(e){e&&(t(d),t(n),t(u),t(f),t(F),t(g),t(T),t(W),t(N),t(ke),t(Q),t(Ze),t(G),t(Te),t(K),t(We),t(Je),t(O),t(Ae),t(Ue),t(V),t(Ee),t(se),t(Fe),t(Ne),t(H),t(Ge),t(ne),t(Ve),t(re),t(He),t(Pe),t(P),t(Re),t(ie),t(Le),t(ce),t(Xe),t(ze),t(R),t(Ye),t(Se),t(xe)),t(a),C(J),C(r,e),C(B),C(D,e),C(ee,e),C(te),C(ae,e),C(le),C(oe,e),C(pe),C(ue,e),C(me),C(I,e)}}}const Yt={local:"load-pretrained-instances-with-an-autoclass",sections:[{local:"autotokenizer",title:"AutoTokenizer"},{local:"autoimageprocessor",title:"AutoImageProcessor"},{local:"autofeatureextractor",title:"AutoFeatureExtractor"},{local:"autoprocessor",title:"AutoProcessor"},{local:"automodel",title:"AutoModel"}],title:"AutoClass로 사전 학습된 인스턴스 로드"};function St(E){return Ut(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ot extends Et{constructor(a){super(),Ft(this,a,St,zt,At,{})}}export{Ot as component};
